2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	Window: Ignore some new private functions.

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	Widget: Add get/set_clip().

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	StyleContext: Really add get_scale().

	There was a typo in the name of the C function.

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	EntryCompletion: Add the no_matches signal.

	With no default handler, to avoid breaking ABI.

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Ignore a private function.

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	CellArea: Add attribute_get_column().

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	Application: Ignore private functions.

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	ApplicationWindow: Ignore private functions.

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	Adjustment: Ignore private functions.

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	ListBoxRow: Add some methods and properties.

	* gtk/src/listboxrow.hg:
	Add is_selected(), set/get_selectable(), set/get_activatable().
	Add the selectable and activatable properties.

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	ListBox: Add the selected_rows_changed() signal.

	And ignore some more keybinding signals.

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	ListBox: Add some methods.

	* gtk/src/listbox.[hg|ccg]: Add selected_foreach(),
	get_selected_rows(), unselect_row(), select_all() and unselect_all().

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Window: Add some methods.

	* gdk/src/window.hg: Add get/set_event_compression(),
	set_shadow_width(), and show_window_menu().
	Some of these were actually added in GTK+ 2.12 but not yet wrapped
	in gtkmm 2.12.

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	Settings: Add the gtk_long_press_time property.

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerated docs XML.

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gtk .defs.

2014-09-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gdk .defs

2014-08-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Deprecate Gtk::StatusIcon which is deprecated in gtk+

	* gtk/src/filelist.am: Move statusicon.hg to gtkmm_files_deprecated_hg.
	* gtk/src/statusicon.hg: Add _IS_DEPRECATED.

2014-08-24  Murray Cumming  <murrayc@murrayc.com>

	Application: Add some new methods.

	* gtk/src/application.hg: Add get_actions_for_accel(),
	prefers_app_menu(), and get_menu_by_id().
	* tools/m4/convert_gtk.m4: Add conversions for GMenu.

2014-08-24  Murray Cumming  <murrayc@murrayc.com>

	Popover: Ignore a private method.

2014-08-22  Murray Cumming  <murrayc@murrayc.com>

	3.13.7

2014-08-22  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *_docs.xml

2014-08-22  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *_methods.defs

2014-08-22  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *_extra.defs

2014-08-22  Murray Cumming  <murrayc@murrayc.com>

	Regenerate *_enums.defs

2014-08-21  Murray Cumming  <murrayc@murrayc.com>

	demos: Remove calls to deprecated TreeView::set_rules_hint().

	There is no replacement.

2014-08-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Take description of Gtk::FileChooser::get_current_folder() from gtk+

	* gtk/src/gtk_docs_override.xml: Remove the description of
	gtk_file_chooser_get_current_folder(), i.e. let gmmproc take it from
	gtk_docs.xml. Bug #734570.

2014-08-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::TreeView: Deprecate property_rules_hint()

	* gtk/src/treeview.hg: Deprecate property_rules_hint() and the corresponding
	set and get methods. They are deprecated in gtk+.

2014-08-01  Andre Klapper  <a9016009@gmx.de>

	doap: add <programming-language>

2014-08-01  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Remove a typo.

2014-07-30  Olav Vitters  <olav@vitters.nl>

	doap category core

2014-07-29  Juan R. García Blanco  <juanrgar@gmail.com>

	Paned: Wrap child properties

	* gtk/src/gtk_signals.defs: Add definitions for "resize", and
	"shrink" child properties.
	* gtk/src/paned.hg: Add wrappers for the aforementioned child
	properties.
	* See https://bugzilla.gnome.org/show_bug.cgi?id=140515

2014-07-29  Juan R. García Blanco  <juanrgar@gmail.com>

	HeaderBar: Wrap child properties

	* gtk/src/gtk_signals.defs: Add definitions for "pack-type", and
	"position" child properties.
	* gtk/src/headerbar.hg: Add wrappers for the aforementioned
	child properties.
	* See https://bugzilla.gnome.org/show_bug.cgi?id=140515

2014-07-29  Juan R. García Blanco  <juanrgar@gmail.com>

	Grid: Wrap child properties

	* gtk/src/gtk_signals.defs: Add definitions for "left-attach",
	"top-attach", "width", and "height" child properties.
	* gtk/src/grid.hg: Add wrappers for the aforementioned child
	properties.
	* See https://bugzilla.gnome.org/show_bug.cgi?id=140515

2014-07-29  Juan R. García Blanco  <juanrgar@gmail.com>

	Box: Wrap child properties

	* gtk/src/gtk_signals.defs: Add definitions for "expand",
	"fill", "padding", "pack-type", and "position" child
	properties.
	* gtk/src/box.hg: Add wrappers for the aforementioned child
	properties.
	* See https://bugzilla.gnome.org/show_bug.cgi?id=140515

2014-07-29  Murray Cumming  <murrayc@murrayc.com>

	3.13.5

2014-07-28  Juan R. García Blanco  <juanrgar@gmail.com>

	Layout: Wrap child properties

	* gtk/src/gtk_signals.defs: Add definitions for "x" and "y"
	child properties.
	* gtk/src/layout.hg: Add wrappers for the aforementioned child
	properties.
	* See https://bugzilla.gnome.org/show_bug.cgi?id=140515

2014-07-28  Juan R. García Blanco  <juanrgar@gmail.com>

	ToolItemGroup: Wrap child properties

	* gtk/src/gtk_signals.defs: Add definitions for "homogeneous",
	"expand", "fill", "new-row", and "position" child properties.
	* gtk/src/toolitemgroup.hg: Add wrappers for the aforementioned
	child properties.
	* See https://bugzilla.gnome.org/show_bug.cgi?id=140515

2014-07-28  Juan R. García Blanco  <juanrgar@gmail.com>

	ToolPalette: Wrap child properties

	* gtk/src/gtk_signals.defs: Add definitions for "exclusive" and "expand"
	properties.
	* gtk/src/toolpalette.hg: Add wrappers for the aforementioned
	child properties.
	* See https://bugzilla.gnome.org/show_bug.cgi?id=140515

2014-07-21  Juan R. García Blanco  <juanrgar@gmail.com>

	Add Gtk::LockButton

	* .gitignore: Ignore gtk/gtkmm/lockbutton.[cc|h]
	* docs/reference/images/widgets/lockbutton*: New files
	containing lock button widget states.
	* gtk/src/filelist.am: Add gtk/src/lockbutton.hg
	* gtk/src/lockbutton.[ccg|hg]: New files.
	* tools/m4/convert_gtk.m4: Needed conversions for
	Gio::Permission.

2014-07-13  Juan R. García Blanco  <juanrgar@gmail.com>

	Fixed: Wrap child properties

	* gtk/src/gtk_signals.defs: Add definitions for "x" and "y"
	properties.
	* gtk/src/fixed.hg: Add wrappers for the aforementioned child
	properties.
	* See https://bugzilla.gnome.org/show_bug.cgi?id=140515

2014-07-13  Juan R. García Blanco  <juanrgar@gmail.com>

	demo: Add Stack demo

	* demos/Makefile.am: Add gtk-demo/example_stack.cc.
	* demos/gtk-demo/demos.h: Declare do_stack(); add new entry in
	testgtk_demos.
	* demos/gtk-demo/example_stack.cc: New file.

2014-07-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Stack: Don't hide Container::add()

	* gtk/src/stack.[ccg|hg]: Don't let Stack::add() hide Container::add().
	Let them all be overloaded add() functions in Stack. Bug #724732.

2014-07-13  Juan R. García Blanco  <juanrgar@gmail.com>

	Toolbar: Wrap child properties

	* gtk/src/gtk_signals.defs: Add definitions for "expand", and
	"homogeneous" properties.
	* gtk/src/toolbar.hg: Add wrappers for the aforementioned child
	properties.
	* See https://bugzilla.gnome.org/show_bug.cgi?id=140515

2014-07-13  Juan R. García Blanco  <juanrgar@gmail.com>

	Stack: Wrap child properties

	* gtk/src/gtk_signals.defs: Add definitions for "name", "title",
	"icon-name", "position", and "needs-attention".
	* gtk/src/stack.hg: Add wrappers for the aforementioned child
	properties.
	* See https://bugzilla.gnome.org/show_bug.cgi?id=140515

2014-07-13  Juan R. García Blanco  <juanrgar@gmail.com>

	demo: Update notebook's tabs style

	* demos/gtk-demo/demowindow.cc: Set "tab-expand" child property
	of "Info" and "Source" tabs, as it is currently done in
	gtk3-demo.

2014-07-13  Juan R. García Blanco  <juanrgar@gmail.com>

	Notebook: Wrap child properties

	* gtk/src/gtk_signals.defs: Add definitions for "tab-label",
	"menu-label", "position", "tab-expand", "tab-fill",
	"reorderable", and "detachable".
	* gtk/src/notebook.hg: Add wrappers for the aforementioned child
	properties.

2014-07-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Widget: Deprecate property_double_buffered()

	* gtk/src/widget.hg: Deprecate set/get_double_buffered() and
	property_double_buffered() which have been deprecated in gtk+.
	Delete obsolete _IGNORE directives and obsolete comments.

2014-07-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Builder: Fix a typo in an error message

2014-07-06  Juan R. García Blanco  <juanrgar@gmail.com>

	Switch: Wrap API for performing delayed changes

	* Wrap set_state(bool) and get_state() methods, and ::state
	property.
	* Wrap "state-set" signal.

2014-07-05  Juan R. García Blanco  <juanrgar@gmail.com>

	Add GtkContainer's child properties handling

	* gtk/gtkmm/childpropertyproxy_base.[h|cc]: New files.
	* gtk/gtkmm/childpropertyproxy.[h|cc]: New files.
	* gtk/gtkmm/filelist.am: Add childpropertyproxy_base.[h|cc] and
	childpropertyproxy.[h|cc].
	* gtk/src/container.hg: Include gtkmm/childpropertyproxy.h.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Add
	get_child_properties(), and use it to gather information about
	child properties in GtkContainer subclasses.
	* tools/m4/child_property.m4: New file that expands
	_CHILD_PROPERTY_PROXY macro.
	* tools/m4/convert_gtkmm.m4: Include child_property.m4.
	* tools/m4/filelist.am: Add child_property.m4.

2014-07-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gestures group to the reference docs

	* gtk/src/eventcontroller.hg: Add @defgroup Gestures and @ingroup Gestures.
	* gtk/src/gesture*.hg: Add @ingroup Gestures.

2014-07-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Demos: Add Gestures demo

	* demos/Makefile.am: Add example_gestures.cc.
	* demos/gtk-demo/demos.h: Add Gestures demo.
	* demos/gtk-demo/example_gestures.cc: New file.
	This is gtk+/demos/gtk-demo/gestures.c, translated to C++.

2014-07-01  Murray Cumming  <murrayc@murrayc.com>

	IconTheme: Add add_resource_path() and deprecate add_builtin_icon().

2014-06-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gtk::EventController and Gtk::Gesture* classes.

	* gtk/src/eventcontroller.[hg|ccg]:
	* gtk/src/gesture.[hg|ccg]:
	* gtk/src/gesturedrag.[hg|ccg]:
	* gtk/src/gesturelongpress.[hg|ccg]:
	* gtk/src/gesturemultipress.[hg|ccg]:
	* gtk/src/gesturepan.[hg|ccg]:
	* gtk/src/gesturerotate.[hg|ccg]:
	* gtk/src/gesturesingle.[hg|ccg]:
	* gtk/src/gestureswipe.[hg|ccg]:
	* gtk/src/gesturezoom.[hg|ccg]: New files.
	* gtk/src/filelist.am:
	* gtk/gtkmm.h: Add new files.
	* tools/m4/convert_gtk.m4: Add conversions for new enums.
	* .gitignore: Add new files in gtk/gtkmm.

2014-06-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update gtk_signals.defs with Gesture and LockButton

	* gtk/src/gtk_signals.defs: Update.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Generate info for EventController
	Gesture* and LockButton.

2014-06-26  Murray Cumming  <murrayc@murrayc.com>

	3.13.3

2014-06-23  Murray Cumming  <murrayc@murrayc.com>

	Update *_docs.xml files, used to generate documentation.

2014-06-23  Murray Cumming  <murrayc@murrayc.com>

	demo: Avoid use of deprecated API.

	* demos/gtk-demo/example_icontheme.cc: Remove the code and UI that
	deals with icons' display names.

2014-06-23  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gtk .defs.

2014-06-23  Murray Cumming  <murrayc@murrayc.com>

	Regenerated GDK .defs.

2014-06-23  Murray Cumming  <murrayc@murrayc.com>

	WidgetPath: Deprecate regions methods.

	* gtk/src/widgetpath.hg: Deprecate iter_add_region(),
	iter_remove_region(), iter_clear_regions(), iter_list_regions()
	and iter_has_region() using the rather useless deprecation
	comments from GTK+:
	https://git.gnome.org/browse/gtk+/commit/gtk/gtkwidgetpath.c?id=93b31790424cbc2face0a885b5dd49889c2f297e

2014-06-23  Murray Cumming  <murrayc@murrayc.com>

	IconInfo: Deprecate some methods.

	* gtk/src/iconinfo.hg: Deprecate set_raw_coordinates(),
	get_embedded_rect(), get_attach_points() and
	get_display_name(), using the mostly useless deprecation comments
	from GTK+:
	https://git.gnome.org/browse/gtk+/commit/gtk/gtkicontheme.c?id=84bc9bba4214ac4dc05cb029b45bffbb84fa1393

2014-06-21  Juan R. García Blanco  <juanrgar@gmail.com>

	demo: Add Overlay demo

	* Add demos/gtk-demo/example_overlay.cc
	* Update demos/gtk-demo/demos.h
	* Update demos/Makefile.am

2014-06-21  Juan R. García Blanco  <juanrgar@gmail.com>

	Wrap GtkOverlay widget

	* Create gtk/src/overlay.{hg,ccg}
	* Update gtk/src/filelist.am
	* Add "get-child-position" signal to gtk/src/gtk_signals.defs
	* Add GTK_TYPE_OVERLAY to
	tools/extra_defs_gen/generate_defs_gtk.cc
	* Add overlay.h to gtkmm.h

2014-06-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Builder: Add more documentation

	* gtk/src/builder.hg: Copy some documentation from GtkBuilder, describing
	the lifetime of windows, other widgets and other objects. Bug #731444.

2014-06-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add test case tests/builder

	* tests/Makefile.am: Add builder/main.cc.
	* tests/builder/main.cc: New file. Bug #731444.

2014-06-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Builder: Fix ref count in get_widget() and get_widget_derived()

	* gtk/src/builder.[hg|ccg]: get_widget() and get_widget_derived() shall not
	add a reference to the fetched widget. Bug #731444.

2014-06-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Widget: Undeprecate reparent()

	* gtk/src/widget.[hg|ccg]: Undeprecate reparent() and implement it without
	calling the deprecated gtk_widget_reparent().

2014-06-09  Juan R. García Blanco  <juanrgar@gmail.com>

	gtkmm-demo: make side bar scrollable

	Embed examples tree view in a ScrolledWindow, and make it of class
	"sidebar", as it is currently done in gtk3-demo.

2014-06-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Application: Fix the docs added in the previous commit

	* gtk/src/application.hg: Only the application's destructor is affected
	by remove_window(). Bug #731126.

2014-06-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Application: Add documentation concerning the use of quit()

	* gtk/src/application.hg: Mention that some destructors may not be called
	after a call to Gio::Application::quit(). Bug #731126.

2014-06-06  Murray Cumming  <murrayc@murrayc.com>

	ExpanderStyle is deprecated and not used.

2014-06-06  Murray Cumming  <murrayc@murrayc.com>

	Add a TODO about Widget::reparent().

2014-06-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Container, Widget: Deprecate API which is deprecated in GTK+

	* gtk/src/container.hg: Deprecate [set|get]_resize_mode(),
	set_reallocate_redraws().
	* gtk/src/widget.hg: Deprecate reparent(), region_intersect(),
	get_root_window(), [set|get]_margin_[left|right](), property_style(),
	property_margin_[left|right]().
	property_style() should perhaps be deleted, although that would break API and
	ABI. It can't be used because it requires the non-existent Gtk::Style class.

2014-06-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Button: Deprecate the alignment API which is deprecated in GTK+

	* gtk/src/button.hg: Deprecate set_alignment(), get_alignment(),
	property_xalign() and property_yalign(), which are deprecated in GTK+.

2014-06-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gtk/src/filelist.am: Move alignment.hg to gtkmm_files_deprecated_hg

2014-05-30  Murray Cumming  <murrayc@murrayc.com>

	3.13.2

2014-05-30  Murray Cumming  <murrayc@murrayc.com>

	Deprecate Alignment because it is deprecated in GTK+.

	* gtk/src/alignment.hg: Deprecate this.
	* demos/gtkmm-demo/example_colorsel.c:
	* demos/gtkmm-demo/example_icontheme.cc:
	* demos/gtkmm-demo/example_images.cc:
	* demos/gtkmm-demo/example_textview.cc: Replace use of
	Gtk::Alignment with Widget h/valign.

2014-05-30  Murray Cumming  <murrayc@murrayc.com>

	Color: Fix the build with --enable-warnings=fatal.

	* gdk/src/color.hg: Disable GTK+ deprecation warnings for the .cc file
	so we can still build our (also deprecated) implementation.

2014-05-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Misc: Deprecate all methods and properties

	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/example_sizegroup.cc: Don't use deprecated Misc methods.
	* gtk/src/bin.[ccg|hg]: Deprecate add_label(const Glib::ustring& label,
	bool mnemonic, double x_align, double y_align) and
	add_pixlabel(const std::string& pixfile, const Glib::ustring& label,
	double x_align, double y_align). Add add_pixlabel(const std::string& pixfile,
	const Glib::ustring& label, Align x_align, Align y_align).
	* gtk/src/label.[ccg|hg]: Deprecate Label(const Glib::ustring& label,
	float xalign, float yalign, bool mnemonic).
	* gtk/src/menuitem.ccg: Don't use deprecated Misc property.
	* gtk/src/misc.hg: Deprecate all methods and properties. GtkMisc is deprecated,
	but we can't deprecate Gtk::Misc completely, because it's a base class of
	Arrow, Label and Image. Label and Image are not deprecated.

2014-05-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add a missing quote to unfinished quoted strings in _WRAP directives

	* gtk/src/colorbutton.hg:
	* gtk/src/entrycompletion.hg:
	* gtk/src/widget.hg: Add a missing double quote in gmmproc directives like
	_WRAP_PROPERTY("text_column, int).

2014-05-25  Juan R. García Blanco  <juanrgar@gmail.com>

	gtkmm-demo: use HeaderBar in main window

	As it is currently done in gtk3-demo, pleace a HeaderBar at the top of
	the demo main window.

2014-05-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix a segfault in the Drawing Area demo

	* demos/gtk-demo/example_drawingarea.cc: Take a reference of event->device
	in Example_DrawingArea::on_drawingarea_scribble_motion_notify_event().
	RefPtr's destructor unreferences it.

2014-05-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Deprecate Gtk::Misc (almost) and Gtk::NumerableIcon

	* gtk/src/filelist.am: Move numerableicon.hg to gtkmm_files_deprecated_hg.
	* gtk/src/misc.hg: Deprecate, but only with comments. Can't be really
	deprecated yet, because Misc is a base class of Label and Image.
	* gtk/src/numerableicon.hg: Deprecate.

2014-05-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix 'make check' after Gtk::Arrow has been deprecated

	* demos/gtk-demo/example_headerbar.cc:
	Use Gtk::Button::set_image_from_icon_name() instead of Gtk::Arrow.
	* gtk/src/arrow.hg: Add #define GDK_DISABLE_DEPRECATION_WARNINGS in arrow.cc.
	* gtk/src/filelist.am: Move arrow.hg to gtkmm_files_deprecated_hg.

2014-05-15  Juan R. García Blanco  <juanrgar@gmail.com>

	PlacesSidebar: Wrap "show-location" symbols

	* Wrap ::show-location signal.
	* Wrap "show-location" property.
	* Wrap gtk_places_sidebar_get_show_location() and
	gtk_places_sidebar_set_show_location() accessor methods.

2014-05-14  Murray Cumming  <murrayc@murrayc.com>

	Deprecate Gtk::Arrow because GtkArrow is deprecated.

2014-05-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update documentation of Gtk::Dialog::run()

	* gtk/src/dialog.hg: Add documentation of Gtk::Dialog::run(), similar to
	the gtk+ documentation, except for the code snippet.
	* gtk/src/gtk_docs_override.xml: Remove documentation of gtk_dialog_run().

2014-04-29  Jonathon Jongsma  <jjongsma@redhat.com>

	Don't assert argc/argv are non-null in Application::run()

	NULL is a valid value to pass to gtk_init(), and these asserts make it
	impossible to use theses functions with NULL argc/argv.

2014-04-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Remove unnecessary parts of the docs_override.xml files

	* gdk/src/gdk_docs_override.xml:
	* gtk/src/gtk_docs_override.xml: Remove parts with no significant
	difference compared to the docs.xml files.
	Remove leftovers from gtkmm 2.

2014-04-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Application: Fix the build with the latest gtk+

	* gtk/src/application.hg: Define GDK_DISABLE_DEPRECATION_WARNINGS,
	because gtk_application_add/remove_accelerator() are deprecated.

2014-04-14  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Mention API additions in 3.12

2014-04-13  Murray Cumming  <murrayc@murrayc.com>

	3.12.0

2014-04-13  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Add a check that NEWS is updated.

2014-04-12  Juan R. García Blanco  <juanrgar@gmail.com>

	Add Gtk::HeaderBar demo

	Add a Gtk::HeaderBar demo that mimics gtk3-demo's one.

2014-04-09  Murray Cumming  <murrayc@murrayc.com>

	demo: Add the FlowBox demo part.

	* demos/Makefile.am:
	* demos/gtk-demo/demos.h:
	* demos/gtk-demo/example_flowbox.cc:
	This is based on the example/demo code in bug #723801
	from Juan R. Garcia Blanco.

2014-04-08  Murray Cumming  <murrayc@murrayc.com>

	Application: Add set_accels_for_action(), deprecating add_accelerator().

	* gtk/src/application.[hg|ccg]: Deprecate add_accelerator() and
	remove_accelerator() because they have been deprecated in the
	latest unstable GTK+ code:
	See https://bugzilla.gnome.org/show_bug.cgi?id=708905#c8
	Add set_accels_for_action(), set_accel_for_action() and
	unset_accels_for_action() to replace them, using the new
	gtk_application_set_accels_for_action() function.

2014-04-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Button: Add set_image_from_icon_name() with a use_fallback argument

	* gtk/src/button.[hg|ccg]:
	Add set_image_from_icon_name(icon_name, size, use_fallback). Bug #723124.

2014-04-05  Murray Cumming  <murrayc@murrayc.com>

	3.11.10

2014-04-05  Murray Cumming  <murrayc@murrayc.com>

	Ignore some functions.

2014-04-05  Murray Cumming  <murrayc@murrayc.com>

	Pixbuf: Add get_byte_length().

2014-04-01  Murray Cumming  <murrayc@murrayc.com>

	Application: Add comments about the strange add/set accel methods.

2014-03-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Dialog: Fix the deprecation of get_action_area()

	* gtk/src/dialog.hg: Add 'deprecated' also on the const version of
	get_action_area().

2014-03-20  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update Visual Studio Projects

	Add the newly-added sources for gtkmm-3.12.x for the gtkmm project, so that
	gtkmm will build properly and completely.  Also correct the include path
	for cairomm, as it was wrong, so that the build will find the cairomm
	correctly.

2014-03-18  Murray Cumming  <murrayc@murrayc.com>

	3.11.9

2014-03-18  Murray Cumming  <murrayc@murrayc.com>

	Widget: Add scale-factor property.

2014-03-18  Murray Cumming  <murrayc@murrayc.com>

	Widget: Add get/set_margin_start/end().

2014-03-18  Murray Cumming  <murrayc@murrayc.com>

	Regenerate XML docs files.

2014-03-18  Murray Cumming  <murrayc@murrayc.com>

	Application: Add set_accel_for_action().

	* gtk/src/application.[hg|ccg]: So we don't need to create
	a vector for just one accel.

2014-03-18  Murray Cumming  <murrayc@murrayc.com>

	Window: Ignore some private or obscure functions.

2014-03-18  Murray Cumming  <murrayc@murrayc.com>

	StyleContext: Add get/set_scale().

2014-03-18  Murray Cumming  <murrayc@murrayc.com>

	Application: Add get/set_accels_for_action() and list_action_descriptions().

2014-03-18  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Device: Add get_last_event_window().

2014-03-17  Murray Cumming  <murrayc@murrayc.com>

	Regenerate docs XML files.

2014-03-17  Murray Cumming  <murrayc@murrayc.com>

	Regenerate methods .defs

2014-03-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update .gitignore

	* .gitignore: Ignore newly added generated classes in gtk/gtkmm.

2014-03-05  Murray Cumming  <murrayc@murrayc.com>

	Container: Add a TODO comment about removing the virtual add().

	See bug #724732.

2014-03-04  Murray Cumming  <murrayc@murrayc.com>

	3.11.8

2014-03-04  Murray Cumming  <murrayc@murrayc.com>

	Regenerate docs XML.

2014-03-04  Murray Cumming  <murrayc@murrayc.com>

	Regenerated methods .defs.

2014-03-04  Murray Cumming  <murrayc@murrayc.com>

	Regenerated enums .defs.

2014-02-26  Juan R. García Blanco  <juanrgar@gmail.com>

	Window: Add ::is-maximized property

	* Wrap ::is-maximzed property
	* Wrap gtk_window_is_maximized() accessor method

2014-02-23  Juan R. García Blanco  <juanrgar@gmail.com>

	IconInfo: Add is_symbolic() method

	* Add wrapper for gtk_icon_info_is_symbolic() method,
	introduced in 3.12.

2014-02-23  Juan R. García Blanco  <juanrgar@gmail.com>

	Assistant: Wrap new ::use-header-bar property

	* Add ::use-header-bar read-only property

2014-02-23  Juan R. García Blanco  <juanrgar@gmail.com>

	ActionBar: wrap new GtkActionBar

	* GtkActionBar now inherits from GtkBin
	* ::spacing and ::center-widget properties removed
	* Add unset_center_widget() method to allow NULL
	parameter to gtk_action_bar_set_center_widget()

2014-02-17  Juan R. García Blanco  <juanrgar@gmail.com>

	Box: Wrap new *_center_widget() symbols

	* Wrap gtk_box_set/get_center_widget object methods
	* Create unset_center_widget() to allow NULL argument to
	gtk_box_set_center_widget()

2014-02-17  Juan R. García Blanco  <juanrgar@gmail.com>

	Gtk::Popover: wrap new constructor and public method

	* Wrap gtk_popover_bind_model() object method.
	* Wrap gtk_popover_new_from_model() constructor.

2014-02-17  Juan R. García Blanco  <juanrgar@gmail.com>

	Dialog: Add new header bar management methods

	* Add getter/setter for HeaderBar widget
	* Add ::use-header-bar read-only property

2014-02-17  Juan R. García Blanco  <juanrgar@gmail.com>

	Gtk::Entry: add new symbols as for 3.11.7

	* Add ::max-width-chars object property
	* Add ::max-width-chars getter/setter object methods

2014-02-17  Juan R. García Blanco  <juanrgar@gmail.com>

	Gtk::MenuButton: wrap new symbols as of 3.11.7

	* Wrap ::use-popover object property
	* Wrap ::use-popover getter/setter
	* Wrap gtk_menu_button_get/set_popover object methods
	* Added various needed Popover conversions
	* Regenerate gtk_methods.defs and gtk_signals.defs to
	include these new symbols

2014-02-19  Murray Cumming  <murrayc@murrayc.com>

	3.11.7

2014-02-17  Murray Cumming  <murrayc@murrayc.com>

	MessageDialog: Deprecate get/set_image() and the property.

	This has been deprecated in GTK+ for the usual (recently)
	unspecified design reasons.

2014-02-16  Juan R. García Blanco  <juanrgar@gmail.com>

	Popover: wrap ::closed signal; remove unused includes

2014-02-15  Juan R. García Blanco  <juanrgar@gmail.com>

	Various fixes to Gtk::FlowBox

	* Fix invalid use of _IGNORE with signals.
	* Wrap Gtk::FlowBoxChild::activate signal.

2014-02-10  Juan R. García Blanco  <juanrgar@gmail.com>

	Gtk::Popover::pointing-to changed type

	* GtkPopover::pointing-to changed its type from
	* cairo_rectangle_int_to to GdkRectangle.

2014-02-10  Murray Cumming  <murrayc@murrayc.com>

	3.11.5

2014-02-10  Juan R. García Blanco  <juanrgar@gmail.com>

	Wrap new symbols in GtkPlacesSidebar

	* GtkPlacesSidebar::local-only object property
	* GtkPlacesSidebar::local-only getter/setter object methods

2014-02-10  Juan R. García Blanco  <juanrgar@gmail.com>

	Wrap GtkFlowBox

2014-02-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update Doxyfile.in

	* docs/reference/Doxyfile.in: Update for doxygen 1.8.4.
	Make it more similar to glibmm's Doxyfile.in.

2014-02-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Builder: Add expose_[object|widget](), [set|get]_application()

	* gtk/src/builder.hg: Add expose_object(), expose_widget(),
	set_application(), get_application(). Remove some TODO comments.
	* gtk/src/builder.ccg: Remove a TODO comment.

2014-02-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Entry: Add set/get_attributes()

	* gtk/src/entry.hg: Add set_attributes(), get_attributes() and the
	"attributes" property.

2014-02-03  Juan R. García Blanco  <juanrgar@gmail.com>

	Wrap GtkSettings new properties as of 3.12

	* GtkSettings::gtk-decoration-layout property
	* GtkSettings::gtk-shell-shows-desktop property
	* GtkSettings::gtk-dialogs-use-header property

2014-02-03  Juan R. García Blanco  <juanrgar@gmail.com>

	Wrap new GtkStack symbols as for 3.12

	* gtk_stack_get_transition_running function
	* gtk_stack_get_child_by_name function
	* GtkStack::transition-running object property

2014-01-31  Murray Cumming  <murrayc@murrayc.com>

	Popover: Simplify some _CONVERSION() lines.

	The reinterpret casts were unnecessary.

2014-01-31  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .docs .xml

2014-01-31  Murray Cumming  <murrayc@murrayc.com>

	Regenerate extra defs

2014-01-31  Murray Cumming  <murrayc@murrayc.com>

	Regenerate enums .defs

2014-01-31  Murray Cumming  <murrayc@murrayc.com>

	Regenerated methods .defs

2014-01-31  Murray Cumming  <murrayc@murrayc.com>

	Added a comment

2014-01-31  Juan R. García Blanco  <juanrgar@gmail.com>

	Wrap GtkPopover

2014-01-30  Juan R. García Blanco  <juanrgar@gmail.com>

	Wrap new symbols added to GtkHeaderBar as of 3.12

	* gtk/src/headerbar.[hg|ccg]:
	Added decoration-layout object property,
	decoration-layout-set object property,
	has-subtitle object property,
	get_decoration_layout(), get_has_subtitle(),
	set_decoration_layout(), set_has_subtitle().

2014-01-29  Juan R. García Blanco  <juanrgar@gmail.com>

	Wrap GtkActionBar

	Bug #723124

2014-01-29  Murray Cumming  <murrayc@murrayc.com>

	Main: Undeprecate add_gtk_option_group(), because it is still needed.

	* gtk/src/main.[hg|ccg]: We should probably move it out of Main,
	along with some other functions from here, but Main does not feel
	completely deprecated anyway because Application still cannot
	properly handle GOption.

2014-01-28  Murray Cumming  <murrayc@murrayc.com>

	Dialog: Deprecates some methods and fix the build with --warnings=fatal

	* dialog.[hg|ccg]: Deprcate set_alternative_button_order_from_array(),
	alternative_button_order() (which have no deprecation advice in
	GTK+, but I have given up filing bugs about that) and
	get_action_area() (which does).

2014-01-17  Murray Cumming  <murrayc@murrayc.com>

	3.11.4

2014-01-17  Murray Cumming  <murrayc@murrayc.com>

	Regenerate C docs .xml files.

2014-01-17  Murray Cumming  <murrayc@murrayc.com>

	Regenerate signals/properties .defs

2014-01-17  Murray Cumming  <murrayc@murrayc.com>

	Regenerate functions .defs.

2014-01-17  Murray Cumming  <murrayc@murrayc.com>

	Regenerate enums defs.

2014-01-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::SelectionData: Add some method docs and get_data(int& length)

	* gtk/src/selectiondata.hg: Add get_data(int& length). Add documentation
	to some methods.

2014-01-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::CellArea: Add signal_apply_attributes()

	* gtk/src/cellarea.hg: Add signal_apply_attributes(). Markup the section
	titles in the class docs.

2014-01-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gtk/src/textiter.hg: Add an _IGNORE()

	* gtk/src/textiter.hg: _IGNORE(gtk_text_iter_assign), which was added as a
	result of gtk+ bug #645258.

2013-12-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix the build with --disable-deprecated-api

	* gdk/gdkmm/filelist.am:
	* gdk/src/filelist.am: Split gdkmm_files_hg into gdkmm_files_any_hg and
	gdkmm_files_deprecated_hg. Move color.hg to gdkmm_files_deprecated_hg.
	* gtk/src/button.ccg: Include gtkmm/image.h.
	* gtk/src/radioaction.ccg: Add _DEPRECATE_IFDEF_START/END.
	* gtk/src/recentaction.[hg|ccg]: Hand-code deprecated constructors and
	create() methods. It's the only way to get correct #ifndef directives in
	the .cc file.
	* gtk/src/texttag.hg: Add _CONFIGINCLUDE.

2013-12-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::UIManager: Deprecate the add-tearoffs property

	It has been deprecated in gtk+ since 3.4. The corresponding set/get methods
	have been deprecated in gtkmm since 3.3.2.

2013-12-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::ToggleAction: Deprecate the create() that uses (deprecated) StockID

	* gtk/src/toggleaction.[hg|ccg]: Deprecate the create() that uses StockID.
	This should not be an API break because you could not use this deprecated
	method if you had disabled deprecated API, because it takes a deprecated
	type as parameter.

2013-12-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Action, Activatable: Undeprecate methods that don't use a StockID

	* gtk/src/action.[hg|ccg]:
	* gtk/src/activatable.hg: Undeprecate all methods, signals and properties
	that don't use a StockID.
	* gtk/src/filelist.am: Move undeprecated classes back from
	gtkmm_files_deprecated_hg to gtkmm_files_any_hg.

	This was forgotten when deprecations were reverted in commit
	https://git.gnome.org/browse/gtkmm/commit/?id=caf1165105d078a2cdc92caa14a1ebfc6724e6ef

2013-12-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::ToolItem: Add class docs. Add unset_proxy_menu_item()

	* gtk/src/toolitem.[hg|ccg]: The gtk_tool_item_set_proxy_menu_item() docs
	don't tell whether the menu_item argument can be NULL, but the gtk+ code
	explicitly allows it, and the create-menu-proxy signal docs mention this
	case. An unset method seems appropriate.

2013-12-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Switch: Fix _IGNORE_SIGNAL("activate")

2013-12-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gtk/src/enums.hg: Remove documentation of enums, gmmproc adds it

2013-12-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::ColorChooser::get_rgba(): Add documentation

2013-12-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate more .defs with the latest GTK+.

2013-12-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gdk_methods.defs.

	* gdk/src/gdk_methods.defs: Regenerate with gen_scripts/.
	* gdk/src/window.hg: Add a conversion to fix the build, but see the
	TODO comment about the possible ABI break in GTK+.

2013-12-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::RGBA, Color: Fix set_hsl(), improve documentation

	* gdk/src/color.ccg:
	* gdk/src/rgba.ccg: Fix the conversion from HSL to RGB color in set_hsl().
	* gdk/src/color.hg:
	* gdk/src/rgba.hg: Add docs of set_hsv() and set_hsl(). Change 'percentage'
	to 'fraction' in docs. (The range is not 0..100, it's 0..1.)
	Bug #720258.

2013-12-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Display: Remove obsolete TODO comments

	* gdk/src/display.hg: gdk_display_set_device_hooks() was removed before it
	entered a stable API.
	Vfuncs are not wrapped because GdkDisplayClass is private.

2013-11-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Docs: Add missing widget images

	* gtk/src/colorchooserdialog.hg: Change image file name.
	* docs/reference/images/widgets/appchooserbutton1.png:
	* docs/reference/images/widgets/appchooserdialog1.png:
	* docs/reference/images/widgets/colorchooserdialog1.png:
	* docs/reference/images/widgets/infobar1.png: New files, copied from gtk+.

2013-11-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::AppChooser*: Improve documentation

	* gtk/src/appchooser.hg:
	* gtk/src/appchooserbutton.hg:
	* gtk/src/appchooserdialog.hg:
	* gtk/src/appchooserwidget.hg: Copy class documentation from gtk+ that was
	added to gtk+ after the classes were created in gtkmm. Add links to
	giommContentType in glibmm. See gtk+ bug #650012. These links will be broken
	until a new version of glibmm (after 2.38.0) is released.

2013-10-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update .gitignore files

	* build/.gitignore:
	* .gitignore: Ignore files generated by automake 1.13 and 'make check'.

2013-10-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	CellArea: Fix documentation of typedef SlotForeachAlloc

	* gtk/src/cellarea.hg: SlotForeachAlloc: An extra '>' in the docs trapped
	doxygen 1.8.4 in an infinite loop.

2013-10-22  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Pixbuf: Add create_from_resource() methods.

	* gdk/src/pixbuf.hg: Wrap gdk_pixbuf_new_from_resource() and
	gdk_pixbuf_new_from_resource_at_scale().
	* configure.ac: Require the gdk-pixbuf version that has these
	new functions.

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	Avoid including deprecated stockid.h

	For non-deprecated classes with deprecated methods that take the
	(deprecated) StockID, just add a typedef instead of including
	stockid.h. The undef hack is not enough to deal with common situations.

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	Deprecate some more methods that use (deprecated) StockID.

	* gtk/src/radioaction.hg:
	* gtk/src/recentaction.hg: Deprecate constructors and methods that
	take StockID.

	This should not be an API break because you could not use these
	deprecated methods if you had disabled deprecated API, because they
	took a deprecated type as parameter.

2013-10-11  Murray Cumming  <murrayc@murrayc.com>

	3.10.0

2013-10-11  Murray Cumming  <murrayc@murrayc.com>

	Switch: Ignore the activate signal

2013-10-11  Murray Cumming  <murrayc@murrayc.com>

	Docs: Fix PlacesSidebar doc generation

2013-10-11  Murray Cumming  <murrayc@murrayc.com>

	Regenerated *.docs.xml

2013-10-11  Murray Cumming  <murrayc@murrayc.com>

	Add a comment

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	ToggleAction, RadioAction: Allow use of deprecated StockID in deprecated API.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	RadioAction: Deprecate the constructor that uses StockID.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	ActionGroup: Remove _IS_DEPRECATED

	I added this by mistake in a recent commit.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	ToggleAction: Deprecate the constructor that uses StockID

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Action, etc: Avoid C API deprecation warnings.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Revert "Deprecate Gtk::ActionGroup, *Action, Activatable (sort of), UIManager."

	Because we do not believe that the C API is ready to be deprecated.
	See https://mail.gnome.org/archives/gtkmm-list/2013-October/msg00003.html

	This reverts commit d1cfb5b5d805b2033334c8fb8845522e79333814.

	We should apply this commit again some time in the future.
	https://git.gnome.org/browse/gtkmm/commit/?id=d1cfb5b5d805b2033334c8fb8845522e79333814

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	PrintOperation: run(): Add documentation.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Update a TODO comment

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Plug: Add documentation

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Update a TODO comment

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	IconView: set_cursor(): Add a version with no cell parameter

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Tiny comment/docs changes.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Remove some now-unnecessary code.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Application: add/remove_accelerator(): Add overloads without the variant parameter.

	* gtk/src/application.hg: Use the {?} syntax to add methods that
	do not take the parameter.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Update some documentation.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Window: get_frame_extents(): Add const version.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Update some TODO comments

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Tiny whitespace fixes.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Pixbuf: Document some methods.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Device: Document some methods.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Color: Deprecate this.

	* gdk/src/cellrenderertext.hg: Deprecate the properties that use
	Gdk::Color now that they are deprecated (and replaced) in the C API.
	* gdk/src/color.hg: Deprecate this now that it is only used by us for
	deprecated API. The C API still uses GdkColor, but we can already
	deprecate it.

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Whitespace change

2013-10-09  Murray Cumming  <murrayc@murrayc.com>

	Builder: #include giomm/resource.h.

	* gtk/src/builder.hg: This makes it easier for application code
	to catch the ResourceError exception.

2013-10-08  Murray Cumming  <murrayc@murrayc.com>

	Application: Added overview docs based on the C docs.

2013-10-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Widget: Add documentation to some override_* and unset_* methods

	* gtk/src/widget.[hg|ccg]: Use _WRAP_METHOD for override_color() and
	override_background_color(), thus copying the gtk+ docs. Add docs to some
	unset_*() methods. Bug #551912.

2013-10-07  Murray Cumming  <murrayc@murrayc.com>

	SearchBar: handle_event(): Take a GdkEventKey instead of GdkEvent.

	* gtk/src/searchbar.hg: That is what the C docuementation says
	that it should take.
	See bug GTK+ #709544

2013-10-05  Juan Rafael García Blanco  <juanrgar@gmail.com>

	Gtk::HeaderBar::get_show_close_button made const

2013-09-30  Murray Cumming  <murrayc@murrayc.com>

	Add a comment

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	Button: Remove unnnecessary BuiltinStockID declaration

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	Add TODO comments to derive from Actionable when we can break ABI.

	* gtk/src/button.hg:
	* gtk/src/menuitem.hg:
	* gtk/src/switch.hg:
	* gtk/src/toolbutton.hg: These classes need to derive from
	Gtk::Actionable so we can, for instance, call
	set_action_name() on them to use them with a Gio::Action that
	is in an action group.
	However, we cannot do this without breaking ABI.

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	demo: Remove unused stock browser example

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	Move signal-only conversions into the .hg files.

	* tool/m4/convert_gtk.m4: Conversions from GtkSomething* to
	const RefPtr<>& are for signals only and should be written
	for each use, so we always get the correct reference-counting.
	* gtk/src/*.hg: Move them here instead.

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	PlacesSidebar: Fix crash with the drag_* signals.

	* tool/m4/convert_gtk.m4: Remove the conversion from GFile* to
	const RefPtr<>&. These do not belong in the general conversion
	file.
	* gtk/src/placessidebar.hg: Instead put it here. These conversions
	are for signals only and care must be taken to use the
	correct reference-taking (or not) for each use.
	Bug #705642

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	PlacesSidebar: Correct some OWNERSHIP_*s.

	* gtk/src/placessidebar.hg: Based on the C documentation.

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	PlacesSidebar: Pass vectors by reference in signals

2013-09-23  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update gtk-demo MSVC Projects

	* MSVC_Net2005/demos/gtk-demo/gtk-demo.vcproj:
	MSVC_Net2008/demos/gtk-demo/gtk-demo.vcproj:
	MSVC_Net2010/demos/gtk-demo/gtk-demo.vcxproj: Use _fgetc_nolock as a
	direct MSVC replacement for getc_unlocked, as this is what Microsoft
	compilers use for the same purpose.  This will fix the build of the
	demos projects without needing to replace getc_unlocked() with getc(),
	which is not an accurate replacement of getc_unlocked() anyways.

2013-09-23  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update gtkmm Visual Studio Projects

	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	MSVC_Net2008/gtkmm/gtkmm.vcproj:
	MSVC_Net2010/gtkmm/gtkmm.vcxproj:
	MSVC_Net2010/gtkmm/gtkmm.vcxproj.filters: Add the newly-added sources
	in the gtkmm project files so that gtkmm can be correctly built.

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	Application: Add missing gtk_init() call in one of the constructors.

	* gtk/src/application.ccg: The constructor that took no argc/argv
	also needed gtk_init(). This is causing crashes on Fedora.
	Presumably gtk_init() was only recently able to take NULL.

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	3.9.16

2013-09-19  Murray Cumming  <murrayc@murrayc.com>

	ListBox: Add append() for clarity

	* gtk/src/listbox.[hg|ccg]:
	Even though it is not in the GTK+ API.

2013-09-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Gtk::ListBox and Gtk::ListBoxRow.

	* .gitignore: Add new generated files in gtk/gtkmm/.
	* gtk/gtkmm.h: Add listbox.h and listboxrow.h.
	* gtk/src/filelist.am: Add listbox.hg and listboxrow.hg.
	* gtk/src/gtk_signals.defs: Regenerate with GtkListBox's and GtkListBoxRow's
	signals and properties.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Add GTK_TYPE_LIST_BOX and
	GTK_TYPE_LIST_BOX_ROW.
	* tools/m4/convert_gtk.m4: Add conversions for GtkListBoxRow.
	* docs/reference/images/widgets/listbox1.png:
	* gtk/src/listbox.[hg|ccg]:
	* gtk/src/listboxrow.[hg|ccg]: New files. Bug #708115.

2013-09-19  Murray Cumming  <murrayc@murrayc.com>

	Update .gitignore

2013-09-19  Murray Cumming  <murrayc@murrayc.com>

	Add missing files

2013-09-18  Andrew Potter  <agpotter@gmail.com>

	Gtk::Stack and StackSwitcher: Add wrapper

	* gtk/gtkmm.h: add stack.h and stackswitcher.h
	* gtk/src/enums.hg: wrap StackTransitionType
	* gtk/src/filelist.am: add stack.hg stackswitcher.hg
	* gtk/src/gtk_signals.defs: Regenerate
	* gtk/src/stack.ccg:
	* gtk/src/stack.hg:
	* gtk/src/stackswitcher.ccg:
	* gtk/src/stackswitcher.hg:
	* tools/extra_defs_gen/generate_defs_gtk.cc: Add stack and stackswitcher
	* tools/m4/convert_gtk.m4: Add conversions to/from Stack*

	Bug #704964

2013-09-18  Juan Rafael García Blanco  <juanrgar@FedoraMacBook.localdomain>

	Wrap GtkHeaderBar

	Bug #708194

2013-09-18  Juan Rafael García Blanco  <juanrgar@FedoraMacBook.localdomain>

	Wrap GtkPlacesSidebar (not complete)

	Bug #705642

2013-09-17  Murray Cumming  <murrayc@murrayc.com>

	Widget: Add remove_action_group().

	* gtk/src/widget.[hg|ccg]: Now that we know that
	gtk_widget_insert_action_group() can take NULL to mean this.
	See GTK+ bug #708150 .

2013-09-16  Murray Cumming  <murrayc@murrayc.com>

	Widget: Make insert_action_group() public.

	* gtk/src/widget.hg: Because it is convenient for me in Glom,
	where I need to call it in a helper function rather in the widget
	class itself, to avoid duplication.

2013-09-10  Murray Cumming  <murrayc@murrayc.com>

	3.9.14

2013-09-10  Murray Cumming  <murrayc@murrayc.com>

	Window: Add set_opaque_region().

2013-09-10  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .defs and .xml files

2013-09-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Button: Replace the icon_name ctor by set_image_from_icon_name().

	* gtk/src/button.[h|cc]: Remove the constructor that takes an icon_name.
	Add set_image_from_icon_name(). Bug #707791.

2013-09-10  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update Visual Studio Projects

	* Purge some of the unecessary entries form the project files, notably the
	empty items in the Visual Studio 2005/2008 projects.
	* Clean up the formatting of the Project Files.
	* Fix the include paths on including the libsigc++, glibmm, pangomm and
	atkmm headers, notably the *config.h's of these dependencies.
	* Update the gtkmm and gtk-demo projects as newer sources were added so
	that these will build properly, up to and including the newly-wrapped
	searchbar sources.

2013-09-10  Juan Rafael Garcia Blanco  <juanrgar@gmail.com>

	Wrap GtkSearchBar

2013-09-10  Murray Cumming  <murrayc@murrayc.com>

	Remove a now-irrelevant comment.

2013-09-10  Murray Cumming  <murrayc@murrayc.com>

	Scale: Constructor: Remove the default parameter value.

	* gtk/src/scale.hg: Because we already have a default constructor,
	and this made it ambiguous.
	Bug #707810 (cheshirekow)

2013-09-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	tools/gen_scripts/gtk_generate_extra_defs.sh: Add --make-patch option.

2013-08-28  Murray Cumming  <murrayc@murrayc.com>

	3.9.12

2013-08-28  Murray Cumming  <murrayc@murrayc.com>

	Button: Add constructor that takes an icon_name and size.

	* gtk/src/button.[hg|ccg]: Reimplement to match the new
	gtk_button_new_from_icon_name() function.

2013-08-28  Murray Cumming  <murrayc@murrayc.com>

	Gdk: Cursor: Wrap some new functions.

	* gdk/src/cursor.hg: Add create() that takes a Surface,
	and get_surface().

2013-08-28  Murray Cumming  <murrayc@murrayc.com>

	Gdk: Regenerate .defs and .xml

2013-08-28  Murray Cumming  <murrayc@murrayc.com>

	Widget: add get_scale_factor().

2013-08-28  Murray Cumming  <murrayc@murrayc.com>

	Widget: Add drag_begin() that takes x and y coordinates.

	* gtk/src/widget.hg: Wrap gtk_drag_begin_with_coordinates().

2013-08-28  Murray Cumming  <murrayc@murrayc.com>

	Label: Add get/set_lines() and property.

2013-08-28  Murray Cumming  <murrayc@murrayc.com>

	Entry: Add get/set_tabs() and property.

2013-08-28  Murray Cumming  <murrayc@murrayc.com>

	Gtk: Regenerate .defs and .xml

2013-08-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Deprecate some functions and properties that are deprecated in gtk+.

	* gdk/src/window.hg:
	* gtk/src/combobox.hg:
	* gtk/src/menu.[hg|ccg]:
	* gtk/src/settings.hg: Deprecate functions and properties that are
	deprecated in gtk+.

2013-08-05  Juan R. García Blanco  <juanrgar@gmail.com>

	Wrap GtkRevealer

2013-08-05  Murray Cumming  <murrayc@murrayc.com>

	3.9.10

2013-07-29  Murray Cumming  <murrayc@murrayc.com>

	Gdk: Window: Add some methods.

	* gdk/src/window.hg: Add get_scale_factor().
	Add get_device_position() taking doubles.
	Add create_similar_image_surface().

2013-07-29  Murray Cumming  <murrayc@murrayc.com>

	Gdk: Screen: Add get_monitor_scale_factor().

2013-07-29  Murray Cumming  <murrayc@murrayc.com>

	gdk: Device: Add get_position() that uses doubles.

	Wrapping gdk_device_get_position_double().

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Avoid deprecated libsigc++ API.

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	CellRendererPixbuf: Add the surface property.

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	Image: Add set(Cairo::Surface)

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	Tell the docs generator about GdkRGBA

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	Window: Add close().

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	IconTheme: Wrap some new functions.

	* gtk/src/icontheme: Add lookup_icon() method overloads that
	take a scale parameter.
	Add choose_icon() method overload that take a scale
	parameter.
	Add load_icon() method overload that takes a scale parameter.
	Add load_surface().

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	IconInfo: Add load_surface() and get_base_scale().

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	Grid: Add baseline-row property.

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	Grid: Add remove_row() and remove_column()."

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	InfoBar: Add get/set_show_close_button().

	And the property.

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	FileChooser: Add get_current_name().

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	Wrap the new baseline functions.

	* gtk/src/gtk_enums.defs:
	* gtk/src/gtk_methods.defs:
	* gtk/src/gtk_signals.defs: Regenerated
	* gtk/src/enums.hg: Add BaselinePosition.
	* tools/m4/convert_gtk.m4: Add a conversion
	for the new enum.
	* gtk/src/box.hg: Add get/set_baseline_position()
	and property.
	* gtk/src/grid.hg: Add get/set_row_baseline_position()
	and get/set_baseline_row().
	* gtk/src/widget.hg: Add  get_preferred_height_for_width(),
	get_allocated_baseline() and get_valign_with_baseline().

2013-07-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	RadioToolButton: Fix set_group(). Add reset_group().

	* gtk/src/radiotoolbutton.[hg|ccg]: set_group() must update the group after
	setting it, like in RadioButton and RadioMenuItem. Add reset_group().

2013-07-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Demos: Add IconTheme demo.

	* demos/Makefile.am:
	* demos/gtk-demo/demos.h: Add example_icontheme.cc.
	* demos/gtk-demo/example_icontheme.cc: New demo file.

2013-07-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Demos: Catch Glib::FileError from demo_find_file().

	* demos/gtk-demo/demo-common.cc: Fix description of demo_find_file().
	* demos/gtk-demo/demowindow.cc: Put the call to demo_find_file() in a
	try block, and catch Glib::FileError.

2013-07-22  Murray Cumming  <murrayc@murrayc.com>

	Menu, MenuBar: Add constructors that take Gio::MenuModels.

	This "wraps" gtk_menu_new_from_model() and
	gtk_menu_bar_new_from_model().

2013-07-22  Murray Cumming  <murrayc@murrayc.com>

	Menu: Make attach_to_widget() public.

	Because it seems to be necessary now that there is
	gtk_menu_new_from_model().

2013-07-22  Murray Cumming  <murrayc@murrayc.com>

	MenuShell: bind_model(): Make a parameter optional.

	gmmproc will now generate a method overload without the
	action_namespace parameter.

2013-07-22  Murray Cumming  <murrayc@murrayc.com>

	A slight deprecation docs improvement.

2013-07-17  Murray Cumming  <murrayc@murrayc.com>

	3.9.8

2013-07-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Replace deprecated classes in comments.

	* gtk/src/bin.hg: Replace HBox by horizontal Box.
	* gtk/src/dialog.hg: Replace VBox by vertical Box.
	* gtk/src/builder.hg:
	* gtk/src/scrolledwindow.hg:
	* gtk/src/sizegroup.hg: Replace Table by Grid.
	* gtk/src/hvseparator.hg: Add @deprecated Doxygen command.
	* gtk/src/filechooserbutton.hg:
	* gtk/src/infobar.hg:
	* gtk/src/statusbar.hg: Mention that the C object derives from GtkBox.

2013-07-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add a missing include to enums.ccg.

	* gtk/src/enums.ccg: Add #include <gtkmm/settings.h>.

2013-07-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Action, Activatable: Deprecate vfuncs only with comments.

	* gtk/src/action.hg:
	* gtk/src/activatable.hg: Remove the 'deprecated' parameters, added by
	mistake to _WRAP_VFUNC in an earlier commit. gmmproc ignores all unknown
	parameters in _WRAP_VFUNC, but it's best to remove them, in case gmmproc
	checks the parameters better in the future.

2013-07-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix build with --disable-deprecated-api.

	* gtk/gtkmm/wrap_init.h: Define GDK_DISABLE_DEPRECATION_WARNINGS
	unconditionally.
	* gtk/src/application.hg: Make gmmproc add  "typedef struct _GtkWindow
	GtkWindow;" early in application.cc.
	* gtk/src/colorbutton.[hg|ccg]: Make deprecated constructors deprecated also
	in colorbutton.cc.
	* gtk/src/menubutton.hg: Deprecate unset_menu() instead of unset_popup().
	* gtk/src/filelist.am: Move table.hg to gtkmm_files_deprecated_hg.

2013-07-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Relax the deprecation of Gtk::Action.

	* gtk/src/action.[hg|ccg]: Don't deprecate the whole class and the whole
	files. Deprecate all methods, signals and properties. There are so many
	references from Activatable to Action that it's difficult to deprecate
	all of Action without deprecating all of Activatable, which would break ABI.
	Particularly tricky when building with --disable-deprecated-api.
	* gtk/src/activatable.hg: Deprecate all methods and properties.
	* gtk/src/filelist.am: Move action.hg to gtkmm_files_any_hg.

2013-07-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Notebook and StyleContext: Minor deprecation fixes.

	* gtk/src/notebook.hg: Disable deprecation warnings when notebook.cc is
	compiled.
	* gtk/src/stylecontext.[hg|ccg]: get_font(): Use gtk_style_context_get()
	instead of the deprecated gtk_style_context_get_font().

2013-07-03  José Alburquerque  <jaalburquerque@gmail.com>

	Move to a generated ChangeLog.

2013-07-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::BuiltinStockID: Add deprecation messages to the constants.

	* gtk/gtkmm/stock.h: Copy deprecation messages from gtk+'s GTK_STOCK_*
	constants to the BuiltinStockID constants.

2013-07-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Demos: Fix calls to Gtk::Grid::attach().

	* demos/gtk-demo/example_appwindow.cc:
	* demos/gtk-demo/example_dialog.cc:
	* demos/gtk-demo/example_panes.cc:
	* demos/gtk-demo/example_sizegroup.cc: Fix all calls to Grid::attach().
	Those calls were not modified properly when Table was replaced by Grid.

2013-07-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix 'make check' after the massive deprecations.

	* demos/Makefile.am:
	* demos/gtk-demo/demos.h: Remove example_stockbrowser.cc and
	example_uimanager.cc from the lists of demo files.
	* demos/gtk-demo/example_buttonbox.cc:
	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/example_dialog.cc:
	* demos/gtk-demo/example_iconview.cc:
	* demos/gtk-demo/example_sizegroup.cc: Replace Gtk::Stock::* by either a
	label or a named icon, as recommended in the gtk+ file gtkstock.h.
	* tests/dialog_deletethis/main.cc: Replace Gtk::Stock::CLOSE by "_Close".
	Call app->hold(). This is necessary because the dialog window is not added
	to the Gtk::Application.
	* tests/property_notification/main.cc: Use the rgba property instead of the
	deprecated color property.

2013-07-02  José Alburquerque  <jaalburquerque@gmail.com>

	Auto-generate the ChangeLog from the git log for 'make dist'.

	* Makefile.am: Include the dist-changelog.am file copied in build/
	from mm-common so that the ChangeLog is automatically generated from
	the git commit messages on 'make dist'.

2013-07-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update gtk/src/filelist.am and gtk/gtkmm/filelist.am.

	* gtk/src/filelist.am:
	* gtk/gtkmm/filelist.am: Update the lists of deprecated files.

2013-07-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Deprecate Gtk::ActionGroup, *Action, Activatable (sort of), UIManager.

	* gtk/gtkmm/radiobuttongroup.[h|cc]: Deprecate the add() that takes a RadioAction.
	* gtk/src/action.hg: Deprecate Action.
	* gtk/src/actiongroup.hg: Deprecate ActionGroup.
	* gtk/src/activatable.hg: Add a comment that interface Activatable is
	deprecated. Can't do more than that without breaking ABI. It's a base class
	of several classes.
	* gtk/src/radioaction.hg: Deprecate RadioAction.
	* gtk/src/recentaction.hg: Deprecate RecentAction.
	* gtk/src/toggleaction.hg: Deprecate ToggleAction.
	* gtk/src/uimanager.hg: Deprecate UIManager.

	This together with the previous 4 commits should fix the build with
	--enable-warnings=fatal until more API is deprecated in gtk+.
	These commits don't fix 'make check'. The demos use deprecated API.

2013-07-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Deprecate Gtk::ImageMenuItem.

	* gtk/src/imagemenuitem.hg: Deprecate ImageMenuItem.

2013-07-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Deprecate Gtk::StockID, StockItem, BuiltinStockID, namespace Gtk::Stock.

	* gtk/gtkmm/stock.[h|cc]: Deprecate struct BuiltinStockID and all functions in
	namespace Gtk::Stock.
	* gtk/gtkmm/stockid.[h|cc]: Deprecate StockID.
	* gtk/src/stockitem.hg: Deprecate StockItem.
	* gdk/src/dragcontext.hg:
	* gtk/src/button.[hg|ccg]:
	* gtk/src/cellrendererpixbuf.hg:
	* gtk/src/dialog.hg:
	* gtk/src/entry.[hg|ccg]:
	* gtk/src/infobar.hg:
	* gtk/src/menutoolbutton.[hg|ccg]:
	* gtk/src/radiotoolbutton.[hg|ccg]:
	* gtk/src/statusicon.[hg|ccg]:
	* gtk/src/togglebutton.[hg|ccg]:
	* gtk/src/toggletoolbutton.[hg|ccg]:
	* gtk/src/toolbutton.[hg|ccg]:
	* gtk/src/tooltip.hg: Deprecate all constructors, methods and properties
	that take a StockID parameter or return a StockID.

	It remains to copy deprecation messages from gtk+ to all the BuiltinStockID
	constants in stock.h.

2013-07-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Deprecate Deprecate Gtk::IconFactory, IconSet, IconSource.

	* gtk/gtkmm/wrap_init.h: Add GDK_DISABLE_DEPRECATION_WARNINGS, which is now
	necessary in wrap_init.cc.
	* gtk/src/iconfactory.ccg: Move IconSize code to enums.ccg.
	* gtk/src/iconfactory.hg: Deprecate IconFactory.
	* gtk/src/iconset.hg: Deprecate IconSet.
	* gtk/src/iconsource.hg: Deprecate IconSource.
	* gtk/src/enums.ccg: Move IconSize code from iconfactory.ccg.
	* gtk/src/enums.hg: Deprecate most IconSize methods.
	* gtk/src/image.[hg|ccg]: Deprecate methods that take an IconSet or a StockID
	parameter.
	* gtk/src/stylecontext.hg: Deprecate [set|get]_direction() and
	render_icon_pixbuf().

2013-07-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Deprecate some API that is deprecated in the C API.

	* gtk/src/cellrenderer.hg: Deprecate property_cell_background_gdk().
	* gtk/src/cellview.hg: Deprecate property_background_gdk().
	* gtk/src/colorbutton.hg: Deprecate get_alpha(). Add some TODOs.
	* gtk/src/scrolledwindow.hg: Deprecate property_window_placement_set().
	* gtk/src/settings.hg: Deprecate ignored settings.
	* gtk/src/widget.[hg|ccg]: Deprecate [un]set_composite_name(),
	[push|pop]_composite_child(), get_requisition() and methods that take a
	StockID parameter.
	* gtk/src/window.hg: Deprecate reshow_with_initial_size().

2013-06-10  José Alburquerque  <jaalburquerque@gmail.com>

	Gen Scripts: Minor clean up of the description of the scripts.

	* tools/gen_scripts/gdk_generate_docs.sh:
	* tools/gen_scripts/gdk_generate_enums.sh:
	* tools/gen_scripts/gdk_generate_extra_defs.sh:
	* tools/gen_scripts/gdk_generate_methods.sh:
	* tools/gen_scripts/gtk_generate_docs.sh:
	* tools/gen_scripts/gtk_generate_enums.sh:
	* tools/gen_scripts/gtk_generate_methods.sh:

2013-06-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Deprecate Gtk::Container::resize_children().

	* gtk/src/container.hg: Deprecate Gtk::Container::resize_children() because
	gtk_container_resize_children() has been deprecated.

2013-05-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add missing include in gtk/src/widgetpath.hg.

	* gtk/src/widgetpath.hg: Add missing include.

2013-05-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add missing includes in gdkmm.h and gtkmm.h.

	* gdk/gdkmm.h:
	* gtk/gtkmm.h: Add missing includes. Bug #699993.

2013-05-17  Murray Cumming  <murrayc@murrayc.com>

	(Not pushed until later.)

2013-05-07  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with --enable-warnings=fatal

	* gdk/src/display.hg: Deprecate get_n_screens(), because the C function
	is deprecated, because it always returns 1. Therefore also add a default
	parameter value of 0 to get_screen().
	Added a GDK_DISABLE_DEPRECATION_WARNINGS undef so we can still use
	the deprecated API in our deprecated API.
	* demos/gtk-demo/example_change_display.cc: Adapt this, like the
	C version has been adapted.

2013-05-07  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with --enable-warnings=fatal, partly.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Add a define of
	GDK_DISABLE_DEPRECATION_WARNINGS, though I do not know why this is only
	necessary now, using GTK+ from git master.

2013-04-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Widget: Don't call signal_hide handlers on a widget being deleted.

	* gtk/src/widget.[hg|ccg]: Add custom C callbacks for signal_hide. Don't
	call signal_hide handlers or an on_hide() override on a widget while it is
	being deleted. This requires the latest glibmm from git master, where a bug
	in _WRAP_SIGNAL(..., custom_c_callback) has been fixed. Bug #605728.

2013-04-18  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Changes from 3.6 5o 3.8

2013-04-17  Murray Cumming  <murrayc@murrayc.com>

	3.8.0

2013-04-05  Murray Cumming  <murrayc@murrayc.com>

	Widget: Add some new methods.

	* gtk/src/iconview.hg: Add is_visible(),
	register_window() and unregister_window().

2013-04-03  Murray Cumming  <murrayc@murrayc.com>

	Update the generated GTK+ documentation.

	* gtk/src/gtk_docs.xml: Regenerate.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Gtk::IconInfo: Add async methods.

	* gtk/src/iconinfo.hg: Add load_icon_async(),
	load_symbolic_async(), load_symbolic_for_context().
	* tools/m4/convert_gtk.m4: Add a conversion for
	AsyncResult.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Settings: Add two new setings.

	* gtk/src/settings.hg: Wrap the new
	gtk-recent-files-enabled and gtk-primary-button-warps-slider
	properties.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Image: Add the resource property.

	* gtk/src/image.hg: Wrap the new
	resource property.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Gtk::TreeView: Add get/set_activate_on_single_click().

	* gtk/src/treeview.hg: Wrap the new
	gtk_tree_view_set_activate_on_single_click() and
	gtk_tree_view_get_activate_on_single_click() functions
	and the activate-on-single-click property.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Gtk::MenuShell: Add bind_model().

	* gtk/src/textview: Wrap the new
	gtk_menu_shell_bind_model() function.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Gtk::TextView: Add the populate_all property.

	* gtk/src/textview: Wrap the new
	populate-all property.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Gtk::LevelBar: Add get/set_inverted().

	* gtk/src/levelbar: Wrap the new
	gtk_level_bar_get_inverted() and
	gtk_level_bar_set_inverted() functions
	and the inverted property.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Entry: Add the populate_all property.

	* gtk/src/entry: Wrap the new
	populate-all property.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Window: Add get/set_fullscreen_mode().

	* gdk/src/window.hg: Wrap the new
	gdk_window_set_fullscreen_mode() and
	gdk_window_get_fullscreen_mode() functions.
	* tools/m4/convert_gdk.m4: Add the conversion
	for the new enum.

2013-03-26  Murray Cumming  <murrayc@murrayc.com>

	Window: Add set_titlebar().

	* gtk/src/iconview.hg: Wrap the new
	gtk_window_set_titlebar() function.

2013-03-26  Murray Cumming  <murrayc@murrayc.com>

	IconView: Add get/set_activate_on_single_click().

	* gtk/src/iconview.hg: Wrap the new
	gtk_icon_view_set_activate_on_single_click() and
	gtk_icon_view_get_activate_on_single_click() functions
	and the activate-on-single-click property.
	Also add get_cell_rect().

2013-03-26  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update the Visual Studio Solution Files

	* MSVC_Net2005/gtkmm.sln:
	* MSVC_Net2008/gtkmm.sln:
	* MSVC_Net2010/gtkmm.sln: Use Windows/DOS EOL for the solution
	files so that they function correctly, as Visual Studio depends
	on the correct solution file EOL to determine how it handles the
	solution files.

2013-03-26  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Fix and Update Visual Studio Projects

	* MSVC_Net2005/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2008/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2010/demos/gtk-demo/gtk-demo.vcxproj: Rename output
	executable name to gtkmm3-demo.exe to avoid confusion with the GTK+
	demo program, which is also named as gtk3-demo.exe

	* MSVC_Net2005/gdkmm/gdkmm.vcproj:
	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2005/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2008/gdkmm/gdkmm.vcproj:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2010/gdkmm/gdkmm.vcxproj:
	* MSVC_Net2010/gtkmm/gtkmm.vcxproj:
	* MSVC_Net2010/demos/gtk-demo/gtk-demo.vcxproj: Improve integration
	with the Visual Studio builds of the GTK+ stack.  This is so that
	the project files can pick up Visual Studio builds of the GTK+
	when sources of GTK+ is extracted in the same base folder as gtkmm,
	for example, c:\foo\gtkmm-3.7.12 and c:\foo\gtk+-3.7.14.  This is
	especially useful in unstable releases as unstable releases of
	gtkmm often	requires the latest unstable release of GTK+, without
	needing to specially alter the INCLUDE and LIB paths for this
	purpose.

	* MSVC_Net2005/gdkmm/gdkmm.vcproj:
	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/gdkmm/gdkmm.vcproj:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj:
	* MSVC_Net2010/gdkmm/gdkmm.vcxproj:
	* MSVC_Net2010/gdkmm/gdkmm.vcxproj.filters:
	* MSVC_Net2010/gtkmm/gtkmm.vcxproj:
	* MSVC_Net2010/gtkmm/gtkmm.vcxproj.filters: Make up for the missed
	source files.  Also link to the correct GTK+ and GDK
	libraries as they are now gtk-3.0.lib and gdk-3.0.lib.

2013-03-25  Murray Cumming  <murrayc@murrayc.com>

	ActionGroup: Add get/set_accel_group().

	* gtk/src/accellable.hg: Wrap the new
	gtk_action_group_get_accel_group() and
	gtk_action_group_set_accel_group() functions and
	add the accel-group property.

2013-03-25  Murray Cumming  <murrayc@murrayc.com>

	AccelLabel: Add set_accel().

	* gtk/src/accellable.hg: Wrap the new
	gtk_accel_label_set_accel() function.

2013-03-08  Murray Cumming  <murrayc@murrayc.com>

	3.7.12

2013-03-07  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the lastest GTK+ from git master.

	* gtk/src/gtk_signals.defs: Update this with
	tools/gen_scripts/gtk_generate_extra_defs.sh .
	* gtk/src/entry.hg:
	* gtk/src/textview.hg: Add _CONVERSION lines to cope with the slightly-changed
	GTK+ API caused by this commit:
	https://git.gnome.org/browse/gtk+/commit/?id=88623b98a7ca0afca08ac21bc3aa662c6ed3ab7f

	Bug #695305 (Cosimo Cecchi, mussadek)

2013-03-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::EventType, Gtk::MenuButton, Window: Adapt to the updated .defs files.

	* gdk/src/event.hg: Substitute empty strings for [DOUBLE|TRIPLE]_BUTTON_PRESS
	in _WRAP_ENUM(EventType...).
	* gtk/src/menubutton.[hg|ccg]: Hand-code the "menu" property, deleted in gtk+.
	* gtk/src/window.[hg|ccg]: Hand-code the "opacity" property, moved to
	GtkWidget in gtk+.

2013-03-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update the .defs files.

	* gdk/src/gdk_enums.defs:
	* gdk/src/gdk_methods.defs:
	* gdk/src/gdk_pixbuf_methods.defs:
	* gdk/src/gdk_signals.defs:
	* gtk/src/gtk_enums.defs:
	* gtk/src/gtk_methods.defs:
	* gtk/src/gtk_signals.defs: Update from latest gtk+ and gdk-pixbuf.
	(gdk_pixbuf_enums.defs is up-to-date.)
	* gtk/src/gtk_signals.defs.patch: Update.

2013-03-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Split tools/extra_defs_gen files into gdk and gtk parts.

	* .gitignore: Add some new generated files.
	* tools/Makefile.am: Add extra_defs_gen/generate_defs_gdk.
	Rename extra_defs_gen/generate_extra_defs to generate_defs_gtk.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Don't get defs for gdk classes.
	* tools/gen_scripts/gtk_generate_extra_defs.sh: Rename extra_defs_gen/
	generate_extra_defs to generate_defs_gtk.
	* tools/extra_defs_gen/generate_defs_gdk.cc: New file. Get defs for
	gdk classes.
	* tools/gen_scripts/gdk_generate_extra_defs.sh: New file. Execute
	generate_defs_gdk.

2013-02-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update gdk_docs.xml and gtk_docs.xml.

	* gtk/src/gdk_docs.xml: Include enum documentation and doc from gdk-pixbuf.
	* gtk/src/gtk_docs.xml: Include enum documentation.

2013-02-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::ScaleButton, Toolbar: Delete the "orientation" property.

	* gtk/src/scalebutton.hg:
	* gtk/src/toolbar.hg: Delete _WRAP_PROPERTY("orientation", Orientation).
	This property does not exist in gtk+3. It's a left-over from gtkmm2 that
	leaves an error message in the generated .h files.

2013-02-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Modify the deletion of widgets.

	* gtk/gtkmm/object.cc: _release_c_instance(): Call disconnect_cpp_wrapper()
	after g_object_unref() and g_object_run_dispose().
	* gtk/src/window.ccg: _release_c_instance(): Call disconnect_cpp_wrapper()
	after gtk_widget_destroy(). Bug #605728. Bug #315874.

2013-02-25  Murray Cumming  <murrayc@murrayc.com>

	3.7.10

2013-02-21  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Widget: Add get/set_opacity().

	* gtk/src/widget.[hg|ccg]: Wrap gtk_widget_get_opacity()
	and gtk_Widget_set_opacity() and add the opacity
	property.
	* gtk/src/window.[hg|ccg]: Deprecate get_opacity(),
	set_opacity() and the opacity property.

	This fixes the build with --enable-warnings=fatal

2013-02-21  Murray Cumming  <murrayc@murrayc.com>

	Gtk::ScrolledWindow: Do not use a deprecated function.

	* gtk/src/iconinfo.[hg|ccg]: We no longer need to call
	gtk_scrolled_window_add_with_viewport() because
	its gtk_container_add() vfunc implementation now does the
	same thing for us.
	See https://bugzilla.gnome.org/show_bug.cgi?id=693015

	This partly fixes the build with --enable-warnings=fatal

2013-02-21  Murray Cumming  <murrayc@murrayc.com>

	Gtk::IconInfo: Do not use deprecated copy/free functions.

	* gtk/src/iconinfo.[hg|ccg]: Replace use of deprecated
	gtk_icon_info_copy()/free() with g_object_ref()/unref.
	The deprecated functions just call them anyway.

	This partly fixes the build with --enable-warnings=fatal

2013-02-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Rectangle: Add Gdk::join() and Gdk::intersect() nonmember functions.

	* gdk/src/rectangle.[hg|ccg]: Add Gdk::Rectangle::intersects(),
	Gdk::join() and Gdk::intersect(). Bug #452130.

2013-02-04  Murray Cumming  <murrayc@murrayc.com>

	Add some TODOs

2013-01-31  Murray Cumming  <murrayc@murrayc.com>

	Documentation: Small correction to TreeModel::set_value_impl().

	* gtk/src/treemodel.hg: set_value_impl(): Do not suggest calling
	set_value_vfunc() because there is no such function. Maybe there
	was once.

2013-01-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Documentation: Fix many warnings from Doxygen.

	* gdk/src/gdk_docs_override.xml:
	* gtk/src/gtk_docs_override.xml: Move "Since: n.m" from the <return> to the
	<description> entries. gmmproc adds a period at the end of the @return
	Doxygen command, and Doxygen warns for "@newin{n,m}.".
	Add a missing parameter description for gtk_tree_view_set_tooltip_row.
	* gtk/gtkmm.h: Correct a @ref Widgets.
	* gdk/src/*.hg:
	* gtk/src/*.hg: (Here "*" means "many", not "all") Examples of changes:
	Add missing @param. Change names of parameters, so they are equal in function
	declaration and @param command. Change "@name" to "@a name". Change
	"<ulink url=" to "<a href=".

2012-12-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	gen_scripts: Get information from gdk-pixbuf.

	* tools/gen_scripts/gdk_generate_docs.sh: Include documentation from
	gdk-pixbuf in gdk_docs.xml.
	* tools/gen_scripts/gdk_generate_enums.sh: Generate gdk_pixbuf_enums.defs.
	* tools/gen_scripts/gdk_generate_methods.sh: Generate gdk_pixbuf_methods.defs.

2012-12-04  Andrew Potter  <agpotter@gmail.com>

	PixbufAnimation: Fix refcounting on get_iter().

	* gdk/src/pixbufanimation.hg: gdk_pixbuf_animation_get_iter() returns a new
	reference, so we should not be taking an extra reference(). Bug #688686.

2012-12-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Builder: Add const versions of get_object() and get_widget[_derived]().

	* gtk/src/builder.hg: Add const versions of get_object(), get_widget()
	and get_widget_derived(). Bug #666823.

2012-12-03  Hub Figuière  <hub@figuiere.net>

	Gtk::Builder: Add get_objects().

	* gtk/src/builder.hg: Add get_objects().
	* gtk/src/gtk_docs_override.xml: Change the documentation to suit this C++ API.
	Bug #666823

2012-11-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	ScrolledWindow: Add remove_with_viewport().

	* gtk/src/scrolledwindow.[hg|ccg]: Add remove_with_viewport(). Bug #685739.

2012-11-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Bin, Container::remove(): Restore the floating ref of a managed widget.

	* gtk/src/bin.ccg:
	* gtk/src/container.ccg: If the removed widget is managed, make the added
	ref count floating, avoiding excessive ref counts on widgets that are
	repeatedly added and removed. Bug #685739.

2012-11-06  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Added 3.4->3.6 changes.

2012-10-21  Murray Cumming  <murrayc@murrayc.com>

	3.6.0

2012-10-21  Murray Cumming  <murrayc@murrayc.com>

	Create only .tar.xz tarballs.

	* configure.ac: This is what ftp.gnome.org wants, so this avoids
	it doing any repackaging.

2012-10-09  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: set_active_id(): Add documentation.

	* gtk/src/combobox.hg: Add documentation so we can use our own
	@newin{} line.

2012-10-09  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Add set_active_id(), deprecating get_active_id(string).

	* gtk/src/combobox.hg: We just got the name wrong before, calling it
	get instead of set. Also gave it the bool return type from the
	C function.
	Bug #685801 (Phil Wolff)

2012-10-07  Murray Cumming  <murrayc@murrayc.com>

	WindowGroup: Add list_windows() and get_current_grab().

	* gtk/src/window.hg: Wrap these C functions.

2012-10-07  Murray Cumming  <murrayc@murrayc.com>

	TargetList: Add some add_*_targets() methods.

	* gtk/src/targetlist.[hg|ccg]: Add add_text_targets(),
	add_rich_text_targets(), add_image_targets() and
	add_uri_targets().

2012-10-07  Murray Cumming  <murrayc@murrayc.com>

	TreeModel*: Add some _IGNORE() lines.

	* gtk/src/treemodelfilter.hg:
	* gtk/src/treemodelsort.hg: Add _IGNORE()s for functions that
	have already been wrapped.

2012-10-07  Murray Cumming  <murrayc@murrayc.com>

	Require the latest mm-common.

	* configure.ac: This should avoid us creating tarballs without
	the mm-common improvements.

2012-09-27  Murray Cumming  <murrayc@murrayc.com>

	3.5.13

2012-09-25  Murray Cumming  <murrayc@murrayc.com>

	Prepare NEWS

2012-09-25  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Window: Add some methods.

	* gtk/src/window.hg: Add set_startup_id(), is_active(),
	has_toplevel_focus(), set_default_geometry(),
	resize_to_geometry(), has_group().
	Add the focus-visible and attached-to properties.
	This is mostly fairly old GTK+ API that we have not noticed
	until now.

2012-09-25  Murray Cumming  <murrayc@murrayc.com>

	Container: Add some methods.

	* gtk/src/container.[hg|ccg]: Add forall(), propagate_draw(),
	get_focus_child() and get_path_for_child(), none of which seem
	to be very new in GTK+.
	Also updated the foreach() documentation from the GTK+
	documentation.

2012-09-25  Murray Cumming  <murrayc@murrayc.com>

	ApplicationWindow: Add get_id() and documentation.

	* gtk/src/applicationwindow.hg: Wrap the new method and add
	class overview documentation based on the GTK+ documentation.

2012-09-25  Murray Cumming  <murrayc@murrayc.com>

	IconView: Added some new methods and properties.

	* gtk/src/iconview.hg: Added get_item_row() and get_item_column().
	Added the reorderable, tooltip-column and item-padding properties.
	These seem to have been in GTK+ for a long time without us
	noticing that they were not wrapped.

2012-09-25  Murray Cumming  <murrayc@murrayc.com>

	Update the docs XML.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Updated with the gen_scripts.

2012-09-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Improve the use of _IGNORE.

	* gtk/src/fontselection.hg:
	* gtk/src/targetlist.hg:
	* gtk/src/textview.hg: Correct an _IGNORE.
	* gtk/src/iconview.hg: Remove _IGNORE(gtk_tree_view_get_tooltip_context).
	* gtk/src/treemodelfilter.hg: Remove _IGNORE(gtk_tree_model_filter_new).

2012-09-16  Murray Cumming  <murrayc@murrayc.com>

	Widget: Add has_visible_focus().

	* gtk/src/widget.hg: Wrapping gtk_widget_has_visible_focus().

2012-09-16  Murray Cumming  <murrayc@murrayc.com>

	Settings: Added the enable_primary_paste property.

	* gtk/src/settings.hg: gmmproc warned that it was unwrapped.

2012-09-16  Murray Cumming  <murrayc@murrayc.com>

	LevelBar: Added properties and signal.

	* gtk/src/levelbar.hg: Wrap the properties and the signal.

2012-09-16  Murray Cumming  <murrayc@murrayc.com>

	PrintJob: Added get/set_page_ranges().

	* gtk/src/printjob.[hg|ccg]: Based on the implementations of the similar
	functions in PrintSettings.

2012-09-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Use std::time_t instead of ::time_t.

	* gtk/src/recentinfo.[hg|ccg]: Use std::time_t instead of ::time_t. Only
	std::time_t is required to be declared in <ctime>, which is recommended
	instead of <time.h> in C++ programs.
	* tools/m4/convert_gtk.m4: Add conversion from time_t to std::time_t.

2012-09-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Use std::size_t and std::ptrdiff_t.

	* demos/gtk-demo/example_stockbrowser.cc:
	* gtk/gtkmm/radiobuttongroup.h: Use std::size_t instead of ::size_t.
	* gtk/src/treeiter.hg:
	* gtk/src/treepath.hg: Use std::ptrdiff_t instead of ::ptrdiff_t.
	Only the std versions are required to be declared in <cstddef>.

2012-09-01  Murray Cumming  <murrayc@murrayc.com>

	Added LevelBar .defs.

	* tools/extra_defs_gen/generate_defs_gtk.cc:
	Mention GTK_TYPE_LEVEL_BAR.
	* gtk/src/gtk_signals.defs: Regenerated.

2012-09-01  Mark Vender  <markv743@yahoo.co.uk>

	Many small cleanup fixes

	* *.[hg|ccg]: Trim trailing whitespace. Remove useless Subversion tags. Remove
	unused code format tags. Remove excessive whitespace.
	* gtk/src/layout.ccg: Remove bogus copyrigth header.

2012-08-31  Murray Cumming  <murrayc@murrayc.com>

	3.5.12

2012-08-31  Murray Cumming  <murrayc@murrayc.com>

	Add LevelBar.

	* gtk/src/levelbar.[hg|ccg]: New files to wrap GtkLevelBar.
	* tools/m4/convert_gtk.m4: Add a necessary conversion.
	* gtk/gtkmm.h:
	* gtk/src/filelist.am: Mention it in these files.

2012-08-30  Murray Cumming  <murrayc@murrayc.com>

	CellRendererText: Add the placeholder_text property.

	* gtk/src/cellrenderertext.hg: Wrap the new placeholder-text
	property.

2012-08-30  Murray Cumming  <murrayc@murrayc.com>

	Fix tiny docs typo.

2012-08-30  Murray Cumming  <murrayc@murrayc.com>

	Fix typo to fix the build.

2012-08-30  Murray Cumming  <murrayc@murrayc.com>

	Widget: Add insert_action_group().

	* gtk/src/widget.hg: Wrap gtk_widget_insert_action_group().
	* tools/m4/convert_gtk.m4: Add a necessary conversion.

2012-08-30  Murray Cumming  <murrayc@murrayc.com>

	TextView: Add input purpose and input hints methods.

	* gtk/src/textview.hg: Added get/set_input_purpose() and
	get/set_input_hints() and properties.
	* gtk/src/entry.hg:
	* gtk/src/enums.hg: Moved the enums from entry.hg to here.

2012-08-30  Murray Cumming  <murrayc@murrayc.com>

	Add some _IGNORES

2012-08-30  Murray Cumming  <murrayc@murrayc.com>

	Regenerate properties and signals defs for GTK+.

	* gtk/src/gtk_signals.defs: Regenerate

2012-08-30  Murray Cumming  <murrayc@murrayc.com>

	MenuButton: Added get/set_popup(), deprecated get/set_menu().

	* gtk/src/menubutton.[hg|ccg]: Added get/set/unset_popup().
	Deprecated get/set/unset_menu() and changed their implementations
	to use the gtk_menu_button_set/get_menu() functions. This
	change in GTK+ was cosmetic and we already used the correct type.

2012-08-30  Murray Cumming  <murrayc@murrayc.com>

	Application: Add get_active_window().

	* gtk/src/application.hg: Added get_active_window() and
	the property. Also used refreturn on get_window_by_id().

2012-08-30  Murray Cumming  <murrayc@murrayc.com>

	Entry: Add input purpose and input hints methods.

	* gtk/src/entry.hg: Added get/set_input_purpose() and
	get/set_input_hints() and properties.
	* gtk/src/gtk_enums.defs:
	* gtk/src/gtk_methods.defs: Regenerate.
	* tools/m4/convert_gtk.m4: Add necessary conversions.

2012-08-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Application: Don't call add_window() before the application is registered.

	* gtk/src/application.[hg|ccg]: Move the call to add_window() from
	run(Window& window, int argc, char** argv) and run(Window& window) to
	on_activate_show_main_window() and rename it to
	on_activate_add_and_show_main_window(). Bug #681323.

2012-07-16  Murray Cumming  <murrayc@murrayc.com>

	Show get_type() in the API documentation.

	* tools/m4/class_gtkobject.m4: Move the static get_type()
	functions out of the ifdef so that doxygen can see them,
	because they are sometimes needed, for instance when
	implementing a custom container.
	Bug #670212 (Mark Vender).

2012-07-16  Murray Cumming  <murrayc@murrayc.com>

	Correct the ChangeLog

2012-07-16  Murray Cumming  <murrayc@murrayc.com>

	Settings: Deprecate the gtk-touchscreen-property.

	* gtk/src/settings.hg: Because it was deprecated in GTK+.

2012-07-11  Murray Cumming  <murrayc@murrayc.com>

	3.5.6

2012-07-11  Murray Cumming  <murrayc@murrayc.com>

	Added Gtk::MenuButton.

	* gtk/gtkmm.h:
	* gtk/src/filelist.am:
	* gtk/src/menubutton.[hg|ccg]: A new wrapper of GtkMenuButton.

2012-07-11  Murray Cumming  <murrayc@murrayc.com>

	Regenerate some GTK+ defs and docs files.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Add
	GtkMenuButton and GtkSearchEntry.
	* gtk/src/gtk_docs.xml:
	* gtk/src/gtk_methods.defs:
	* gtk/src/gtk_signals.defs: Regenerated with gen_scripts/.

2012-07-11  Murray Cumming  <murrayc@murrayc.com>

	Added Gtk::SearchEntry.

	* gtk/gtkmm.h:
	* gtk/src/filelist.am:
	* gtk/src/searchentry.[hg|ccg]: A new wrapper of GtkSearchEntry.

2012-07-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix wrap_init() for Quartz (MacOS).

	* gtk/src/filelist.am: Set gtkmm_files_hg to a list of all .hg files.
	* gtk/src/plug.hg:
	* gtk/src/socket.hg: Replace _GTKMMPROC_WIN32_NO_WRAP by _INCLUDE_IN_WRAP_INIT
	and _GMMPROC_WRAP_CONDITIONALLY.
	This requires the latest glibmm from git master. Bug #678883.

2012-07-01  Mark Vender  <markv743@yahoo.co.uk>

	Pixbuf: add const version of save() and friends

	* gdk/src/pixbuf.[hg|ccg]: save() and save_to_buffer() don't have any user-
	visible effects on the pixbuf being saved, thus they should be const.
	Add const versions, deprecate the non-const ones. Bug #678886.

2012-06-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	AppChooserDialog: Fix property name in constructors.

	* gtk/src/appchooserdialog.ccg: Change incorrect property name "file" to
	the correct "gfile" in constructors.

2012-06-15  Murray Cumming  <murrayc@murrayc.com>

	Add an extra .defs entry needed for documentation.

	* gdk/src/gdk_extra_objects.defs: Add GdkOffscreenWindow.

2012-06-15  Murray Cumming  <murrayc@murrayc.com>

	WidgetPath: Add some methods.

	* gtk/src/widgetpath.hg:
	Add to_string(), iter_get_siblings() and iter_list_regions().
	iter_clear_classes(), iter_clear_regions(): Add a -1 defaut value for pos.
	* tools/m4/convert_gtk.m4: Add a necessary conversion.

2012-06-15  Murray Cumming  <murrayc@murrayc.com>

	Add some new methods.

	* gdk/src/screen.[hg|ccg]: Add get_monitor_workarea().
	* gtk/src/application.hg: Add get_window_by_id().
	* gtk/src/button.hg: Add set/get_always_show_image() and the
	property.

2012-06-15  Murray Cumming  <murrayc@murrayc.com>

	Add some extra .defs entries needed for documentation.

	* gdk/src/gdk_extra_objects.defs:
	* gtk/src/gtk_extra_objects.defs: Add definitions needed by
	the documentation generator.

2012-06-14  Murray Cumming  <murrayc@murrayc.com>

	Regenerate most .defs and .xml files.

	* gdk/src/gdk_docs.xml:
	* gdk/src/gdk_enums.defs:
	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_docs.xml:
	* gtk/src/gtk_enums.xml:
	* gtk/src/gtk_methods.defs: Update these with the gen_scripts.

	However, I had to remove the changes to GdkEventType because gmmproc
	generates duplicate enums for that if I use the newly generated .defs.

2012-06-14  Murray Cumming  <murrayc@murrayc.com>

	gen_scripts: Do not require a change to the PATH environment variable.

	* tools/gen_scripts/gdk_generate_docs.sh:
	* tools/gen_scripts/gdk_generate_enums.sh:
	* tools/gen_scripts/gdk_generate_methods.sh:
	* tools/gen_scripts/gtk_generate_docs.sh:
	* tools/gen_scripts/gtk_generate_enums.sh:
	* tools/gen_scripts/gtk_generate_methods.sh: Remove the need to change
	the PATH as I did in the glibmm gen_scripts.

2012-06-12  Murray Cumming  <murrayc@murrayc.com>

	Application: run(): Do not show the window until activation.

	* gtk/src/application.[hg|ccg]: run(window): Only show the window in
	an activate signal handler, to fix a crash caused by the application not
	being registered when the GtkApplicationWindow tries to realize itself.

2012-06-12  Murray Cumming  <murrayc@murrayc.com>

	3.5.4

2012-06-12  Murray Cumming  <murrayc@murrayc.com>

	Entry: Undeprecate the activate signal.

	* gtk/src/entry.hg: Remove the deprecation documentation,
	because it is now OK again to use this signal. See this GTK+ commit:
	http://git.gnome.org/browse/gtk+/commit/?id=4a25bac0e7685000fff90a211db6ac60f6b74ab1

2012-05-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	StyleContext: Deprecate some functions and add others.

	* gtk/src/stylecontext.hg: Deprecate functions that have been deprecated in
	gtk+. Add render_icon() and render_insertion_cursor(). Add an overload of
	render_layout() that takes a const Glib::RefPtr<Pango::Layout>& instead of
	a PangoLayout*.
	* gtk/src/widget.[hg|ccg]: Deprecate draw_insertion_cursor(). Bug #675632.

2012-05-28  Murray Cumming  <murrayc@murrayc.com>

	Slight rewrite of documentation

2012-05-28  Mark Vender  <markv743@yahoo.co.uk>

	Widget: Document get_style_property_value() and get_style_property()

	* widget.hg: Add documentation for get_style_property() and
	get_style_property_value(). Emphasize that get_style_property() is preferable,
	as it doesn't use GValue directly.

	Bug #673303.

2012-05-28  Mark Vender  <markv743@yahoo.co.uk>

	StyleContext: Wrap gtk_style_context_get_style_property() and friends

	* gtk/src/stylecontext.hg: Add get_style_property() and
	get_style_property_value().

	Bug #674746.

2012-05-28  Murray Cumming  <murrayc@murrayc.com>

	Container: Slight improvements to the vfunc documentation.

	* gtk/src/container.hg:

2012-05-28  Mark Vender  <markv743@yahoo.co.uk>

	Container: Document several rarely used virtual functions

	* gtk/src/container.hg: Add documentation for the following functions:
	child_type(), forall(), composite_child(), [get|set]_child_property(). The
	documentation comes from the C docs.

	Bug #670206.

2012-05-28  Murray Cumming  <murrayc@murrayc.com>

	Application: Pass 0 (NULL) rather than  to GApplication.

	* gtk/src/application.ccg: It is annoying that GApplication (and other
	C code) distinguishes, of course.

2012-05-28  Murray Cumming  <murrayc@murrayc.com>

	Application: Document that ID may now be empty.

	* gtk/src/application.hg: Constructors/create(): Document that the
	application ID may now be empty (thanks to the change in
	glib bug #671249) and generally document these.

	* demos/gtk-demo/main.cc:
	* demos/pixbuf-demo.cc:
	* tests/child_widget/main.cc:
	* tests/child_widget2/main.cc:
	* tests/child_widget_managed/main.cc:
	* tests/delete_cpp_child/main.cc:
	* tests/dialog/main.cc:
	* tests/dialog_deletethis/main.cc:
	* tests/main_with_options/main.cc:
	* tests/menu_destruction/main.cc:
	* tests/property_notification/main.cc:
	* tests/refcount_dialog/main.cc:
	* tests/scrolledwindow/main.cc:
	* tests/wrap_existing/main.cc: Remove the useless application IDs.

2012-04-26  Kalev Lember  <kalevlember@gmail.com>

	UIManager: Wrap the GResource convenience API.

	* uimanager.hg: Added add_ui_from_resource().
	Bug #674545.

2012-04-26  Kalev Lember  <kalevlember@gmail.com>

	Builder: Wrap the GResource convenience API.

	* builder.[hg|ccg]: Added create_from_resource() and
	add_from_resource() with their many overloads.
	Bug #674545.

2012-04-19  Murray Cumming  <murrayc@murrayc.com>

	Correct the ChangeLog

2012-04-19  Murray Cumming  <murrayc@murrayc.com>

	Application: add_window(): Correct the documentation.

	* gtk/src/application.hg: The text seems to be based on an earlier version
	of Gtk::Application or GtkApplication which created windows automatically.
	Noticed by Mateusz Marzantowicz.

2012-04-19  Murray Cumming  <murrayc@murrayc.com>

	Add a TODO

2012-04-17  Alexandre Rostovtsev  <tetromino@gentoo.org>

	Make list of gdk targets non-automagic

	* configure.ac: Otherwise, it is difficult e.g. to build a wayland-only
	gtkmm on a build machine that has gdk with both x11 and wayland targets
	installed.

	Bug #673963

2012-04-10  Murray Cumming  <murrayc@murrayc.com>

	3.4.0

2012-04-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	TreePath: All constructors guarantee that gobject_ != 0.

	* gtk/src/treepath.[hg|ccg]: Use the new m4 macro _CUSTOM_CTOR_CAST.
	Hand-coded constructors never construct an object with gobject_ == 0.
	This requires the latest glibmm from git master. Bug #511136, comment 21.

2012-04-10  Adrian Bunk  <bunk@stusta.de>

	Remove the Maemo Extensions API

	The Maemo GTK+ is not likely to ever be ported to GTK+ 3.

2012-04-09  Adrian Bunk  <bunk@stusta.de>

	Update .gitignore.

	* .gitignore: Update the lists of ignored files in gdk/gdkmm/ and gtk/gtkmm/.
	Bug #673690.

2012-04-03  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Widget: Slight improvement of text in previous commit.

	* gtk/src/widget.hg:

2012-04-03  Mark Vender  <markv743@yahoo.co.uk>

	Gtk::Widget: add documentation for the destructor.

	* gtk/src/widget.hg:

	Bug #670275

2012-03-30  Murray Cumming  <murrayc@murrayc.com>

	CellArea: Add some signals.

	* gtk/src/cellarea.hg: Wrap most signals, of course using
	no_default_handler to preserve ABI.

2012-03-30  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Window: Add begin/move_resize_drag() overloads that take a Device.

	* gdk/src/window.hg: Wrap gdk_window_begin_resize_drag_for_device()
	and gdk_window_begin_move_drag_for_device().

2012-03-30  Murray Cumming  <murrayc@murrayc.com>

	Regenerate the .defs files.

	* gdk/src/gdk_docs.xml:
	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_docs.xml:
	* gtk/src/gtk_methods.defs:
	* gtk/src/gtk_signals.defs: Regenerate with the
	scripts.

2012-03-28  Murray Cumming  <murrayc@murrayc.com>

	3.3.20

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	Deprecate some API that is deprecated in the C API.

	* gtk/src/button.hg: Deprecated signal_pressed(), signal_released(),
	signal_enter() and signal_leave().
	* gtk/src/menuitem.hg: Deprecated get/set_right_justified().
	* gtk/src/notebook.hg: Deprecated get_tab_hborder() and
	get_tab_vborder().
	* gtk/src/widget.hg: Deprecated get/set_state() and
	signal_state_changed(), adding signal_state_flags_changed().

	* demos/gtk-demo/example_menus.cc: Do not use
	MenuItem::set_right_justified(). It has already been removed from the
	original C vesion of this demo.

	Kjell Ahlstedt noticed this deprecated API in bug #655489 comment 16.

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	StyleContext: Added list_classes() and get_parent().

	* gtk/src/stylecontext.hg:

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	Fix previous commit

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	Printer: Added accepts_pdf() and accepts_ps().

	* gtk/src/printer.hg:

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	Settings: Wrap several new properties.

	* gtk/src/settings.hg: Some of these are new in GTK+ 3.4, but some
	are older. Note that all seem to be in gtksettings.c now instead
	of across various files.

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	ScrolledWindow: Wrapped some new methods and a property.

	* gtk/src/scrolledwindow.hg: Added get/set_kinetic_scrolling()
	and get/set_capture_button_press() and the kinetic-scrolling property.

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	Add an _IGNORE().

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	TreeView: Add get_n_columns().

	* gtk/src/treeview.hg: Wrap gtk_tree_view_get_n_columns().

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	MenuItem, MenuShell: Add signals.

	* gtk/src/menuitem.hg: Add signal_select() and signal_deselect(),
	* gtk/src/menushell.hg: Add signal_insert().

2012-03-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gdk::Display: Deprecate the set_double_click_[time|distance]() methods.

	* gdk/src/display.hg: The set_double_click_[time|distance]() methods are
	documented as not for use by applications.

2012-03-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Button: Deprecate the activate signal.

	* gtk/src/button.hg: The activate signal is documented as not for use by
	applications. This requires the latest glibmm from git master.

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Add signal_format_entry_text().

	* gtk/src/gtk_signals.defs: Correct the costness of the gchar* result.
	* gtk/src/combobox.hg: Wrap the new format-entry-text signal,
	using no_default_handler to preserve ABI.

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	ColorChooser: Add add_palette.

	* gtk/src/colorchooser.[hg|ccg]: Wrap gtk_color_chooser_add_palette().

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	Gtk::CellArea: Add foreach().

	* gtk/src/cellarea.[hg|ccg]: Wrap gtk_cell_area_foreach() and
	gtk_cell_area_foreach_alloc().

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Device: Add list_axes().

	* gdk/src/device.[hg|ccg]: Wrap gdk_device_list_axes().

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	Gdk: Add AppLaunchContext.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Mention
	GDK_TYPE_APP_LAUNCH_CONTEXT.
	* gdk/src/filelist.am:
	* gdk/src/applaunchcontext.[hg|ccg]: Add this, deriving from
	Gio::AppLaunchContext.
	* gdk/gdkmm.h: Include the new header.
	* gdk/src/display.[hg|ccg]: Added get_app_launch_context().

2012-03-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	Actionable: Ensure all virtual functions don't return freed memory.

	* gtk/src/actionable.hg (get_action_target_value_vfunc_callback): The
	return of the virtual function of this callback should also be
	appropriately copied so that the callback does not return freed
	memory.

2012-03-25  José Alburquerque  <jaalburqu@svn.gnome.org>

	Actionable: Ensure virtual functions don't return freed memory.

	* gtk/src/actionable.hg (get_action_name_vfunc_callback): Ensure that
	the return value of the virtual function of this callback is properly
	copied by correcting the appropriate conversion so that the callback
	does not return empty memory.

2012-03-23  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Entry: Deprecate the activate signal.

	* gtk/src/entry.hg: Because this has been documented,
	since 2008, as not for use by applications, though we
	were told to use it in 2003.
	This requires the latest glibmm from git master.
	Bug #655489 (Kjell Ahlstedt)

2012-03-16  Murray Cumming  <murrayc@murrayc.com>

	CellArea: Add properties.

	* gtk/src/cellarea.hg:

2012-03-16  Murray Cumming  <murrayc@murrayc.com>

	Ignore some C convenience functions.

	* gtk/src/actionable.hg:
	* gtk/src/cellarea.hg: We typically don't try to wrap these.

2012-03-16  Murray Cumming  <murrayc@murrayc.com>

	Minor regeneration of gdk enums.

2012-03-16  Murray Cumming  <murrayc@murrayc.com>

	Widget: Add signal_touch_event().

	* gtk/src/gtk_signals.defs: Adjust the generated
	definition.
	* gtk/src/widget.hg: Wrap the new touch-event signal,
	though we cannot yet add a default signal handler without
	breaking ABI.

2012-03-15  Murray Cumming  <murrayc@murrayc.com>

	Tests: Fix a warning found by clang++.

	* tests/scrolledwindow/main.cc: Remove a macro check whose
	result is not used.

2012-03-15  Murray Cumming  <murrayc@murrayc.com>

	Main: Undeprecate init_gtkmm_internals().

	* gtk/src/main.[hg|ccg]: This is used, for instance,
	by gtksourceviewmm's init() method, and I cannot think of any
	replacement.

2012-03-15  Murray Cumming  <murrayc@murrayc.com>

	Fix some missing sentinel warnings found by clang++

	* gdk/src/pixbuf.ccg:
	* gtk/src/cellrenderercombo.ccg: Use (void*)0 instead of NULL.

2012-03-15  Murray Cumming  <murrayc@murrayc.com>

	Scale: Add set/get_has_origin() and property.

	* gtk/src/scale.hg: Wrap gtk_scale_set/get_has_origin().

2012-03-15  Murray Cumming  <murrayc@murrayc.com>

	FontChooser: Add set_filter().

	* gtk/src/fontchooser.[hg|ccg]: Wrap gtk_font_chooser_set_filter_func()
	and its callback function (as a slot).

2012-03-14  Murray Cumming  <murrayc@murrayc.com>

	PaperSize: Correct the PaperSizeTraits pre-declaration.

	* gtk/src/papersize.hg: PaperSizeTraits is a struct, not a class.
	clang++ noticed this while building Glom, though I have no run it on all of
	gtkmm.

2012-03-13  Albert Chin  <thewrittenword.com>

	TreeView: Work around a HP-UX aCC compiler error.

	* gtk/src/treeview.hg: _connect_auto_store_editable_signal_handler():
	Specify the function pointer more precisely, mentioning the class.
	Bug #586934

2012-03-13  Murray Cumming  <murrayc@murrayc.com>

	RGBA: set_grey(), set_grey_u(): Correct the default alpha values.

	* gdk/src/rgba.hg: The default values for these two methods were
	swapped. This could cause some slight change of behaviour in
	existing applications, but the previously wrong values should
	have been obvious, and corrected, in applications already.
	Bug #671573 (Mark Vender)

2012-03-06  Murray Cumming  <murrayc@murrayc.com>

	3.3.18

2012-03-03  Murray Cumming  <murrayc@murrayc.com>

	Widget: Add get_modifier_mask().

	* gdk/src/gdk_enums.defs: Regenerate.
	* gdk/src/gdk_signals.defs: Regenerate.
	* gdk/src/types.hg: Add the ModifierIntent enum.
	* tools/m4/convert_gdk.m4: Mention the new enum.
	* gtk/src/widget.hg: Add get_modifier_mask().

2012-03-03  Murray Cumming  <murrayc@murrayc.com>

	Image: Add set_from_resource().

	* gtk/src/image.hg: Wrap gtk_image_set_from_resource().

2012-03-03  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Window: Add new API.

	* gtk/src/window.[hg|ccg]: Add unset/set/get_attached_to().
	Add get/set_hide_titlebar_when_maximized() and property.

2012-03-03  Murray Cumming  <murrayc@murrayc.com>

	Application: Added new API.

	* tools/m4/convert_gtk.m4: Regenerate partially.
	* gtk/src/application.hg: Added get/set_app_menu(), get/set_menubar(),
	add/remove_accelerator(), inhibit(), uninhibit(), is_inhibited(),
	properties and signals.
	* gtk/src/gtk_enums.defs: Add conversions.

2012-03-03  Murray Cumming  <murrayc@murrayc.com>

	Wrap some new API.

	* gtk/src/aboutdialog.hg: Add add_credits_section().
	* gtk/src/entrycompletion.hg: Add compute_prefix().
	* gtk/src/stylecontext.[hg|ccg]: Add set_parent() and unset_parent().

2012-03-03  Murray Cumming  <murrayc@murrayc.com>

	Application: Update the newin tags.

	* gtk/src/application.hg: This will really be new in 3.4.

2012-03-03  Murray Cumming  <murrayc@murrayc.com>

	Tests: Use Gtk::Application instead of Gtk::Main.

	* tests/: Use Gtk::Application because we have deprecated Gtk::Main.

2012-03-03  Murray Cumming  <murrayc@murrayc.com>

	Application: Simplify the window handling slightly.

	* gtk/src/application.[hg|ccg]: run(): Show the window immediately
	instead of doing it in a signal handler, because that bug has been
	fixed in GTK+.

2012-03-03  Murray Cumming  <murrayc@murrayc.com>

	Deprecate Gtk::Main in favor of Gtk::Application.

	* gtk/src/main.[hg|ccg]: Deprecate most of this API.
	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/main.cc: Use Gtk::Application instead of Gtk::Main.

2012-03-02  Murray Cumming  <murrayc@murrayc.com>

	ColorSelection*: Document these as deprecated.

	* gtk/src/colorselection.hg: Add @deprecated doxygen tags.

2012-03-02  Murray Cumming  <murrayc@murrayc.com>

	FontChooserDialog: Remove default signal handler to prevent ABI break.

	* gtk/src/fontchooser.hg: Use the no_default_handler option because
	the signal was not actually in the gtkmm 3.2 API, because we did not
	generate the .defs for it.

2012-03-02  Murray Cumming  <murrayc@murrayc.com>

	Add property and signal defs for GtkFontChooser*.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Add GTK_FONT_CHOOSER,
	GTK_FONT_CHOOSER_DIALOG and GTK_FONT_CHOOSER_WIDGET.
	* gtk/src/gtk_signals.defs: Update.

2012-03-02  Murray Cumming  <murrayc@murrayc.com>

	Add ColorChooser and ColorChooserDialog, deprecating ColorSelection*.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Mention the new Color*
	types.
	* gtk/src/gtk_signals.def
	* gtk/src/gtk_methods.defs: Update.

	* gtk/src/filelist.am:
	* gtk/src/colorchooser.[hg|ccg]: Add the ColorChooser interface.
	* gtk/src/colorchooserdialog.[hg|ccg]: Add ColorChooserDialog.
	* gtk/src/colorbutton.hg: Add a comment that we cannot derive this from
	the new interface, though the C API does that, because we cannot break
	ABI.
	* gtk/src/colorselection.hg: Deprecate ColorSelection and
	ColorSelectionDialog, as in the C API.
	* gtk/gtkmm.h: Mention the new headers.
	* demos/gtk-demo/example_colorsel.cc: Use GtkChooserDialog instead of
	ColorSelectionDialog.

2012-03-01  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: _CLASS_GTKOBJECT: Include destructor documentation.

	* tools/m4/class_gtkobject.m4: Include possible Doxygen comment block
	documentation sent to the new (in glibmm) SECTION_DTOR_DOCUMENTATION
	section from the use of the also new _DOCUMENT_DTOR() macro.

	Bug #668918.

2012-03-01  José Alburquerque  <jaalburqu@svn.gnome.org>

	tools: Add XML and defs generation scripts.

	* tools/gen_scripts/gdk_generate_docs.sh:
	* tools/gen_scripts/gdk_generate_enums.sh:
	* tools/gen_scripts/gdk_generate_methods.sh:
	* tools/gen_scripts/gtk_generate_docs.sh:
	* tools/gen_scripts/gtk_generate_enums.sh:
	* tools/gen_scripts/gtk_generate_extra_defs.sh:
	* tools/gen_scripts/gtk_generate_methods.sh: Add these scripts as in
	glibmm to make the docs and defs file generation easier.

2012-02-29  Murray Cumming  <murrayc@murrayc.com>

	gtkmm.h: Add applicationwindow.h

2012-02-29  Murray Cumming  <murrayc@murrayc.com>

	Add missing files.

2012-02-29  Murray Cumming  <murrayc@murrayc.com>

	Add ApplicationWindow.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Mention GtkApplicationWindow.
	* gtk/src/gtk_signals.defs: Add defs for GtkApplicationWindow.
	* gtk/src/filelist.am:
	* gtk/src/applicationwindow.[hg|ccg]: Add Gtk::ApplicationWindow.

2012-02-28  Murray Cumming  <murrayc@murrayc.com>

	Correct NEWS

2012-02-28  Murray Cumming  <murrayc@murrayc.com>

	3.3.16

2012-02-28  Mark Vender  <markv743@yahoo.co.uk>

	Wrap several missing methods in Gtk::Grid

	* gtk/src/grid.hg: Add get_child_at(), insert_row(),
	insert_row(), insert_column(), insert_next_to().
	Bug #670238

2012-02-28  Murray Cumming  <murrayc@murrayc.com>

	Widget: Add draw().

	* gtk/src/widget.hg: gtk_widget_draw() was deprecated in
	GTK+ 2 but it is not deprecated in GTK+ 3.
	Bug #670918 (Mark)

2012-02-27  Murray Cumming  <murrayc@murrayc.com>

	Correct the ChangeLog

2012-02-27  Murray Cumming  <murrayc@murrayc.com>

	EntryBuffer: Correct the EntryBufffer(name) constructor.

	* gtk/src/entrybuffer.ccg: This was missing a _CONSTRUCT() call.
	Bug #670784 (Marcus Yass)

2012-02-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	Actionable: Const correction.

	* gtk/src/actionable.hg (get_action_target_value): Add a constant
	version of this method.

2012-02-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	AboutDialog: get_authors(): Correct the 'const gchar**' conversion.

	* gtk/src/aboutdialog.hg (get_authors): Use 'const gchar* const*' as
	the type from which to convert to std::vector<Glib::ustring>' because
	that is the type that some of the gtk+ getter functions now return.

2012-02-26  José Alburquerque  <jaalburqu@svn.gnome.org>

	Add the Actionable interface.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Add the GtkActionable
	GType to the extra defs generation utility so that its properties are
	generated.
	* gtk/src/gtk_signals.defs: Regenerate to get the properties of the
	new interface.
	* gtk/src/gtk_vfuncs.defs: Add the virtual function definitions.
	* gtk/src/gtk_methods.defs: Regenerate to get the methods for the new
	interface.

	* gtk/src/actionable.{ccg,hg}: Add the sources wrapping the methods,
	properties and virtual functions.
	* gtk/src/filelist.am: Include the sources in the list of sources to
	be built.
	* gtk/src/gtk_extra_objects.defs: Add the new interface to the list
	extra objects so that there no missing object definition warnings from
	gmmproc.

	Bug #637445.

2012-02-24  Murray Cumming  <murrayc@murrayc.com>

	Deprecate some properties that use Gdk::Color.

	* gtk/src/colorbutton.hg:
	* gtk/src/texttag.hg: Use the new _WRAP_PROPERTY() deprecated option,
	in the latext glibmm in git master. These have replacements, which the
	documentation comment suggests.

2012-02-22  Murray Cumming  <murrayc@murrayc.com>

	Fix the build.

2012-02-22  Murray Cumming  <murrayc@murrayc.com>

	TextTag: Add RGBA versions of the properties.

	* gtk/src/texttag.hg: These properties were added to the C API a while ago.

2012-02-22  Murray Cumming  <murrayc@murrayc.com>

	Deprecate more methods that use Gtk::Color.

	* gdk/src/window.hg: set_background(Color):
	* gtk/src/colorbutton.hg: set_color(), set_alpha(), constructor: Deprecate
	these, as they are deprecated in the C API.

2012-02-16  José Alburquerque  <jaalburqu@svn.gnome.org>

	Application: Constructor: Receive argc and argv params by reference.

	* gtk/src/application.{ccg, hg}: Have the constructor and create()
	method taking argc and argv parameters receive them by reference so
	that if gtk_init() modifies them, it is reflected in the calling
	function.

	Bug #637445.

2012-02-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update .gitignore.

	* .gitignore: Remove all atk/ files. Add docs/ files that are copied from
	mm-common. Update the lists of ignored files in gdk/gdkmm/ and gtk/gtkmm/.

2012-02-15  Murray Cumming  <murrayc@murrayc.com>

	Application: Make the create() methods static, like other ones.

	* gtk/src/application.hg: Otherwise they cannot be used.

2012-02-15  José Alburquerque  <jaalburqu@svn.gnome.org>

	Application: Initialize gtkmm early enough for successful construction.

	* gtk/src/application.{ccg,hg} (init_gtkmm_internals): Place function
	in an anonymous namespace.
	(Application::custom_class_init): Initialize gtkmm in this method so
	that construction is successful after.
	(Application::Application): Add a gtk_init() call in the command-line
	argument constructor so that gtk+ command-line parsing is correctly
	done.
	(Application::create): Remove the call to the init_gtkmm() methods
	because initialization has already taken place in the construction
	process.
	(Application::init_gtkmm): Remove these methods for efficiency.

	Bug #637445.

2012-02-13  Murray Cumming  <murrayc@murrayc.com>

	Border: Fix documentation typos.

2012-02-13  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Border: Add reference documentation.

	* gtk/src/border.hg:
	Note that, for the C API, this is only listed on the GtkStyleContext page,
	with no way to directly link to its description:
	http://developer.gnome.org/gtk3/unstable/GtkStyleContext.html#gtk-border-new
	Bug #669907 (Mark)

2012-02-13  Murray Cumming  <murrayc@murrayc.com>

	Application: Avoid the need to use Gtk::Main.

	* gtk/src/application.[hg|cc]: Add an init_gtkmm() method, for use in
	the create() methods of derived Application classes. This is necessary
	to allow the Application constructor to succeed, because it uses
	g_object_new().
	create(): Use it here too, though I wonder if anyone would actually use
	Gtk::Application without deriving.
	This lets developers no use Gtk::Main at all, as long as they call their
	Application's create() method at the same early point in their code.

	This does not allow the developer to defer GTK+ initialization to when they
	call g_application_run(), and even to avoid GTK+ initialization compeletely
	in the local instance, as is possible with the C API, but we did not allow
	that before either.

2012-02-08  José Alburquerque  <jaalburqu@svn.gnome.org>

	ActionGroup: Restore accidentally removed signal.

	* gtk/src/actiongroup.hg: Restore the "pre-activate" signal which was
	accidentally removed when removing its docs so that the generated docs
	for it is used.  This is the only signal that was accidentally
	removed.
	* gtk/src/cellrenderertoggle.hg: Whitespace correction.

2012-02-07  José Alburquerque  <jaalburqu@svn.gnome.org>

	Use the generated signal docs for wrapped signals. Bug #668918.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerate passing the -i (--with-signals)
	option to docextract_to_xml.py so that signal documentation is
	included in these files.

	* gdk/src/screen.hg:
	* gtk/src/action.hg:
	* gtk/src/actiongroup.hg:
	* gtk/src/cellrenderer.hg:
	* gtk/src/cellrenderertoggle.hg:
	* gtk/src/checkmenuitem.hg:
	* gtk/src/colorbutton.hg:
	* gtk/src/combobox.hg:
	* gtk/src/entrycompletion.hg:
	* gtk/src/filechooser.hg:
	* gtk/src/fontbutton.hg:
	* gtk/src/radioaction.hg:
	* gtk/src/range.hg:
	* gtk/src/recentchooser.hg:
	* gtk/src/recentmanager.hg:
	* gtk/src/scale.hg:
	* gtk/src/spinbutton.hg:
	* gtk/src/textbuffer.hg:
	* gtk/src/togglebutton.hg:
	* gtk/src/toolbar.hg:
	* gtk/src/toolbutton.hg:
	* gtk/src/toolitem.hg:
	* gtk/src/uimanager.hg:
	* gtk/src/widget.hg:
	* gdk/src/display.hg:
	* gdk/src/displaymanager.hg: Remove existing signal docs in these
	files because they will already be included in the generation process
	by gmmproc.

2012-02-07  Murray Cumming  <murrayc@murrayc.com>

	3.3.14

2012-02-03  Murray Cumming  <murrayc@murrayc.com>

	Main: Deprecate signal_key_snooper().

	* gtk/src/main.[hg|ccg]: Deprecate signal_key_snooper(),
	because gtk_key_snooper_install() was deprecated.
	Also #define GDK_DISABLE_DEPRECATION_WARNINGS here to fix
	the build with --enable-warnings=fatal.

2012-02-02  José Alburquerque  <jaalburqu@svn.gnome.org>

	Entry: Deprecate [set|get]_inner_border().

	* gtk/src/entry.hg: Deprecate the methods because they have been
	deprecated in gtk+ as well.  Also add #defines so the deprecated C API
	can continue to be used as is done in Gtk::Widget and other classes.
	Bug #669190.

2012-01-05  Murray Cumming  <murrayc@murrayc.com>

	Deprecate some methods using Gdk::Color, to fix the build.

	* gdk/gdkmm/general.[h|cc]: Deprecate set_source_color().
	* gtk/src/cellview.hg: Deprecate set_background_color().
	* gtk/src/colorbutton.[hg|ccg]: Deprecate get_color().
	* gtk/src/colorselection.hg: Deprecate set_current_color().

	And add #defines to let us continue to use the deprecated C API in
	our deprecated C++ API implementation.

2012-01-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	ComboBoxText: Constructor: Add a TODO comment.

	* gtk/src/comboboxtext.ccg: Add a comment that entry-text-column and id-column
	are set properly in new GTK+ versions. Bug #653579

2011-12-24  Hub Figuiere  <hub@figuiere.net>

	Implement Gtk::IconView::IconView(Gtk::CellArea). Bug #665361

	* tools/m4/convert_gtk.m4:
	m4 macro for CellArea
	* gtk/src/cellareabox.hg:
	Wrap the create function for Gtk::CellAreaBox.
	* gtk/src/iconview.hg:
	Construct with a CellArea.

2011-12-01  Hub Figuiere  <hub@figuiere.net>

	Add missing Gtk::Settings properties. Bug #665264

	* gtk/src/settings.hg: Added properties
	"gtk-application-prefer-dark-theme",
	"gtk-auto-mnemonics" and "gtk-visible-focus"

2011-11-30  Hub Figuiere  <hub@figuiere.net>

	Bug #665267: Fix configure.ac that had a broken shell syntax.

	* configure.ac: fix shell syntax.
	Bug #665267

2011-11-29  John Ralls  <jralls@ceridwen.us>

	[Bug 662975] Gtkmm won't build for Quartz

	There was another place to add $(gtkmm_files_x11_hg).

2011-11-28  Murray Cumming  <murrayc@murrayc.com>

	Fix the build for Quartz (MacOS)

	* configure.ac: Read the gtk+-3.0 target variable and
	use the result to set appropriate automake conditionals (in theory, a
	particular Gtk+-3 library can contain multiple backends, though this
	isn't strictly true in practice).
	Also makes the check for HOST_WINDOWS_NATIVE conditional on having a
	Win32 backend.
	* gtk/src/filelist.am: Add a new target gtkmm_files_x11_hg, including
	plug.hg and socket.hg in it. It's added to gtkmm_files_arch_hg only if
	there's an X11 backend to build them against.
	Bug #662975

2011-11-28  John Ralls  <jralls@ceridwen.us>

	Gtkmm won't build for Quartz

	Adds to configure a pkgconfig read of the gtk+-3.0 target variable and
	uses the result to set appropriate automake conditionals (in theory, a
	particular Gtk+-3 library can contain multiple backends, though this
	isn't strictly true in practice).

	Also checks (with PKG_CHECK_MODULES) that Gtk+-3 is installed and makes
	the check for HOST_WINDOWS_NATIVE conditional on having a Win32 backend.

	Adds a new target gtkmm_files_x11_hg to src/filelist.am, including
	plug.hg and socket.hg in it; it's added to gtkmm_files_arch_hg only if
	there's an X11 backend to build them against.

2011-11-22  Murray Cumming  <murrayc@murrayc.com>

	Add back Application, though it is not ready yet.

	* gtk/src/application.[hg|ccg]: Added.
	* gio/src/window.hg:
	* gio/src/filelist.am:
	* goi/giomm.h: Mention it.
	See bug #637445#c29

2011-11-18  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Widget: Deprecate get_pointer().

	* gtk/src/widget.hg: And fix the build with the latest GTK+.

2011-11-16  Hub Figuiere  <hub@figuiere.net>

	Fix namespacing for Cairo (Closes: #663303)

	* gdk/src/dragcontext.hg:
	* gdk/src/screen.hg:
	* gdk/src/window.hg:
	* gtk/src/cellarea.hg:
	* gtk/src/cellrenderer.hg:
	* gtk/src/checkbutton.hg:
	* gtk/src/checkmenuitem.hg:
	* gtk/src/printcontext.hg:
	* gtk/src/stylecontext.hg:
	* gtk/src/widget.hg:
	* tools/m4/convert_gdk.m4:
	* tools/m4/convert_gtk.m4:
	Cairo namespace should be refered from the global
	namespace.

2011-11-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	AboutDialog: Add unset_license() and set_logo_default().

	* gtk/src/aboutdialog.[hg|ccg]: Add unset_license() and set_logo_default().
	Remove an obsolete comment. Bug #616769.

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	3.3.2

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	Fix make check

	* demos/gtk-demo/example_appwindow.cc:
	* demos/gtk-demo/example_dialog.cc:
	* demos/gtk-demo/example_drawingarea.cc:
	* demos/gtk-demo/example_menus.cc:
	* demos/gtk-demo/example_panes.cc:
	* demos/gtk-demo/example_sizegroup.cc: Replace Table with Grid.
	Remove use of TearOffMenuItems. Replace use of Gdk::Window::get_pointer().
	I have no idea if this actually works but it builds.

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	Avoid some more deprecation warnings with the recent GTK+.

	* gdk/src/window.hg: Deprecate get_pointer().
	* gtk/gtkmm/treeview_private.cc: Include glibmm.h first.
	* gtk/src/assistant.hg: Fix the formatting of the deprecation comments.

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	Deprecate HandleBox and TearOffMenuItem.

	* gtk/src/handlebox.hg:
	* gtk/src/tearoffmenuitem.hg: Deprecate these completely, without replcement,
	because that has happened in GTK+.
	* gtk/src/uimanager.hg: Deprecate set/get_add_tearoffs().

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	Avoid some deprecation warnings with the recent GTK+.

	* gtk/src/fontselection.hg:
	* gtk/src/hvbox.hg:
	* gtk/src/hvbuttonbox.hg:
	* gtk/src/hvpaned.hg:
	* gtk/src/hvscale.hg:
	* gtk/src/hvscrollbar.hg:
	* gtk/src/hvseparator.hg:
	* gtk/src/menuitem.hg:
	* gtk/src/scrollbar.hg:
	* gtk/src/table.hg: Add GTK_DISABLE_DEPRECATION_WARNINGS where we already
	undef GTK_DISABLE_DEPRECATED in SECTION_CC_PRE_INCLUDES.
	* gtk/src/assistant.hg: Do the same here because set_page_header_image() and
	friends are deprecated.

2011-10-25  Murray Cumming  <murrayc@murrayc.com>

	make check: Use xmllint to check the generated .html documentation.

	* tests/test_validate_docs_xhtml.sh: Add a small script to run xmllint.
	* Makefile.am: Run this script during make check.

2011-10-25  Murray Cumming  <murrayc@murrayc.com>

	Add #includes needed with the latest glibmm.

	* gdk/src/color.hg:
	* gdk/src/pixbuf.hg:
	* gdk/src/pixbufanimationiter.hg:
	* gdk/src/pixbufformat.hg:
	* gdk/src/rectangle.hg:
	* gdk/src/rgba.hg:
	* gdk/src/types.hg:
	* gtk/gtkmm/object.h:
	* gtk/gtkmm/stock.cc:
	* gtk/gtkmm/stockid.h:
	* gtk/src/border.hg:
	* gtk/src/enums.hg:
	* gtk/src/main.hg:
	* gtk/src/papersize.hg:
	* gtk/src/textattributes.hg: Add individual includes now that gmmproc does not
	add #include glibmm.h at the top of every generated header.

2011-10-21  Murray Cumming  <murrayc@murrayc.com>

	Deprecate Gtk::Table in favour of Gtk::Grid.

	* gtk/src/table.hg: Deprecate the whole thing.

2011-10-21  Murray Cumming  <murrayc@murrayc.com>

	Mark the branch in the ChangeLog

2011-10-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Undo removal of 'constversion' in Gtk::Dialog::get_vbox().

	* gtk/src/dialog.hg: Insert 'constversion' in get_vbox() const, because
	a bug in gmmproc has been fixed in glibmm 2.29.13. Bug #657751, comment 8.

2011-10-05  Murray Cumming  <murrayc@murrayc.com>

	Add TODO

2011-09-27  Murray Cumming  <murrayc@murrayc.com>

	3.2.0

2011-09-27  Murray Cumming  <murrayc@murrayc.com>

	Assistant: Deprecate some methods, because the C functions are deprecated.

	* gtk/src/assistant.hg: get/set_page_header_image(),
	get/set_page_side_image(): Deprecate these.

2011-09-26  Murray Cumming  <murrayc@murrayc.com>

	Fix the build.

	* gtk/src/appchooserdialog.hg: Inlclude giomm/file.h.

2011-09-26  Murray Cumming  <murrayc@murrayc.com>

	Remove Application, because it is still not ready.

	* gtk/src/application.[hg|ccg]: Removed.
	* gio/src/window.hg:
	* gio/src/filelist.am:
	* goi/giomm.h: Do not mention it.
	See bug #637445#c29

2011-09-22  Krzesimir Nowak  <qdlacz@gmail.com>

	Don't use obsolete macros.

	* autogen.sh: Warn about everything during autoreconf.
	* configure.ac: Replaced obsolete macros with their modern counterparts.
	* build/reduced.am: Modernized a bit.
	* gtk/src/filelist.am: Fixed some trailing whitespace after backslashes.
	Automake was issuing warnings because of them.

2011-09-20  Murray Cumming  <murrayc@murrayc.com>

	TreeView: Added unset_row_separator_func().

	* gtk/src/treeview.[hg|ccg]: Added unset_row_separator_func() because func
	may be NULL.

2011-09-20  Murray Cumming  <murrayc@murrayc.com>

	TreeView: set_row_separator_func(): Add some documentatino.

	* gtk/src/treeview.hg: Add documentation to the method and to the typedef,
	based on the C documentation.
	However, this will not all be seen by people because of bug #657844, which
	apparently is a regression in doxygen.

2011-09-19  Murray Cumming  <murrayc@murrayc.com>

	3.1.90.1

2011-09-19  Murray Cumming  <murrayc@murrayc.com>

	Build fixes are previous commit.

	* gdk/src/device.hg:
	* gdk/src/window.ccg:
	* gdk/src/window.hg: Build fixes.

2011-09-19  Murray Cumming  <murrayc@murrayc.com>

	Some minor GDK API additions.

	* gdk/src/device.hg: Added get_n_keys() and list_slave_devices().
	* gdk/src/pixbuf.hg: Added properties.
	* gdk/src/window.[hg|ccg]: Added get_drag_protocol().

2011-09-19  Murray Cumming  <murrayc@murrayc.com>

	Documentation: Do not show colloboration diagrams.

	* docs/reference/Doxyfile.in: Do not show colloboration diagrams. We seem to
	have started showing these a while ago, though I have no idea why. They just
	get in the way.

2011-09-14  Murray Cumming  <murrayc@murrayc.com>

	3.1.90

	FontChooser, FontChooserWidget, FontChooserDialog API changes.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/filelist.am:
	* gtk/src/fontchooser.[hg|ccg]: this is now an interface, like AppChooser and
	RecentChooser.
	* gtk/src/fontchooserdialog.[hg|ccg]: Derive from FontChooser, removing
	some methods.
	* gtk/src/fontchooserwidget.[hg|ccg]: A new widget derived from FontChooser.
	* gtk/src/fontbutton.[hg|ccg]: This should now derive from FontChooser but
	we cannot do that without breaking ABI because FontButton was in gktmm 3.0.

2011-09-09  Murray Cumming  <murrayc@murrayc.com>

	Widget::get_allocation(): Add the newer documentation from the C docs.

	* gtk/src/widget.hg: gtk_widget_get_allocation() now has extra hints about
	implementing containers.

2011-09-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	TreeView: Make append_column_numeric_editable() work for [unsigned] short.

	* gtk/src/treeview.hg:
	Add TreeView_Private::_connect_auto_store_numeric_editable_signal_handler().
	Call it from TreeView::append_column_numeric_editable()
	and use it in the numeric specializations of
	TreeView_Private::_connect_auto_store_editable_signal_handler(). Bug #655416.

2011-09-06  Murray Cumming  <murrayc@murrayc.com>

	3.1.18

2011-09-06  Murray Cumming  <murrayc@murrayc.com>

	Regenerated methods .defs and documentation .xml files.

	* gdk/src/gdk_docs.xml: Regenerated with docextract_to_xml.py.
	* gdk/src/gdk_extra_objects.defs: Mention some more objects to improve the
	automatic documentation generation.
	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gdk/src/gdk_pixbuf_enums.defs: Regenerated with enums.pl.
	We still need to regenerate the signals/properties .defs files.

2011-09-06  Murray Cumming  <murrayc@murrayc.com>

	Regenerated enum .defs files.

	* gdk/src/gdk_enums.defs:
	* gtk/src/gtk_enums.defs:
	Regenerated with enums.pl
	Apparently we did not regenerate these recently before 3.0.0.
	There is a (then late) change in GdkDragProtocol that actually changes
	the enum values. This is technically an ABI break, but we would be passing
	the wrong values to the C functions, leading to already incorrect behaviour,
	so this can only be an improvement.
	This also removes other enums from the .defs that we do not use any more in
	the actual API.

2011-09-06  Murray Cumming  <murrayc@murrayc.com>

	Assistant: Added remove_page().

	* gtk/src/assistant.hg: Wrapping the new gtk_assistant_remove_page()
	function.

2011-09-06  Murray Cumming  <murrayc@murrayc.com>

	PrintUnixDialog::get_selected_printer(): ref-counting correction.

	* gtk/src/printunixdialog.hg: Fix a .->, typo to make the refreturn option
	actually be used.
	Noticed by Kjell Ahlstedt in bug #657751.

2011-09-06  Murray Cumming  <murrayc@murrayc.com>

	TreeView: Added unset_drag_dest_row().

	* gtk/src/treeview.[hg|ccg]: Added unset_drag_dest_row().
	Bug #577986 (Hubert Figuiere, Johannes Schmid)

2011-09-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Avoid infinite loop in Gtk::Dialog::get_content_area().

	* gtk/src/dialog.hg: Remove 'constversion' from get_vbox() const, because of
	a bug in gmmproc. Bug #657751, comment 3.

2011-08-31  Murray Cumming  <murrayc@murrayc.com>

	3.1.16

2011-08-25  Murray Cumming  <murrayc@murrayc.com>

	Add FontChooser and FontChooserDialog, deprecating old widgets.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/filelist.am:
	* gtk/src/fontchooser.[hg|ccg]:
	* gtk/src/fontchooserdialog.[hg|ccg]: Added FontChooser and FontChooserDialog.
	* gtk/gtkmm.h: Add them here.
	* gtk/src/fontselection.hg: Deprecate FontSelection and FontSelectionDialog.
	The APIs are annoyingly similar, but GTK+ has done this.

2011-08-23  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Update the ChangeLog

	...In regards to the Visual Studio project files updates

2011-08-23  Chun-wei Fan  <fanchunwei@src.gnome.org>

	Fix up Visual Studio projects (GTKMM master)

	-Set EOL of *.sln files to CR/LF (Windows) so that they will work properly.
	-Update GDKMM/GTKMM DLL/LIB names to *-3_0-* from *-2_4-*
	-Updated source file listings for GDKMM and GTKMM so that sources will
	compile and link correctly, and have them link to GTK+3/GDK3 libraries
	(this includes the newer gtk/gtkmm/hv* sources)
	-Update GDKMM projects as they need to link to GIOMM too.
	-Update the demo projects to link to CairoMM also, as that is also required.
	-Update the VS2010 demo project to link to Visual C++ 2010-compiled
	versions of the GLibMM, ATKMM and PangoMM (*-vc90-*.lib -> *-vc100-*.lib)
	libraries

2011-08-03  Murray Cumming  <murrayc@murrayc.com>

	Add back Gtk::Application so we can finish it.

2011-07-27  Murray Cumming  <murrayc@murrayc.com>

	3.1.10

2011-07-27  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: PrintJob: Add new methods:

	* gtk/src/printjob.hg: Added set/get_pages(), set/get_page_set(),
	set/get_num_copies(), set/get_scale(), set/get_n_up(), set/get_n_up_layout(),
	set/get_rotate(), set/get_collate(), set/get_reverse().

2011-07-27  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Add some properties.

	* gtk/src/gtk_signals.defs: Regenerated.
	* gtk/src/cellareabox.hg:
	* gtk/src/cellareacontext.hg:
	* gtk/src/entry.hg:
	* gtk/src/invisible.hg:
	* gtk/src/messagedialog.hg:
	* gtk/src/treeselection.hg:
	* gtk/src/treeviewcolumn.hg:
	* gtk/src/widget.hg: Added properties that gmmproc warned were missing.

2011-07-25  Murray Cumming  <murrayc@murrayc.com>

	CellArea: Added get_focus_siblings().

	* gtk/src/cellarea.hg: Wrap gtk_cell_area_get_focus_siblings().

2011-07-21  Murray Cumming  <murrayc@murrayc.com>

	Add some new methods and properties.

	* gtk/src/buttonbox.hg: Added get_child_non_homogeneous() and
	set_child_non_homogeneous().
	* gtk/src/cssprovider.hg: Added to_string(),
	* gtk/src/entry.hg: Added get_placeholder_text(), set_placeholder_text(),
	and placeholder-text property.
	* gtk/src/expander.hg: Added set_resize_toplevel(), get_resize_toplevel()
	and resize-toplevel property.
	* gtk/src/treeviewcolumn.hg: Added get_x_offset() and cell-area property.
	* gtk/src/gtk_extra_objects.defs: Mention AppChooser and RecentChooser to
	improve the generated documentation.

2011-07-21  Murray Cumming  <murrayc@murrayc.com>

	Notebook, CellRendererText: Added missing properties.

	* gtk/src/cellrenderertext.hg: Added max-width-chars and align-set properties.
	* gtk/src/notebook.hg: Added enable-popup property.

2011-07-21  Murray Cumming  <murrayc@murrayc.com>

	ProgressBar and CellRendererProgress: Add properties.

	* gtk/src/cellrendererprogress.hg: Add inverted property.
	* gtk/src/progressbar.hg: Add show-text and inverted properties.

2011-07-20  Jonathon Jongsma  <jonathon.jongsma@collabora.co.uk>

	Tooltip: Add unset_*() methods.

	* gtk/src/tooltip.[hg|ccg]:  provide unset_*() methods for all of the
	functions that have NULL-able arguments.  In the GTK+ API, if null is
	passed, it disables that portion of the tooltip display.  Fixes Bug #541296

2011-07-19  Murray Cumming  <murrayc@murrayc.com>

	Adjustment: Added get_minimum_increment().

	* gtk/src/adjustment.hg: Wrapping the new
	gtk_adjustment_get_minimum_increment() function.

2011-07-19  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gtk_docs.xml.

	* gtk/src/gtk_docs.xml: Regenerate with docextract_to_xml.py.

2011-07-19  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Regenerate some .defs files.

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* tools/m4/convert_gdk.m4: Added a conversion because
	gtk_widget_queue_draw_region()'s parameter is now const.

2011-07-18  Murray Cumming  <murrayc@murrayc.com>

	Fix typos to fix build.

2011-07-14  Murray Cumming  <murrayc@murrayc.com>

	Add TODO comment

2011-07-06  Murray Cumming  <murrayc@murrayc.com>

	3.1.8

2011-06-29  Murray Cumming  <murrayc@murrayc.com>

	Corrected the ChangeLog

2011-06-29  Murray Cumming  <murrayc@murrayc.com>

	Add -Wformat-security to the --enable-warnings=fatal build.

	* configure.ac: This seems to be popular now.

2011-06-29  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText: Constructor: Set entry-text-column and d-column.

	* gtk/src/comboboxtext.ccg: gtk_combo_box_text_new() does this,
	instead of setting them in some construct or init function, so we need to
	too. It's arguably a GtkComboBoxText bug.
	Bug #653579 (Glus Xof)

2011-06-15  Murray Cumming  <murrayc@murrayc.com>

	Added missing files.

2011-06-14  Murray Cumming  <murrayc@murrayc.com>

	3.1.6

2011-06-14  Murray Cumming  <murrayc@murrayc.com>

	Update documentation of non-HV classes that were previously just bases.

	* gtk/src/box.hg:
	* gtk/src/buttonbox.hg:
	* gtk/src/paned.hg:
	* gtk/src/scale.hg:
	* gtk/src/scrollbar.hg:
	* gtk/src/separator.hg: Update the overview doxygen comment based on
	the latest C documentation.

2011-06-14  Murray Cumming  <murrayc@murrayc.com>

	Remove deprecation ifdefs around HBox and VBox.

	* gtk/src/hvbox.hg: We can't put these in ifdefs because they are
	used as base classes by several other classes, and we can't change
	those heirarchies because that would (probably?) break ABI.

2011-06-13  Murray Cumming  <murrayc@murrayc.com>

	Moved HScrollbar and VScrollbar to separate files.

	* gtk/src/scrollbar.[hg|ccg]:
	* gtk/src/hvscrollbar.[hg|ccg]: See the prevous commit about Box
	and others. I forgot to do it for this one too.
	* gtk/gtkmm.h: Mention the new header.
	* gtk/src/filelist.am: Mention the new files.

2011-06-13  Murray Cumming  <murrayc@murrayc.com>

	Dialog: Deprecate get_vbox(), replacing with get_content_area().

	* gtk/src/dialog.hg: We forgot to rename get_vbox() to
	get_content_area() for gtkmm 3.0, so we do it now via a
	deprecation.
	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/example_dialog.cc:
	* demos/gtk-demo/example_sizegroup.cc:
	* tests/dialog_deletethis/main.cc:
	* tests/wrap_existing/main.cc: Adapted.

2011-06-11  Murray Cumming  <murrayc@murrayc.com>

	Add back deprecation flags for demos

2011-06-11  Murray Cumming  <murrayc@murrayc.com>

	box.h, etc: Include the deprecated H/V classes.

	* gtk/src/box.hg:
	* gtk/src/buttonbox.hg:
	* gtk/src/separator.hg:
	* gtk/src/paned.hg:
	* gtk/src/scale.hg: Include the deprecated headers at the end,
	so that developers do not need to change their include lines.

2011-06-10  Murray Cumming  <murrayc@murrayc.com>

	Split H/V* classes into separate files.

	* gtk/src/filelist.am:
	* gtk/src/box.hg:
	* gtk/src/buttonbox.[hg|ccg]:
	* gtk/src/filelist.am:
	* gtk/src/hvbox.[hg|ccg]:
	* gtk/src/hvbuttonbox.[hg|ccg]:
	* gtk/src/hvpaned.[hg|ccg]:
	* gtk/src/hvscale.[hg|ccg]:
	* gtk/src/hvseparator.[hg|ccg]:
	* gtk/src/paned.hg:
	* gtk/src/scale.[hg|ccg]:
	* gtk/src/separator.hg: Move the deprecated classes into
	separate files because gmmproc deprecates the whole file when
	using _IS_DEPRECATED, which causes the non-deprecated classes to
	be ifdefed too.

2011-06-10  Murray Cumming  <murrayc@murrayc.com>

	Avoid use of deprecated H/V* classes.

	* demos/gtk-demo/demowindow.[h|cc]:
	* demos/gtk-demo/example_buttonbox.cc:
	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/example_colorsel.cc:
	* demos/gtk-demo/example_dialog.cc:
	* demos/gtk-demo/example_drawingarea.cc:
	* demos/gtk-demo/example_iconview.cc:
	* demos/gtk-demo/example_images.cc:
	* demos/gtk-demo/example_menus.cc:
	* demos/gtk-demo/example_panes.cc:
	* demos/gtk-demo/example_sizegroup.cc:
	* demos/gtk-demo/example_stockbrowser.cc:
	* demos/gtk-demo/example_textview.cc:
	* demos/gtk-demo/example_treeview_editable_cells.cc:
	* demos/gtk-demo/example_treeview_liststore.cc:
	* demos/gtk-demo/example_treeview_treestore.cc:
	* demos/gtk-demo/example_uimanager.cc:
	* gtk/src/bin.ccg:
	* tests/delete_cpp_child/main.cc:
	* tests/dialog/main.cc: Change all uses of HBox, VBox, and
	the equivalents for ButtonBox, Scale, Separator, etc to
	the non-deprecated Box, etc, equivalents.

2011-06-09  Murray Cumming  <murrayc@murrayc.com>

	Deprecate all H* an V* classes in favour of the base classes.

	* gtk/src/box.hg:
	* gtk/src/buttonbox.hg:
	* gtk/src/paned.hg:
	* gtk/src/scale.hg:
	* gtk/src/scrollbar.hg:
	* gtk/src/separator.hg: Deprecate all H* and V* classes.
	We should now just use the base classes, setting the orientation
	appropriately. This is indeed rather tedious.

	This fixes the build with --enable-warnings=fatal.

2011-06-04  Kalev Lember  <kalev@smartlink.ee>

	Updated the FSF address in license headers and COPYING file

	* COPYING: Updated the file with latest copy available from the FSF;
	includes updated FSF mailing address and whitespace changes.
	Noticed by Thomas Sailer, https://bugzilla.redhat.com/701347#c5

2011-05-24  Olav Vitters  <olav@vitters.nl>

	Use tar-ustar instead of tar-pax to ensure OpenBSD compatibility

2011-05-12  Murray Cumming  <murrayc@murrayc.com>

	CellAreaContext: Correct the documentation.

	* gtk/src/cellareacontext.hg: Write overview documentation based on the C
	documentation. This was previously a completely wrong copy/paste from some
	other class.

2011-05-12  Murray Cumming  <murrayc@murrayc.com>

	Added a TODO

2011-05-09  Kalev Lember  <kalev@smartlink.ee>

	Don't build Gtk::Plug and Gtk::Socket on WIN32

	* gtk/src/filelist.am: Moved plug.h and socket.h to
	gtkmm_files_posix_hg. Bug #649187

2011-05-09  Murray Cumming  <murrayc@murrayc.com>

	3.0.1

2011-05-09  Murray Cumming  <murrayc@murrayc.com>

	Fix the --enable-warnings=fatal build with GTK+ 3.1.x.

	* gtk/src/assistant.hg:
	* gtk/src/menuitem.hg: Add some #undef GTK_DISABLE_DEPRECATED so we can build
	with GTK+ 3.1.x.

2011-05-02  Murray Cumming  <murrayc@murrayc.com>

	EntryCompletion: signal_cursor_match_info(): Fix this.

	* gtk/src/entrycompletion.ccg: Correct the signal name so that this really
	connects to that signal.
	Noticed by Andrew E. Makeev.

2011-05-02  Murray Cumming  <murrayc@murrayc.com>

	Added some comments

2011-05-02  Murray Cumming  <murrayc@murrayc.com>

	Bin: Correct a code comment.

	* gtk/src/bin.ccg: add_pixlabel(): Correct a variable name and comment.
	Noticed by Kjell Ahlstedt.

2011-05-02  Murray Cumming  <murrayc@murrayc.com>

	MessageDialog: Correct the get_message_area() return type.

	* gtk/src/messagedialog.hg: get_message_area(): Return a Box instead of a VBox.
	This may have worked already, but this is a minor API change that should not
	affect anybody too much, and hopefully it will be OK this soon after the 3.0.0
	release.

2011-05-02  Murray Cumming  <murrayc@murrayc.com>

	ScrolledWindow: Correct the get_v/hscrollbar() return types.

	* gtk/src/scrolledwindow.hg: get_hscrollbar(), get_vscrollbar(): Return
	Scrollbar instead of HScrollbar or VScrollbar, as this is what the C API
	really returns. This is not really an API break because these could never
	have been used until now, because they always returned 0.
	Noticed by Andrew E. Makeev.

2011-04-19  Murray Cumming  <murrayc@murrayc.com>

	Add a TODO comment

2011-04-06  Murray Cumming  <murrayc@murrayc.com>

	Fix typo

2011-04-06  Murray Cumming  <murrayc@murrayc.com>

	NEWS: mention the new API list

2011-04-06  Murray Cumming  <murrayc@murrayc.com>

	Fix typo.

2011-04-06  Murray Cumming  <murrayc@murrayc.com>

	Fixed NEWS

2011-04-06  Murray Cumming  <murrayc@murrayc.com>

	Improved NEWS

2011-04-06  Murray Cumming  <murrayc@murrayc.com>

	3.0.0

2011-04-05  Murray Cumming  <murrayc@murrayc.com>

	operator const void*(): Use GINT_TO_POINTER().

	* gtk/gtkmm/stockid.[h|cc]:
	* gtk/src/iconinfo.hg:
	* gtk/src/papersize.hg:
	* gtk/src/textiter.hg:
	* gtk/src/treeiter.hg:
	* gtk/src/treepath.hg:
	* gtk/src/treerowreference.hg: Use GINT_TO_POINTER() instead of a
	(const void*) cast, to avoid problems on unusual platforms.
	Daniel Elstner suggested this.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	Use a BoolExpr typedef to make operator const void* clearer.

	* gtk/gtkmm/stockid.[h|cc]:
	* gtk/src/iconinfo.hg:
	* gtk/src/papersize.hg:
	* gtk/src/textiter.hg:
	* gtk/src/treeiter.hg:
	* gtk/src/treepath.hg:
	* gtk/src/treerowreference.hg: Use a BoolExpr typedef and add documentation
	because not all people will know the purpose of operator const void*.
	This was suggested by Daniel Elstner.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	Remove RecentInfo::operator const void*.

	* gtk/src/recentinfo.[hg|ccg]: Remove operator const void* (previously
	operator bool), because it is unnecessary because it is used via RefPtr.
	The declaration was already commented out in the .hg header, but gmmproc
	still generated the declaration in the .h file.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	Widget: Remove the extension-event property.

	* gdk/src/event.hg: Remove the now-unused, and maybe already not-generated,
	ExtensionMode enum.
	* gtk/src/widget.hg: Remove the extension-event property because it was
	removed in GTK+ 3 though it is not deprecated in GTK+ 2.24.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	Gtk::NumerableIcon: Really add get_background_gicon() const.

	* gtk/src/numerableicon.hg: Fix a typo so that
	gtk_numerable_icon_get_background_gicon() is really wrapped.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Screen: Avoid an unnecessary gmmproc warning.

	* gdk/src/screen.hg: Remove a mention of gdk_screen_broadcast_client_message()
	because it is not in the GTK+ 3 API, though GTK+ 2.24 does not deprecate it.
	Noticed by Kjell Ahlstedt.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	Change all operator void* to operator const void*.

	* gtk/gtkmm/stockid.[h|cc]:
	* gtk/src/iconinfo.[hg|ccg]:
	* gtk/src/papersize.[hg|ccg]:
	* gtk/src/recentinfo.[hg|ccg]:
	* gtk/src/textiter.[hg|ccg]:
	* gtk/src/treeiter.hg:
	* gtk/src/treepath.[hg|ccg]:
	* gtk/src/treerowreference.[hg|ccg]: Daniel Elstner suggested this.
	He also has some concern about the C-style casts, but we are talking about it.

2011-04-01  Murray Cumming  <murrayc@murrayc.com>

	Replace all operator bool() with operator void*().

	* gtk/gtkmm/stockid.[h|cc]:
	* gtk/src/iconinfo.[hg|ccg]:
	* gtk/src/papersize.[hg|ccg]:
	* gtk/src/recentinfo.[hg|ccg]:
	* gtk/src/textiter.[hg|ccg]:
	* gtk/src/treeiter.hg:
	* gtk/src/treepath.[hg|ccg]:
	* gtk/src/treerowreference.[hg|ccg]: Use operator void*() instead of
	operator bool() because this avoids an implicit conversion to int instead of
	bool. This is apparently generally considered a good thing.

2011-03-26  Kalev Lember  <kalev@smartlink.ee>

	Wrap a missing flag in GtkStateFlags

	* gtk/src/gtk_enums.defs: Added missing GTK_STATE_FLAG_NORMAL by
	regenerated with glibmm/tools/enums.pl.

2011-03-26  Murray Cumming  <murrayc@murrayc.com>

	Improve ChangeLog

2011-03-26  Kalev Lember  <kalev@smartlink.ee>

	MenuShell: Removed documentation references about Menu_Helpers::MenuElem

	* gtk/src/menushell.hg: Removed references to
	Gtk::Menu_Helpers::MenuElem which is no longer available in gtkmm 3.0.

2011-03-25  Murray Cumming  <murrayc@murrayc.com>

	2.99.8

2011-03-25  Murray Cumming  <murrayc@murrayc.com>

	Avoid a tarball dependency on mm-common.

	* configure.ac: Add a call to MM_CONFIG_DOCTOOL_DIR() telling it to
	copy the files locally and use them from there.
	* docs/Makefile.am: Dist the copied files, so that the build does not
	try to use the versions installed by mm-common.

2011-03-25  Murray Cumming  <murrayc@murrayc.com>

	2.99.7

2011-03-23  Murray Cumming  <murrayc@murrayc.com>

	Remove Gtk::Application until later.

	* gtk/src/application.[hg|ccg]: Removed this file.
	* gtk/src/filelist.am: Remove mention of the file.
	* gtk/src/window.hg: Remove API that uses the Application class.

	See http://bugzilla.gnome.org/show_bug.cgi?id=637445#c17

2011-03-16  Murray Cumming  <murrayc@murrayc.com>

	2.99.6

2011-03-16  Murray Cumming  <murrayc@murrayc.com>

	Fix the demos

2011-03-16  Murray Cumming  <murrayc@murrayc.com>

	TreeView: Removed unused TreeView::_get_base_model() method.

	* gtk/src/treeview.[hg|ccg]: As suggested by Kjell Ahlstedt in
	https://bugzilla.gnome.org/show_bug.cgi?id=582981#c16

2011-03-16  Luca Wehrstedt  <lerks@users.sourceforge.net>

	Fix bug #582981 by making TreeModelFilter behave like TreeModelSort.

2011-03-07  Murray Cumming  <murrayc@murrayc.com>

	Added TODO comments.

2011-03-07  Murray Cumming  <murrayc@murrayc.com>

	Main: Improve the documentation.

	* gtk/src/main.hg: Improve the overview documentation and the constructors'
	documentation.

2011-03-07  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Main: Add a constructor with no argc and argv.

	* gtk/src/main.[hg|ccg]: Main: Add a public constructor with no argc/argv
	parameters, becase that is now officially allowed by the C API.
	See https://bugzilla.gnome.org/show_bug.cgi?id=643649#c3

2011-03-04  Murray Cumming  <murrayc@murrayc.com>

	Window: Added unset_application,

	* gtk/src/window.[hg|ccg]: Added unset_application() because the parameter
	can be NULL.

2011-02-23  Murray Cumming  <murrayc@murrayc.com>

	Added class overview documentation for new classes.

	* gdk/src/devicemanager.hg:
	* gdk/src/rgba.hg:
	* gtk/src/buildable.hg:
	* gtk/src/cellarea.hg:
	* gtk/src/cellareabox.hg:
	* gtk/src/cssprovider.hg:
	* gtk/src/numerableicon.hg:
	* gtk/src/stylecontext.hg:
	* gtk/src/styleprovider.hg:
	* gtk/src/widgetpath.hg: Added documentation based on the C documentation,
	though I have not yet translated the C code examples. I added TODO comments
	so we remember to do them sometime in the future.

2011-02-23  Murray Cumming  <murrayc@murrayc.com>

	CssProvider: load_from_data(): Added documentation.

	* gtk/src/cssprovider.hg: load_from_data(): Add doxygen documentation
	which was previously generated when using _WRAP_METHOD().

2011-02-22  Fabien Parent  <parent.f@gmail.com>

	Gtk::CssProvider: Simplify the load_from_data method. Simplify the load_from_data method by removing the useless size parameter.

2011-02-22  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Rectangle: Added reference documentation.

	* gdk/src/rectangle.hg: Add doxygen comments based on the documentation of
	the C API.

2011-02-21  Murray Cumming  <murrayc@murrayc.com>

	2.99.5

2011-02-15  Murray Cumming  <murrayc@murrayc.com>

	CellView, EntryCompletion: Wrap new API.

	* gtk/src/cellview.hg: Derive from Orientable and add set/get_draw_sensitive(),
	set/get_fit_model() and the new properties.
	* gtk/src/entrycompletion: Derive from Buildable and add the cell-area
	property.

2011-02-14  Murray Cumming  <murrayc@murrayc.com>

	ButtonBox, Separator, Scale, Scrollbar: Add public constructors.

	* gtk/src/buttonbox.hg:
	* gtk/src/separator.hg: Constructors: Added optional orientation parameters
	to match the new gtk_button_box_new() and gtk_separator_new() functions.
	* gtk/src/scale.[hg|ccg]:
	* gtk/src/scrollbar.[hg|ccg]: Added (Adjustment, Orientation) constructors to
	match the new gtk_scale_new() and gtk_scrollbar_new() functions.
	Make sure that the default constructors are now public, instead of protected,
	as these are no longer just abstract base classes. That change was made in
	GTK+.

2011-02-14  Murray Cumming  <murrayc@murrayc.com>

	Paned: Add an optional orientation parameter, matching the new C API.

	* gtk/src/paned.hg: Change the constructor to match the new gtk_paned_new()
	function.

2011-02-14  Murray Cumming  <murrayc@murrayc.com>

	Wrapped two new properties.

	* gtk/src/iconview.hg: Added cell_area property.
	* gtk/src/image.hg: Added set_fallback property.
	These do not seem to have corresponding functions.

2011-02-14  Murray Cumming  <murrayc@murrayc.com>

	Widget: Added should_draw_window() and transform_cairo_context_to_window().

	* gtk/src/widget.[hg|ccg]: Added Widget::transform_cairo_context_to_window(),
	wrapping gtk_cairo_transform_to_window().
	Added Widget::should_draw_window(), wrapping gtk_cairo_should_draw_window().
	These are both protected because they are for use in Gtk::Container
	implementation.
	* tools/m4/convert_gtk.m4: Added a Cairo::Context conversion.

2011-02-11  Murray Cumming  <murrayc@murrayc.com>

	Make sure that we do not wrap the deprecated CellRenderer::get_size() vfunc.

	* gtk/src/gtk_vfuncs.defs: Comment out the definition of get_size().

2011-02-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	CellArea, CellRenderer, Widget: Modify and add some vfuncs.

	* gtk/src/gtk_vfuncs.defs:
	* gtk/src/cellarea.[hg|ccg]:
	* gtk/src/cellrenderer.[hg|ccg]: Add vfuncs get_request_mode,
	get_preferred_[width|height_for_width|height|width_for_height].
	* gtk/src/widget.[hg|ccg]: Change int* to int& in
	get_preferred_[width|height_for_width|height|width_for_height]_vfunc.
	Bug 639073, comment 19.

2011-02-11  Murray Cumming  <murrayc@murrayc.com>

	2.99.4

2011-02-10  Murray Cumming  <murrayc@murrayc.com>

	Added newin tags

2011-02-10  Murray Cumming  <murrayc@murrayc.com>

	AppChooserDialog: Fixed a typo.

	* gtk/src/appchooserdialog.hg: Avoid registering a type with the wrong
	(and duplicate) name.

2011-02-10  Murray Cumming  <murrayc@murrayc.com>

	Added AppChooser, AppChooserButton, AppChooserDialog and AppChooserWidget.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Mentioned the new AppChooser
	GTypes.
	* gtk/src/gtk_signals.defs: Regenerated.
	* gtk/src/appchooser.[hg|ccg]: Added this new interface.
	* gtk/src/appchooserbutton.[hg|ccg]:
	* gtk/src/appchooserdialog.[hg|ccg]:
	* gtk/src/appchooserwidget.[hg|ccg]: Added wrappers for these new widgets.
	* gtk/src/filelist.am: Mentioned the new files.
	* tools/m4/convert_gtk.m4: Added necessary conversions.

2011-02-10  Murray Cumming  <murrayc@murrayc.com>

	CellArea: Added constructor that takes a CellArea.

	* gtk/src/combobox.[hg|ccg]: Added cell_area property and a constructor that
	takes a CellArea, to match gtk_combo_box_new_with_area().

2011-02-08  Murray Cumming  <murrayc@murrayc.com>

	Entry: Added unset_icon().

	* gtk/src/entry.[hg|ccg]: Added unset_icon() because the
	gtk_entry_set_icon_from_*() functions do that when they are passed a NULL.
	Bug #621742 (feuloren)

2011-02-08  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText: Add warning about not confusing these.

	* gtk/src/comboboxtext.hg: Add a doxygen comment warning people not to
	call set_model() on these or to pack more cells in.
	Bug #619656 (JimO, Kjell Ahlstedt)

2011-02-08  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Slight documentation improvements.

	* gtk/src/combobox.hg:
	* gtk/src/comboboxtext.hg: Update the class overview documentation to match
	recent additions in the C documentation and to reflect that we now have
	get_entry() in gtkmm (though still not in the C API).

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	2.99.3

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	DragContext: Remove the deprecated constructor and create() method.

	* gdk/src/dragcontext.hg: There should be no deprecated API in gtkmm 3.0.0.

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	Fix the build against GTK+ from git master.

	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* gdk/src/display.[hg|ccg]: selection_send_notify(): This now takes a
	Gdk::Window instead of a (now removed) GdkNativeWindow.
	Remove the use of gdk_drag_get_protocol_for_display(), which was removed
	from GTK+.
	* gdk/src/types.hg: Remove the mention of GdkNativeWindow.

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	Button: Restore the clicked() method.

	* gtk/src/button.hg: gtk_button_clicked() is not deprecated. Fix that
	mistake.
	Thanks to Aurimas Černius.

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	Pixbuf: Minor documentation improvement.

	* gdk/src/pixbuf.hg: Dealt with a TODO comment.

2011-02-01  Murray Cumming  <murrayc@murrayc.com>

	Require the recent glibmm version for the std::vector utilities.

	* configure.ac: We actually check for giomm, but that brings in glibmm.

2011-02-01  Murray Cumming  <murrayc@murrayc.com>

	Plug, Socket: Fix the build by using Window as ::Window.

	* gtk/src/plug.[hg|ccg]:
	* gtk/src/socket.hg: Include the namespacing-destroying gtkx.h and
	use ::Window when we mean the nasty X11 Window type.

2011-02-01  Murray Cumming  <murrayc@murrayc.com>

	Display, Event: Remove ClientEvent methods.

	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* gdk/src/display.hg: Remove add_client_message_filter().
	* gdk/srd/screen.hg: Remove send_client_message().
	* gtk/src/widget.hg: Remove client_event signal.

2011-02-01  Murray Cumming  <murrayc@murrayc.com>

	Plug, Socket: Use the X11 Window type. Not my idea.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/plug.hg:
	* gtk/src/socket.hg: Use the (awfully, stupidly, no-namespacingly named, but
	historical) Window X11 type instead of GdkNativeWindow, as now done in the C
	API. Anyone including these headers may now expect compiler and linker
	confusion. Luckily they are not included by gtkmm.h.

2011-01-30  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest GTK+ from git master.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Include gtkx.h and put ifdefs
	around the use of GTK_TYPE_PLUG and GTK_TYPE_SOCKET.
	* gtk/src/plug.ccg:
	* gtk/src/socket.ccg: Include the new gtkx.h header, because the
	declaration have moved.

2011-01-28  Murray Cumming  <murrayc@murrayc.com>

	Fix make check.

	* demos/gtk-demo/example_stockbrowser.cc: Adapt for the previous commit
	that changed IconSet to need RefPtr.

2011-01-28  Murray Cumming  <murrayc@murrayc.com>

	IconSet: Use this via a RefPtr.

	* gtk/src/iconset.[h|cc]: Use this via RefPtr, because that is what the
	C API expects, though this is not a GObject.
	* gtk/gtkmm/stock.[h|cc]:
	* gtk/src/iconfactory.hg:
	* gtk/src/image.[hg|ccg]:
	* gtk/src/stylecontext.hg:
	* tools/m4/convert_gtk.m4: Adapt.

2011-01-28  Murray Cumming  <murrayc@murrayc.com>

	Widget: Add some methods.

	* gtk/src/widget.hg: Added set_state_flags(), get_state_flags(),
	reset_state_flags(), set_device_enable(), get_device_enabled(), and
	reset_style().

2011-01-28  Murray Cumming  <murrayc@murrayc.com>

	Widget: Simplify the get_request_mode vfunc wrapping.

	* gtk/src/widget.[hg|ccg]: Use a simple _WRAP_VFUNC() now that the C code
	behaves properly. See https://bugzilla.gnome.org/show_bug.cgi?id=639073#c17

2011-01-28  Murray Cumming  <murrayc@murrayc.com>

	Wrapped some new GTK+ functions, removing some too.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/cellarea.hg: Remove set_style_detail() and get_style_detail().
	* gtk/src/cellrenderer.hg: Added get_state().
	* gtk/src/textview.hg: Added get_cursor_locations().

2011-01-27  Krzesimir Nowak  <qdlacz@gmail.com>

	Fixed compilation errors introduced in previous	changes.

	* gdk/src/types.ccg:
	* gdk/src/types.hg: Added traits for Glib::ustring GdkAtoms.
	* gdk/src/display.ccg:
	* gdk/src/window.ccg: Use new traits.
	* gtk/src/textbuffer.ccg: Ditto. And remove the bogus word.

2011-01-27  Krzesimir Nowak  <qdlacz@gmail.com>

	Adapted Gdk and Gtk to vectorutils.

2011-01-27  Murray Cumming  <murrayc@murrayc.com>

	Documentation: Added some since tags.

	* gtk/src/combobox.hg: Added newin{2,24} to some new methods that I just put
	in the gtkmm-2-24 branch too.

2011-01-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Widget (and others): Add methods needed by custom widgets.

	* gtk/src/cssprovider.hg: Added _WRAP_CREATE. Added refreturn on
	get_default() and get_named().
	* gtk/src/stylecontext.ccg: The 'get' methods return a copy of the local
	objects, not a pointer to them.
	* gtk/src/gtk_vfuncs.defs:
	* gtk/src/widget.[hg|ccg]: Added vfuncs get_request_mode,
	get_preferred_[width|height_for_width|height|width_for_height]. Bug 639073.

2011-01-23  Krzesimir Nowak  <qdlacz@gmail.com>

	Ignore generated sources of NumerableIcon.

	* .gitignore: Updated.

2011-01-23  Armin Burgmeier  <armin@arbur.net>

	Widget: Wrap the style-updated signal.

	* gtk/src/widget.hg: Wrap the style-updated signal

2011-01-21  Murray Cumming  <murrayc@murrayc.com>

	Application: Added run() with no parameters.

	* gtk/src/application.[hg|ccg]: Add a run() that takes no argc, argv
	parameters, though see my TODO comments.

2011-01-20  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Application: Let run(window) actually return.

	* gtk/src/application.[hg|ccg]: add_window(): Hand-code this, so we can
	respond to the window's hide signal. This is because GtkApplication
	actually responds to window destruction, not window closing.

2011-01-20  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Application: Try to make this a replacement for Gtk::Main.

	* gtk/src/application.[hg|ccg]: Add a copy of init_gtkmm_internals() from
	Gtk::Main's main.cc and call it from the constructor, so that
	Gtk::Application can be a replacement for Gtk::Main.
	Add a constructor that takes argc and argv, so we can completely
	initialize GTK+ and gtkmm, because doing it in run() will be too late for
	some code: See bug #639925.
	Add a run() that does not take argc, argv, for when you have supplied them
	to the constructor instead.
	Add a run() that takes a window, like Gtk::Main::run(), so it can return
	when the window closes. However, see bug #639931 about it really responding to
	destruction, not closing.
	We show the window in an activate signal handler, because GTK+ complains if
	we don't have such a handler. See bug #640042.

2011-01-18  Murray Cumming  <murrayc@murrayc.com>

	Range: Added get/set_round_digits() and property.

	* gtk/src/range.hg: This API Is new in GTK+ in git master.

2011-01-17  Murray Cumming  <murrayc@murrayc.com>

	Restore support for the extra _CLASS_GOBJECT() parameter.

	* tools/m4/class_gtkobject.m4: This is still needed for the weird GtkWindow
	declaration in gtk+-2.0, though that is fixed in gtk+-3.0.
	And even though gtkmm-3.0 doesn't use that, this file must adapt to it.

2011-01-16  Murray Cumming  <murrayc@murrayc.com>

	Added NumerableIcon.

	* gtk/src/numerableicon.[hg|ccg]: Added NumerableIcon.
	* gtk/src/filelist.am: Mentioned the new files.
	* gtk/gtkmm.h: Include the new header.

2011-01-15  Murray Cumming  <murrayc@murrayc.com>

	ListViewText: Rename methods to be consistent with ComboBoxText.

	* gtk/gtkmm/listviewtext.[h|cc]: Rename append_text(), insert_text(), and
	prepend_text() to append(), insert() and prepend() because that is what
	ComboBoxText now uses (because it has other append overloads).

2011-01-15  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText: Remove the constructor that takes a model.

	* gtk/src/comboboxtext.[hg|ccg]: Remove the (model, bool) constructor
	because there is no such gtk_combo_box_new_with_model() function to match,
	and because this would be silly.

	This was mentioned in bug #619656 by Kjell Ahlstedt.

2011-01-15  Murray Cumming  <murrayc@murrayc.com>

	Fix the ChangeLog

2011-01-15  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText: Documentation: Correct the overview

	* gtk/src/combobox.hg: Update the overview comment now that the documentation
	for the C API has been improved. This removes the mention of OptionMenu,
	mention has-entry, and talks more about ComboBoxEntry.

	This was mentioned in bug #619656 by Kjell Ahlstedt.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText: Documentation: Correct the overview.

	* gtk/src/comboboxtext.hg: Mention append(), etc, instead of
	append_text(), etc.
	Bug #638405 (Dingeman van der Laan)

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Window: Correct my broken begin_drag() implementation.

	* gdk/src/window.ccg: gdk_drag_begin() takes a GList*, not an array.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	DragContext: Deprecate create(), adding Window::drag_begin().

	* gdk/src/dragcontext.hg: Deprecate the constructor and create(), because
	the equivalent gdk_drag_context_new() is deprecated.
	* gdk/src/window.[hg|ccg]: Added begin_drag(), wrapping gdk_drag_begin(),
	mentioned in the deprecation comment.
	* tools/m4/convert_gdk.m4: Added a DragContext conversion.

2011-01-13  Murray Cumming  <murrayc@murrayc.com>

	Widget: Make some methods protected.

	* gtk/src/widget.hg: set_window(), set_has_window(), and get_requisition()
	should only be used by the widget itself, in derived classes, so they can
	be protected, to simplify the public API.

2011-01-13  Murray Cumming  <murrayc@murrayc.com>

	Documentation: Remove mentions of Pixmap.

	* gdk/src/window.hg: Remove declaration of set_icon(pixmap), which had
	no definition.
	* gtk/src/bin.ccg:
	* gtk/src/button.hg:
	* gtk/src/checkbutton.hg:
	* gtk/src/offscreenwindow.hg:
	* gtk/src/togglebutton.hg: Remove or replace mentions of Gdk::Pixmap in the
	documentation.

2011-01-13  Murray Cumming  <murrayc@murrayc.com>

	Documentation: Don't mention non-existant Gdk::Colormap class.

	* gdk/src/color.hg:
	* gdk/src/screen.hg:
	* gdk/src/types.hg:
	* gdk/src/visual.hg: Remove mentions of Colormap, which no longer exists
	and which doesn't seem to need any replacement.

2011-01-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Widget::set_window(): Increase the ref count of the Gdk::Window.

	* gdk/src/widget.[hg|ccg]: set_window() increases the ref count of the
	Gdk::Window, since gtk_widget_set_window() does not.

	Bug #606903 (Hammered)

2011-01-12  Murray Cumming  <murrayc@murrayc.com>

	2.99.1

2011-01-12  Murray Cumming  <murrayc@murrayc.com>

	Fix the make check build.

	* demos/gtk-demo/example_change_display.cc: Comment out the code that
	we cannot yet port because the C example has not been ported.
	See https://bugzilla.gnome.org/show_bug.cgi?id=638907
	This at least fixes distcheck so I can make a tarball release.
	* demos/gtk-demo/example_stockbrowser.cc: Revert my previous clear()->reset()
	change because this was actually meant to call Image::clear().

2011-01-12  Murray Cumming  <murrayc@murrayc.com>

	Pixbuf: Removed set_option() again.

	* gdk/src/pixbuf.hg: gdk_pixbuf_set_option() is actually only available when
	GDK_PIXBUF_ENABLE_BACKEND is set.

2011-01-12  Murray Cumming  <murrayc@murrayc.com>

	Pixbuf: Add some methods.

	* gdk/src/pixbuf.hg: Added set_option() and apply_embedded_orientation().

2011-01-12  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added some new methods.

	* gtk/src/menuitem.hg: Added get/set_reserve_indicator().
	* gtk/src/menushell.hg: Added get_selected_item() and get_parent_shell().
	* gtk/src/stylecontext.hg: Added get/set_path() and get_screen().
	* gtk/src/treeview.[hg|ccg]: Added is_blank_at_pos().
	* tools/m4/convert_gdk.m4: Added necessary conversion.

2011-01-12  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gdk-pixbufs defs.

	* gdk/src/gdk_pixbuf_methods.defs: Regenerated with h2defs.py.
	* gdk/src/gdk_extra.defs: Remove mention of
	gdk_pixbuf_render_threshold_alpha(), which does not seem to exist anywhere now.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	Fix the build.

	* gtk/src/selectiondata.hg: Include gdkmm/pixbuf.h now that it is not
	included indirectly.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	Regenerated signals and properties defs.

	* gdk/src/gdk_signals.defs:
	* gtk/src/gtk_signals.defs: Regenerated with h2defs.py, applying
	gtk/src/gtk_signals.defs.patch from the top-level with -p1.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Fix some typos to fix the build.

	* gdk/src/dragcontext.ccg: Fix silly errors.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	Screen: Fix a typo, so the monitors_changed() signal really uses the C signal.

	* gdk/src/screen.hg: The monitors_changed() signal was wrapping the
	size_changed signal.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Added some methods.

	* gdk/src/display.hg: Added has_pending() and notify_startup_complete().
	* gdk/src/displaymanager.hg: Added open_display().
	* gdk/src/dragcontext.[hg|ccg]: find_window_for_screen(): Use a reference
	for the protocol parameter, instead of a pointer.
	Added get_dest_window() and get_protocol().

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	Window: Added get_device_cursor().

	* gdk/src/device.[hg|ccg]: Move the EventMask and GrabStatus enums here
	because they are used by Device and Device is the more common header to
	include. Do not include Window from here.
	* gdk/src/window.hg: Added get_device_cursor(). Include device.h to use the
	InputSource enum.
	* tools/m4/convert_gdk.m4: Added necessary conversion.
	* gdk/src/display.[hg|ccg]: Do not include device.h or devicemanager.h,
	to avoid a circular include.
	* gdk/src/screen.hg: Remove mention of removed gdk_screen_get_rgb_visual()
	function.
	* gdk/src/event.hg: Include types.h instead of window.h, because that is all
	that is needed, and it avoids a circular include.
	* gdk/src/pixbuf.hg: Include cairomm/surface.h instead of window.h, because
	that is all that is needed, and it avoids a circular include.
	* gdk/src/gdk_extra_objects.defs: Mention more objects, to improve the
	documentation.
	* gdk/gdmm/general.h: Include rgba.h and rectangle.h now that they are not
	included indirectly.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	Regenerated the function defs.

	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	Widget: Remove style_attach().

	* gtk/src/widget.hg: gtk_widget_style_attach() is deprecated, so we don't
	wrap it anymore.
	This fixes the build with --enable-warnings=fatal.

2011-01-08  Murray Cumming  <murrayc@murrayc.com>

	Depend on necessary versions of atkmm and pangomm.

	* configure.ac: Depend on the versions of atkmm and pangomm that provide
	conversions in .m4 files, now that glibmm does not provide them implicitly.
	This is only relevant when building from git, however. The older versions
	would be OK when building from a tarball.

2011-01-08  Murray Cumming  <murrayc@murrayc.com>

	Use RefPtr::reset() instead of deprecated RefPtr::clear().

	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/example_images.cc:
	* demos/gtk-demo/example_stockbrowser.cc: These were causing build errors
	now that we build with deprecated glibmm API disabled.

2011-01-08  Murray Cumming  <murrayc@murrayc.com>

	Use the m4 convert files from atkmm and pangomm instead of repeating them.

	* configure.ac: Discover the path of the pangomm and atkmm m4 files for use
	instead of repeating them here.
	* tools/m4: Remove convert_pango.m4 and convert_atk.m4.

2011-01-08  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Cursor: Avoid warnings and failures about reusing existing C instances.

	* gdk/src/cursor.[hg|ccg]: Remove the constructors, because the
	gdk_cursor_new_*() functions really return existing instances instead of
	always returning new instances.
	* demos/gtk-demo/example_change_display.cc: Use Gdk::Cursor via RefPtr.

2011-01-06  Krzesimir Nowak  <qdlacz@gmail.com>

	Fixed a typo in ChangeLog.

2011-01-06  Krzesimir Nowak  <qdlacz@gmail.com>

	Wrapped gdk_device_get_history().

	* gdk/src/device.[hg|ccg]: Wrapped gdk_device_wrap_history().
	* gdk/src/timecoord.[hg|ccg]: New files.
	* gdk/src/filelist.am: Added new files to build.
	* .gitignore: Ignore the new generated files.

2011-01-06  Murray Cumming  <murrayc@murrayc.com>

	Range: Remove get/set_update_policy(), to fix the build.

	* gtk/src/enums.hg: Remove the UpdateType enum.
	* gtk/src/range.hg: Remove get/set_update_policy() and the property,
	because they were removed from GTK+ 3.

2011-01-06  Murray Cumming  <murrayc@murrayc.com>

	TreeModel::iterator::operator--(): Use gtk_tree_model_iter_previous().

	* gtk/src/treeiter.ccg: Use the new C function instead of the code that we
	copied from totem.

2011-01-05  Murray Cumming  <murrayc@murrayc.com>

	Cursor: Make the API public, not protected, fixing the previous commit.

	* gdk/src/cursor.hg: Fix my typo.

2011-01-05  Murray Cumming  <murrayc@murrayc.com>

	The previous commit message was wrong. See the ChangeLog

2011-01-05  Murray Cumming  <murrayc@murrayc.com>

	Replace a used of (removed from GTK+) gdk_spawn_*() API.

	* glom/application.cc: This partially fixes the build.

2011-01-05  Murray Cumming  <murrayc@murrayc.com>

	Minor corrections to previous commit to make things clearer.

	* gtk/src/image.hg:
	* gtk/src/texttag.hg:
	* gtk/src/toolbar.hg:
	* gtk/src/window.hg: Remove mentions of removed properties, instead of
	just commenting them out, because that makes them seem like something that
	is yet to be done.
	* gtk/src/filechooserbutton.hg: Add a comment saying that the dialog property
	was commented out because it is construct-only and write-only.

	* gtk/src/cellview.hg: Likewise, remove the mention of the removed methods,
	instead of just commenting it out.

2011-01-04  Krzesimir Nowak  <qdlacz@gmail.com>

	Quickly fix the build with latest Gtk+.

	* gtk/src/gtk_methods.defs: Regenerated with h2def.py.
	* gtk/src/aboutdialog.hg: Changed the conversion.
	* gtk/src/cellview.hg: For now commented the deleted methods.
	* gtk/src/filechooserbutton.hg:
	* gtk/src/image.hg:
	* gtk/src/texttag.hg:
	* gtk/src/toolbar.hg:
	* gtk/src/window.hg: Gmmproc is complaining about failed lookup for
	some properties, so they are commented out.

2011-01-04  Krzesimir Nowak  <qdlacz@gmail.com>

	Device: Added grab() overload.

	* gdk/src/device.[hg|ccg]: Added an overload of grab() method, which
	does not take Gdk::Cursor as argument.

2011-01-04  Murray Cumming  <murrayc@murrayc.com>

	Device: Added get_window_at_position() with no parameters.

	* gdk/src/device.[hg|ccg]: Added get_window_at_position(void) overloads to
	match the previous Display::get_window_at_pointer(void) overloads.

2011-01-04  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest GTK+ from git master.

	* gdk/src/device.hg: Added warp().
	* gdk/src/display.[hg|ccg]: Removed pointer_ungrab(),
	keyboard_ungrab(), pointer_is_grabbed(), device_is_grabbed(), get_pointer(),
	get_window_at_pointer(), warp_pointer, set_pointer_hooks(),
	unset_pointer_hooks(), set_device_hooks(), unset_device_hooks().

	Some of these Display methods are now in Device instead, which will be shown
	in the deprecation comments in gtkmm 2.24, when we make the changes there.

2010-12-28  Krzesimir Nowak  <qdlacz@gmail.com>

	Added new methods to Gdk::Device.

	* gdk/src/gdk_methods.defs: Regenerated with h2def.py.
	* gdk/src/device.[hg|ccg]: Added get_position() and
	get_window_at_position() which are counterparts	of
	previously removed methods in Gdk::Display.

2010-12-28  Krzesimir Nowak  <qdlacz@gmail.com>

	Updated .gitignore.

	* .gitignore: Ignore a bunch a new generated files, new MSVC ones
	and backup ones (everything that ends with ~).

2010-12-28  Krzesimir Nowak  <qdlacz@gmail.com>

	Quickly fix the build with latest Gdk.

	* gdk/src/device.hg: Remove set_source() method.
	* gdk/src/display.[hg|ccg]: Remove get_device_state() and
	get_window_at_device_position() methods.

2010-12-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix the reference counting of Adjustment.

	* gtk/src/adjustment.ccg: Use the _INITIALLY_UNOWNED_SINK macro in the
	hand-coded constructor.
	* gtk/src/container.hg: get_focus_vadjustment() and get_focus_hadjustment():
	Use refreturn.
	* gtk/src/range.hg:
	* gtk/src/scalebutton.hg:
	* gtk/src/spinbutton.hg: get_adjustment(): Use refreturn.
	Bug #637891.

2010-12-24  Murray Cumming  <murrayc@murrayc.com>

	Window: Remove frame API to fix the build with GTK+ from git master.

	* gtk/src/window.hg: set_frame_event(), get_frame_event(),
	set_frame_dimensions(), get_frame_dimensions() and the frame_event signal.

2010-12-23  Murray Cumming  <murrayc@murrayc.com>

	Use _UNMANAGEABLE on all remaining Windows.

	* gtk/src/pagesetupunixdialog.hg:
	* gtk/src/plug.hg:
	* gtk/src/printunixdialog.hg: Use the _UNMANAGEABLE macro to
	prevent us from calling manage() in the wrap_new() implementations.
	Bug #623137 (Kjell Ahlstedt)

2010-12-23  José Alburquerque  <jaalburqu@svn.gnome.org>

	_CLASS_GTKOBJECT: Remove __REAL_* additional arguments.

	* tools/m4/class_gtkobject.m4: Remove the use of the
	__REAL_[CNAME|CPARENT]__ variables needed to wrap some classes in
	gtkmm that were typedef to their base type (such as GdkWindow and
	GdkPixmap).  These classes have been fixed in gtk+-3 thus eliminating
	the need for the special arguments in _CLASS_GTKOBJECT.

2010-12-23  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with --enable-warnings=fatal.

	* configure.ac: Use -no-long-long to avoid an (apparently new) compiler
	warning about long long not being supported by C++98. glibmm already had
	this option.

2010-12-22  Murray Cumming  <murrayc@murrayc.com>

	2.91.7

2010-12-22  Murray Cumming  <murrayc@murrayc.com>

	Cursor: Do not try to derive a GType.

	* gdk/src/cursor.hg: Use the (undocumented?) _DO_NOT_DERIVE_GTYPE macro
	to avoid deriving a GType, because we get this warning when we try:
	cannot derive `gtkmm__GdkCursor' from non-fundamental parent type `GdkCursor'
	We do not need to anyway, because there are no properties or signals.

2010-12-22  Murray Cumming  <murrayc@murrayc.com>

	Depend on the latest GTK+

2010-12-22  Murray Cumming  <murrayc@murrayc.com>

	demos/gtk-demo/example_change_display.cc

2010-12-21  Murray Cumming  <murrayc@murrayc.com>

	Fix totally broken type registration.

	* gtk/src/switch.hg: This should not try to derive directly from GtkWidget*.
	This was causing a warning about a double registration of gtkmm__GtkWidget,
	which caused Gtk::Widget to be broken.

2010-12-21  Murray Cumming  <murrayc@murrayc.com>

	CellLayout, CellAreaContext: Added methods.

	* gtk/src/cellareacontext.[hg|ccg]: Added get_area(), allocate(), reset() and
	get_preferred_width_for_height().
	* gtk/src/celllayout.[hg|ccg]: Added get_area().
	* tools/m4/convert_gtk.m4: Added necessary conversions.

2010-12-21  Murray Cumming  <murrayc@murrayc.com>

	TreeViewColumn: Added get_button().

	* gtk/src/treeviewcolumn.hg: Wrap gtk_tree_view_column_get_button().

2010-12-21  Murray Cumming  <murrayc@murrayc.com>

	CellArea, CellAreaBox, CellAreaContext: Added methods.

	* gtk/src/cellarea.hg:
	* gtk/src/cellareabox.hg:
	* gtk/src/cellareacontext.hg: Wrap most methods, though not all.
	No properties, signals, or vfuncs are wrapped yet.
	* tools/m4/convert_gtk.m4: Added conversions for some of these types.

2010-12-21  Murray Cumming  <murrayc@murrayc.com>

	CellRenderer: Added 2 methods.

	* gtk/src/cellrenderer.hg: Added is_activatable() and get_aligned_area().

2010-12-20  Murray Cumming  <murrayc@murrayc.com>

	Gtk: Add CellArea, CellAreaBox and CellAreaContext

	* tools/extra_defs_gen/generate_defs_gtk.cc: Mention GtkCellArea,
	GtkCellAreaBox and GtkCellAreaContext.
	* gtk/src/filelist.am:
	* gtk/src/cellarea.[hg|ccg]:
	* gtk/src/cellareabox.[hg|ccg]:
	* gtk/src/cellareacontext.[hg|ccg]: Added these classes, though no methods
	are wrapped yet.
	* gtk/gtkmm.h: Include the new headers.

2010-12-20  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+ from git master.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/widget.hg: set/get_extension_events() removed, because they were
	removed from GTK+, apparently because they are now unnecessary.
	* gtk/src/widgetpath.hg: get_widget_type() renamed to get_object_type().
	iter_get/set_widget_type() renamed to iter_get/set_object_type().

2010-12-17  Murray Cumming  <murrayc@murrayc.com>

	Application: Use _WRAP_CTOR() and _WRAP_CREATE() instead of _WRAP_METHOD().

	* gtk/src/application.hg: This adds a protected constructor and makes the
	create() method just call that, which is the normal ways to do things.
	Maybe we had wrapped gtk_application_new() directly before because it maybe
	once did more than call g_object_new(), but that is fine now.
	Now people can derive from this class.

	This fixes bug #637445 (Yannick Guesnet)

2010-12-17  Murray Cumming  <murrayc@murrayc.com>

	Window: Added get/set_application().

	* gtk/src/window.hg:  Wrapped gtk_window_get_application() and
	gtk_window_set_application() and property. Include appliation.h.
	* gtk/src/application.[hg|ccg]: Pre-declare Window instead of including
	window.h, to avoid the circular include.
	* tools/m4/convert_gtk.m4: Added necessary conversions.

	This fixes bug #637441 (Yannick Guesnet)

2010-12-16  Murray Cumming  <murrayc@murrayc.com>

	Pixbuf: Derive from (and implement) Gio::Icon.

	* configure.ac: Require the latest gdk-pixbuf. This is also needed for
	gdk_pixbuf_format_get_type() and similar functions.
	* gdk/src/pixbuf.hg: Derive from Gio::Icon and implement that interface.
	This is a recent change in gdk-pixbuf.

2010-12-15  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+ from git master.

	* gtk/src/widget.hg: Remove reset_shapes() because it was removed from GTK+.

2010-12-14  Murray Cumming  <murrayc@murrayc.com>

	Fix the demos build.

	* demos/gtk-demo/example_stockbrowser.cc: Use Gtk::Widget::render_icon_pixbuf()
	rather than render_icon().

2010-12-13  Murray Cumming  <murrayc@murrayc.com>

	Widget: Remove a useless _WRAP_METHOD() line.

	* gtk/src/widget.hg: Remove mention of gtk_widget_get_default_visual(),
	apparently removed from GTK+.

2010-12-13  Murray Cumming  <murrayc@murrayc.com>

	IconInfo: Added load_icon_symbolic(StyleContext, bool&).

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/iconinfo.[hg|ccg]: Rename load_icon_symoblic() to load_symbolic()
	to match the C function names.
	Add load_icon_symbolic(StyleContext, bool&), to wrap
	gtk_icon_info_load_symbolic_for_context().

2010-12-10  Murray Cumming  <murrayc@murrayc.com>

	pkg-config file: Added gmmprocm4dir.

	* gtk/gtkmm.pc.in: Added gmmprocm4dir, which should be used to set
	GMMPROC_EXTRA_M4_DIR in configure.ac files, for use by gmmproc so that
	gmmproc has access to gtkmm-specific m4 conversions.

2010-12-10  Murray Cumming  <murrayc@murrayc.com>

	Change an m4 conversion to fix the build with latest glibmm.

	* tools/m4/convert_gtk.m4: For some reason, using __FR2P leaves a
	in the .cc file, though similar conversions work fine. Changed it to
	a normal conversion.

2010-12-09  Murray Cumming  <murrayc@murrayc.com>

	Added class_gtkobject.m4, previously in glibmm.

	* tools/m4/class_gtkobject.m4: Added this, so we can use _CLASS_GTKOBJECT.
	* tools/m4/filelist.m4: Mentioned the new file.

2010-12-09  Murray Cumming  <murrayc@murrayc.com>

	Widget: Added unset_color/font() methods.

	* gdk/src/widget.[hg|ccg]: Add unset_*() methods to match the override_*()
	methods, because the C functions can take NULLs.

2010-12-09  Murray Cumming  <murrayc@murrayc.com>

	Widget: Removed render_icon(), adding render_icon_pixbuf().

	* gtk/src/widget.hg: gtk_widget_render_icon() was deprecated and
	gtk_widget_render_icon_pixbuf() was added, with slightly different parameters.

2010-12-08  Murray Cumming  <murrayc@murrayc.com>

	RGBA: Added individual color setters that take doubles.

	* gdk/src/rgba.[hg|ccg]: Added set_red/green/blue/alpha(double).

2010-12-08  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Color: Rename the setters and getters.

	* gdk/src/rgba.[hg|ccg]: Rename set/get_*_p(double) to set/get_*(), without
	the _p, because GdkRGBA uses doubles, though GdkColor used gushort.
	Rename set/get_*(gushort) (without the _p) to set/get_*_u(), as a convenience,
	particularly for older code that used Gdk::Color.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	StyleContext: Add render_*() methods.

	* gtk/src/stylecontext.hg: Wrap the gtk_render_*() functions, as we
	previously wrapped the old gtk_paint_*() functions in GtkStyle.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Added Gdk::Cairo::set_source_rgba().

	* gdk/gdkmm/general.[h|cc]: Wrapped gdk_cairo_set_source_rgba().

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Widget, StyleContext: Allow default StyleFlag values.

	* gtk/src/stylecontext.[hg|ccg]: get_color(), get_background_color(),
	get_border_color(), get_padding(), get_margin().
	* gtk/src/widget.[hg|ccg]: override_color(), override_background_color():
	Manually implement these methods so we can rearrange the parameters and then
	provide a default StateFlags value of 0.
	* demos/gtk-demo/example_colorsel.cc:
	* demos/gtk-demo/example_textview.cc: Adapted.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Widget: Added get_style_context().

	* gtk/src/widget.hg: Wrap gtk_widget_get_style_context().

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Added CssProvider.

	* gtl/src/filelist.am:
	* gtk/src/cssprovider.[hg|ccg]: Added CssProvider, implementing StyleProvider.
	* gtk/gtkmm.h: Include the new header.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Added signals/properties .defs for GtkStyleContext.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added some new types.
	* gtk/src/gtk_signals.defs: Added the section for GtkStyleContext so that
	gmmproc can actuall generate the signal and property API for Gtk::StyleContext.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Added properties using Gdk::RGBA.

	* gdk/src/color.hg:
	* gtk/src/cellrenderer.hg:
	* gtk/src/cellrenderertext.hg:
	* gtk/src/cellview.hg:
	* gtk/src/colorbutton.hg:
	* gtk/src/texttag.hg: Added the new properties that take a Gdk::RGBA instead
	of Gdk::Color. We can remove Gdk::Color when it has been deprecated in
	GTK+ 3:
	https://bugzilla.gnome.org/show_bug.cgi?id=636695

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Fix Gdk::RGBA and fix the demos build (make check)

	* gdk/src/rgba.[hg|ccg]: Change set_rgb() to set_rgba(), adding an optional
	alpha parameter.
	Change set_rgb_p() to set_rgba_p(), adding an optional
	alpha parameter.
	Fix their implementation because GdkRGBA has double members instead of gushort
	members as in GdkColor.
	* gtk/src/colorselection.[hg|ccg]: Added get/set_current_rgba() and
	get/set_previous_rgba().
	* demos/gtk-demo/example_colorsel.cc:
	* demos/gtk-demo/example_drawingarea.cc:
	* demos/gtk-demo/example_textview.cc:
	* demos/gtk-demo/textwidget.cc: Use Gdk::RGBA rather than Gdk::Color, using
	the Widget::override_*() methods instead of the old Widget::modify_*() methods.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gtk_signals.defs.

	* gtk/src/gtk_signals.defs: Regenerated with extra_defs_gen.
	* gtk/src/gtk_signals.defs.patch: Updated this patch so it is easier to
	make the manual changes next time.
	* gtk/src/widget.hg: Removed the style_changed signal because the underlying
	style-set signal uses GtkStyle, which is deprecated.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Fix typo

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Remove includes of style.h and rc.h.

	* gtk/src/iconinfo.hg:
	* gtk/src/iconset.ccg:
	* gtk/src/widget.ccg:
	* gtk/src/widget.hg: Removed includes of headers that do not exist now.

2010-12-06  Murray Cumming  <murrayc@murrayc.com>

	Restored the GtkPrintCapabilities enum.

	* gtk/src/gtk_enums.defs: Added the result from unix-print/gtk/, lost when
	regenerating.

	gtkmm now builds again against the latest GTK+ 3 from git master.

2010-12-06  Murray Cumming  <murrayc@murrayc.com>

	Add and use WidgetPath.

	* gtk/gtkmm.h:
	* gtk/src/filelist.am:
	* gtk/src/widgetpath.[hg|ccg]: Added WidgetPath, though not all methods are
	wrapped yet.
	* gtk/src/widget.[hg|ccg]: replace path() with get_path(), which uses
	WidgetPath.
	* tools/m4/convert_gtk.m4: Added necessary conversion.

2010-12-06  Murray Cumming  <murrayc@murrayc.com>

	Improved StyleContext. Removed Style and RcStyle classes.

	* gtk/src/rc.[hg|ccg]
	* gtk/src/style.[hg|ccg]: Removed these files because GtkStyle and GtkRcStyle
	are now deprecated in GTK+ 3.
	* gtk/src/styleprovider.[hg|ccg]: Added this class, used by StyleContext,
	though no methods are wrapped yet.
	* gtk/src/iconset.hg: Remove render_icon(), replacing it with
	render_icon_pixbuf(), which uses StyleContext instead of Style.
	* gtk/src/widget.[hg|ccg]: Removed the modify_*() methods, replacing them
	with override_*() methods, which use StyleContext instead of RcStyle and
	Style.

2010-12-06  Murray Cumming  <murrayc@murrayc.com>

	Added Gtk::StyleContext.

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/enums.hg: Added RegionFlags, JunctionSides and StateFlags.

	* gtk/src/filelist.am:
	* gtk/src/stylecontext.[hg|ccg]: Added StyleContext, though some methods
	are not yet wrapped.
	* tools/m4/convert_gdk.m4:
	* tools/m4/convert_gtk.m4: Added necessary conversions.

2010-12-06  Murray Cumming  <murrayc@murrayc.com>

	Fix the gdkmm build with latest GTK+ 3 from git master.

	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* gdk/src/window.hg: get_geometry(): Remove the depth parameter, to match
	the change in GTK+ 3.

2010-12-05  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gtk_methods.defs.

	* gtk/src/gtk_methods.defs:
	* gtk/src/iconinfo.[hg|ccg]: Remove use of
	gtk_icon_info_load_symbolic_for_style() because it is now deprecated in
	GTK+ 3.
	The build is still broken. We need to wrap GtkStyleContext.

2010-12-05  Murray Cumming  <murrayc@murrayc.com>

	Adapt to the GdkWindowObject -> GdkWindow change in GTK+ 3.

	* gdk/src/window.hg: Remove the extra parameter to _CLASS_GOBJECT(). Maybe
	we can now remove that option from gmmproc.
	* gdk/src/display.ccg:
	* gdk/src/dragcontext.ccg:
	* gtk/src/style.hg: Remove casts to GdkWindowObject*.
	* tools/m4/convert_gdk.m4: Change the conversions.
	This is much nicer.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

	Add Window methods to preserve API from Drawable.

	* gdk/src/window.hg: Aded set_background(RGBA) and renamed
	set_background_pattern() to set_background(Pattern).
	Added set_clip_region() and get_visible_region() and create_cairo_context(),
	which were previously in Drawable.
	* tools/m4/convert_gdk.m4: Added a conversion.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

	gtk-demo: Fix the build for the append_text() to append() change.

	* demos/gtk-demo/example_sizegroup.cc:
	* demos/gtk-demo/example_textview.cc: use append() instead of append_text()
	with Gtk::ComboBoxText.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

	Regenerated some .defs files.

	* gdk/src/gdk_signals.defs: Regenerated with extra_defs/.
	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText: Add append()/prepend()/insert overloads.

	* gtk/src/comboboxtext.hg: Rename append_text(), prepend_text() and
	insert_text() to append(), prepend() and insert(). Add extra overloads that
	also take an id, to wrap the new gtk_combo_box_text_append(),
	gtk_combo_box_text_prepend() and gtk_combo_box_text_insert() functions.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

	Widget: Remove the no_expose_event signal to fix the build.

	* gtk/src/widget.hg: The signal was removed from GTK+.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

	Remove Gdk::Drawable, which is replaced by more use of Gdk::Window.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Remove mention of
	GDK_TYPE_DRAWABLE.
	* gdk/src/drawable.[hg|ccg]: Removed. API generally uses Gdk::Window now
	instead.
	* gdk/src/filelist.am:
	* gdk/gdkmm.h: Removed mentions of drawable.
	* gdk/src/window.[hg|ccg]: This now derives from Glib::Object instead of
	Gdk::Drawable, though it still has a strangely-named typedef.
	* gdk/gdkmm/general.[h|cc]:
	* gdk/src/display.hg:
	* gdk/src/pixbuf.hg: Adapt the includes.

2010-12-02  Murray Cumming  <murrayc@murrayc.com>

	Revert the previous commit's removal of newer ComboBox methods.

	* gtk/src/combobox.hg: Added methods back now that we have a release that
	builds.

2010-12-02  Murray Cumming  <murrayc@murrayc.com>

	2.91.5.1

2010-11-30  Murray Cumming  <murrayc@murrayc.com>

	2.91.5

2010-11-30  Murray Cumming  <murrayc@murrayc.com>

	Added Gtk::Switch, wrapping GtkSwitch.

	* configure.ac: Depend on the latest GTK+.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Mention GTK_TYPE_SWITCH.
	* gtk/src/filelist.am:
	* gtk/src/switch.[hg|ccg]: Added Gtk::Switch, wrapping GtkSwitch.
	* gtk/gtkmm.h: Include it.

2010-11-30  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Add methods.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/gtk_signals.defs: Regenerated partly.
	* gtk/src/combobox.hg: Added get/set_id_column(), get/set_active_id() and
	properties.

2010-11-29  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+ 3.

	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* gdk/src/device.hg: get_n_axes() now returns an int instead of a guint.
	* gdk/src/rgba.[hg|ccg]: gdk_rgba_parse() now has a sensible parameter order,
	so we can now use _WRAP_METHOD() instead of hard-coding it.

2010-11-29  Murray Cumming  <murrayc@murrayc.com>

	Scrollable, ScrolledWindow: Fix Adjustment reference counting.

	* gtk/src/scrollable.hg:get_hadjustment(), get_vadjustment():
	* gtk/src/scrolledwindow.hg: get_hadjustment(), get_vadjustment():
	Use refereturn to fix the reference-counting on these, which was broken
	since we changed Adjustment to be a Glib::Object instead of a Gtk::Object.

2010-11-26  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest GTK+.

	* gtk/gtkmm/targetentry.cc: Destructor: Use const_cast<> so we can
	g_free() our dynamically-allocated GtkTargetEntry::target string.
	The const change in GTK+ does not seem wise:
	https://bugzilla.gnome.org/show_bug.cgi?id=565665#c10

2010-11-26  Murray Cumming  <murrayc@murrayc.com>

	Ruler: Removed because it was removed from GTK+.

	* gtk/src/ruler.[hg|ccg]: Removed.
	* gtk/src/filelist.am:
	* gtk/gtkmm.h: Adapted.

2010-11-22  Murray Cumming  <murrayc@murrayc.com>

	2.91.4

2010-11-10  Murray Cumming  <murrayc@murrayc.com>

	Dialog: get_vbox(): Return a Box instead of a VBox.

	* gtk/src/dialog.hg: We need to rename this to get_content_area()
	anyway.
	We needed to change the return type, because the C function changed
	what it returned. I will fix its documentation.

2010-11-09  Armin Burgmeier  <armin@arbur.net>

	Add missing files to the installer

2010-11-09  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/build-installer.sh: Make sure libintl-8.dll gets
	cleaned up correctly on uninstall.

	* win32_installer/gtkmm-installer.nsi.in: Add the lib\cairomm-1.0
	directory to the installed files.

2010-11-08  Krzesimir Nowak  <qdlacz@gmail.com>

	Fixed warnings in refcount debugging messages.

	* gtk/gtkmm/object.cc:
	* gtk/src/window.ccg: Used %p format parameter to print addresses of GObjects
	and cast 'this' and GObjects to void*.

2010-11-08  Murray Cumming  <murrayc@murrayc.com>

	Add the Grid container widget.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Mention GTK_TYPE_GRID.
	* gtk/src/gtk_signals.defs: Added the generated part for GtkGrid.
	* gtk/src/filelist.am:
	* gtk/src/grid.[hg|ccg]:
	* gtk/gtkmm.h: Added the Grid container widget.

2010-11-08  Murray Cumming  <murrayc@murrayc.com>

	Updated .gitignore

2010-11-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	Style: Fix the clone_vfunc() implementation.

	* gtk/src/style.hg: Modify the clone_vfunc() to take an extra
	reference of the GtkStyle obtained from the base class.  This is so
	that the clone_vfunc_callback() does not lose its last reference after
	it executes.

	Fixes GNOME Bug #633975 (mario).

2010-11-04  Murray Cumming  <murrayc@murrayc.com>

	Widget: Remove the deprecated size-request signal.

	* gtk/src/widget.hg: Do not wrap the size_request signal because it is
	deprecated and will soon be removed.

2010-11-02  Murray Cumming  <murrayc@murrayc.com>

	2.91.3

2010-11-02  Murray Cumming  <murrayc@murrayc.com>

	Fix the make check build.

	* gtk/gtkmm.h: Add a gdkmm/dragcontext.h include that fixes a weird
	compilation problem in the tests (during make check). We need to find out
	what the real problem is.

2010-11-02  Murray Cumming  <murrayc@murrayc.com>

	Removed an extra gtk.h include.

2010-11-02  Murray Cumming  <murrayc@murrayc.com>

	Avoid includes of gtk/gtk.h.

	* gtk/src/activatable.hg:
	* gtk/src/buildable.hg:
	* gtk/src/editable.hg:
	* gtk/src/orientable.hg:
	* gtk/src/printoperationpreview.hg:
	* gtk/src/recentchooser.hg:
	* gtk/src/scrollable.hg:
	* gtk/src/toolshell.hg:
	* gtk/src/treesortable.hg: Add a typedef for the C interface structs instead
	of including gtk/gtk.h.

2010-11-02  Murray Cumming  <murrayc@murrayc.com>

	Fix the build.

	* gdk/src/dragcontext.hg: Include cairomm/surface.h.

2010-11-02  Murray Cumming  <murrayc@murrayc.com>

	Wrapped new API.

	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* gdk/src/gdk_extra.defs: Added gtk_drag_set_icon_surface.
	* gdk/src/dragcontext.hg: Add a conversion for Cairo::Surface.
	Remove get_destination_window() because it was removed from GTK+.

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/assistant.hg: Added next_page() and previous_page().
	* gtk/src/box.hg: Added a public constructor.

	* gtk/src/recentinfo.hg: Added create_app_info().
	* gtk/src/scrollable.hg: Added get/set_h/vscroll_policy() and properties.
	* tools/m4/convert_gtk.m4: Mention ScrollablePolicy.
	* gtk/src/widget.hg: Remove get_snapshot() because it was removed from GTK+.
	Added in_destruction.

2010-11-01  José Alburquerque  <jaalburqu@svn.gnome.org>

	Style: Virtual Functions: Correct reference counting errors.

	* tools/m4/convert_pango.m4: Remove the conversion from `PangoLayout*'
	to `const Glib::RefPtr<Pango::Layout>&' so it doesn't cause reference
	counting errors in the future.
	* gtk/src/style.hg: Put the PangoLayout conversion in this file
	locally for the draw_layout virtual function. Also correct a
	conversion that could cause reference counting errors.

	Fixes GNOME Bug #633689 (mario).

2010-10-26  Murray Cumming  <murrayc@murrayc.com>

	2.91.2

2010-10-26  Murray Cumming  <murrayc@murrayc.com>

	RecentInfo: Add get_gicon(). ComboBoxText: Add remove_all().

	* configure.ac: Depend on latest GTK+.
	* gtk/src/comboboxtext.[hg|ccg]: Remove clear_items(), replacing with
	remove_all().
	* gtk/src/gtk_signals.defs: Regenerated, with the usual many manual edits.
	* gtk/src/recentinfo.hg: Added get_gicon().

2010-10-26  Murray Cumming  <murrayc@murrayc.com>

	AboutDialog, LinkButton: Add activate_link signals.

	* gtk/src/aboutdialog.hg:
	* gtk/src/linkbutton.hg: Add the signals and update the class documentation
	to mention them.

2010-10-26  Murray Cumming  <murrayc@murrayc.com>

	Application: Remove methods that were removed from GtkApplication.

	* gtk/src/application.hg: Remove get_window(), run(), and quit() and
	the window property, because they were removed from GTK+.

2010-10-26  Murray Cumming  <murrayc@murrayc.com>

	Added methods that use RGBA.

	* gtk/src/colorbutton.[hg|ccg]: Added a constructor taking a Gdk::RGBA, and
	get/set_rgba().
	* gtk/src/cellview.hg: Added set_background_rgba().
	* tools/m4/convert_gdk.m4: Added necessary conversion.

2010-10-26  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Display: Added set/unset_device_hooks().

	* gdk/src/pixbufformat.[hg|ccg]: Wrap gdk_display_set_device_hooks().

2010-10-26  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: PixbufFormat: Wrap as a boxed-type.

	* gdk/src/pixbufformat.[hg|ccg]: Wrap this as a boxed-type, now that it is.
	This means we can remove some hand-coded code.
	* gdk/src/pixbug.hg: Move PixbufFormatTraits to pixbufformat.hg.

2010-10-25  Murray Cumming  <murrayc@murrayc.com>

	Add RGBA class and widget methods.(Fixing the build with latest GTK+)

	* gdk/src/rgba.[hg|ccg]: Added the RGBA class, apparently a replacement for
	Gdk::Color.
	* gdk/src/iconinfo.hg: load_icon_symbolic(): Change the parameters from
	Color to RGBA.
	* gdk/src/scrollable.hg: Remove set/get_min_content_width/height().
	* gtk/src/scrollable.hg: Added set/get_min_content_width/height() and
	properties.
	* gtk/src/widget.hg: Added queue_draw_region(), set/get_hexpand(),
	set/get_hexpand_set(), set/get_vexpand(), set/get_vexpand_set(),
	queue_compute_expand(), compute_expand(), shape_combine_region(),
	input_shape_combine_region()

2010-10-22  Murray Cumming  <murrayc@murrayc.com>

	Entry: Added get_text_area() and get_icon_area().

	* gtk/src/entry.[hg|ccg]: Added get_text_area() and get_icon_area().

2010-10-22  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+, adding Scrollable interface.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Mention GTK_TYPE_SCROLLABLE.
	* gtk/src/gtk_signals.defs: Add the generated part for GtkScrollable.
	* gtk/src/filelist.am:
	* gtk/src/scrollable.[hg|ccg]: Added Scrollable interface, wrapping
	GtkScrollable.
	* gtk/src/iconview.hg:
	* gtk/src/layout.hg:
	* gtk/src/textview.hg:
	* gtk/src/toolpallette.hg:
	* gtk/src/treeview.hg:
	* gtk/src/viewport.hg: Derive from, and implement, Scrollable.
	Remove their get/set/unset_h/vadjustment() methods and set_scroll_adjustments
	signals, because they are now in the base Scrollable.
	* gtk/src/scrolledwindow.ccg: add() Use GTK_IS_SCROLLABLE() instead of the
	old hack to check the default signal handler for 0.

2010-10-22  Murray Cumming  <murrayc@murrayc.com>

	progress

2010-10-22  Murray Cumming  <murrayc@murrayc.com>

	Entry: Remove get_text_window() and get_icon_window().

	* gtk/src/entry.hg: Don't wrap theses functions recently removed from GTK+.

2010-10-21  Murray Cumming  <murrayc@murrayc.com>

	Increase version to match (branched) release

2010-10-21  Murray Cumming  <murrayc@murrayc.com>

	Add the 2.91.1.1 NEWS entry, done in a branch

2010-10-21  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Remove the mention of
	GTK_TYPE_COMBO_BOX_ENTRY.

2010-10-20  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK, removing Widget::hide_all().

	* gdk/src/device.hg: get_history(): Change a parameter from guint* to
	int* to match a change in GTK+.
	* gdk/src/gdk_methods.defs: Remove gtk_widget_hide_all().
	* gtk/src/gtk_vfuncs.defs: Remove GtkWidget::hide_all().
	* gtk/src/widget.hg: Remove hide_all(), because it was removed from
	GTK+.

2010-10-19  Murray Cumming  <murrayc@murrayc.com>

	Added missing files

2010-10-19  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+ from git master.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/application.[hg|ccg]: Constructor: Take Gio::ApplicationFlags
	instead of argv and argv.

2010-10-18  Murray Cumming  <murrayc@murrayc.com>

	2.91.1

2010-10-18  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText: Re-implemented with GtkComboBoxText.

	* gtk/gtkmm/comboboxtext.[h|cc]: Removed, replacing with:
	* gtk/src/comboboxtext.[hg|ccg], wrapping the new GtkComboBoxText class.
	As a bonus this means that insert_text() will now work, and we can now
	define this widget and its data items in Glade.
	* gtk/gtkmm.h: Do not include the removed
	comboboxentry.h and comboboxentrytext.h headers.

2010-10-18  Murray Cumming  <murrayc@murrayc.com>

	Added ComboBox::set_popup_fixed_width() and RadioButton::join_group().

	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/combobox.hg: Added get/set_popup_fixed_width().
	* gtk/src/radiobutton.hg: Added join_group().
	* tools/m4/convert_gtk.m4: Added a RadioButton conversion.

2010-10-17  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+.

	* gtk/gtkmm/comboboxtext.cc: Comment out (wrong anyway) use of
	deprecated gtk_combo_box_insert_text().
	* gtk/src/combobox.[hg|ccg]: get_entry_text(): Reimplement without using
	the deprecated gtk_combo_box_get_active_text().
	* gtk/src/main.[hg|ccg]: Remove signal_run() and signal_quit() because they
	used the deprecated gtk_init_add(), gtk_quit_add_full() and g
	gtk_quit_remove() functions.

2010-10-15  Murray Cumming  <murrayc@murrayc.com>

	Depend on latest glibmm version.

	* configure.ac: We need glibmm 2.27.0 for Gio::Application.

2010-10-14  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Added set_entry_text_column(TreeModelColumnBase)

	* gtk/src/combobox.hg: Added set_entry_text_column(TreeModelColumnBase) to
	match the old GtkComboBoxEntry::set_text_column(TreeModelColumnBase).

2010-10-14  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Added get_entry() and get_entry_text().

	* gtk/src/combobox.[hg|ccg]: Added our custom get_entry() method that was
	previously in ComboBoxEntry. It avoids the need to call get_child() and
	dynamic_cast<>. Added get_entry_text(), wrappping get_active_text(), which
	was previously only in ComboBoxEntry.

2010-10-14  Murray Cumming  <murrayc@murrayc.com>

	Move resize_grip methods from Statusbar to Window.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/statusbar.hg: Remove get/set_has_resize_grip().
	* gtk/src/window.hg: Added get/set_has_resize_grip(),
	get_resize_grip_is_visible(), get_resize_grip_area().

2010-10-14  Murray Cumming  <murrayc@murrayc.com>

	Remove ComboBoxEntry and ComboBoxEntryText.

	* gtk/src/comboboxentry.[h|ccg]: Remove this because it has been replaced
	with a has-entry construct-time property.
	* gtk/gtkmm/comboboxentrytext.[h|cc]: Remove this because it derives
	from ComboBoxEntry. People should use ComboBoxText instead.
	* gtk/src/combobox.hg: Changed constructors to add an optional has_entry
	parameter.

2010-10-14  Murray Cumming  <murrayc@murrayc.com>

	Remove WrapBox.

	* gtk/src/filelist.am:
	* gtk/src/wrapbox.[hg|ccg]: Remove WrapBox because GtkWrapBox has moved to
	libegg instead.

2010-10-13  Armin Burgmeier  <armin@arbur.net>

	Update installer scripts for gtkmm 2.22, 64 bit and MSVC 2010

2010-10-13  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/gtkmm-vc100-2_4.props:
	* win32_installer/gtkmm-vc100-d-2_4.props: Add property sheets for
	MSVC 2010.

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops:
	* win32_installer/gtkmm-vc90-2_4.vsprops:
	* win32_installer/gtkmm-vc90-d-2_4.vsprops: Add Win32 to the property
	sheet name so that it can be distinguished from the Win64 variant.

	* win32_installer/gtkmm-installer.nsi.in:
	* win32_installer/install-msvc-module.sh:
	* win32_installer/build-installer.sh: Update installer for gtkmm 2.22,
	64 bit and MSVC 2010.

2010-10-06  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+ from git master.

	* gtk/src/gtk_vfuncs.defs: GtkCellRenderer: Some vfunc parameters are now
	const. This file is hand-written.

2010-10-03  Murray Cumming  <murrayc@murrayc.com>

	Minor fix to NEWS

2010-10-03  Murray Cumming  <murrayc@murrayc.com>

	2.91.0

2010-10-03  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Pixbuf: Fixed the build.

	* gdk/src/pixbuf.ccg: gdk_pixbuf_get_from_window() and
	gdk_pixbuf_get_from_surface() now take less parameters, which we ignored
	before anyway.

2010-10-03  Murray Cumming  <murrayc@murrayc.com>

	Adjustment: Fix the reference counting.

	* gtk/src/adjustment.hg: Use _DERIVES_INITIALLY_UNOWNED() as with
	RecentFilter and FileFilter.

2010-10-03  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Window: Added new methods.

	* gdk/src/window.hg: Added get_visual(), get_screen(), get_display(),
	set_backround_pattern(), get_offscreen_surface(), get_width(), get_height().
	Remove redirect_to_drawable(), remove_redirection, clear(),
	clear_area_a, which were no longer generated anyway because they have been
	removed from GTK+ (and therefore from our .defs).
	* gdk/srd/drawable.hg: Removed get_size(), get_depth(), set_colormap(),
	get_colormap(), get_visual(), get_screen() and get_display() which were
	also removed from GTK+. Presumably the new GdkWindow methods replace them.

2010-10-02  Armin Burgmeier  <armin@arbur.net>

	Add support for MSVC 2010 and 64 bit to MSVC project files

2010-10-02  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/README:
	* MSVC_Net2005/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2005/gdkmm/gdkmm.vcproj:
	* MSVC_Net2005/gendef/gendef.vcproj:
	* MSVC_Net2005/gtkmm.sln:
	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/README:
	* MSVC_Net2008/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2008/gdkmm/gdkmm.vcproj:
	* MSVC_Net2008/gendef/gendef.vcproj:
	* MSVC_Net2008/gtkmm.sln:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj:
	* MSVC_Net2010/README:
	* MSVC_Net2010/demos/gtk-demo/gtk-demo.vcxproj:
	* MSVC_Net2010/demos/gtk-demo/gtk-demo.vcxproj.filters:
	* MSVC_Net2010/filelist.am:
	* MSVC_Net2010/gdkmm/gdkmm.rc.in:
	* MSVC_Net2010/gdkmm/gdkmm.vcxproj:
	* MSVC_Net2010/gdkmm/gdkmm.vcxproj.filters:
	* MSVC_Net2010/gendef/gendef.cc:
	* MSVC_Net2010/gendef/gendef.vcxproj:
	* MSVC_Net2010/gendef/gendef.vcxproj.filters:
	* MSVC_Net2010/gtkmm.sln:
	* MSVC_Net2010/gtkmm/gtkmm.rc.in:
	* MSVC_Net2010/gtkmm/gtkmm.vcxproj:
	* MSVC_Net2010/gtkmm/gtkmm.vcxproj.filters:
	* MSVC_Net2010/README:
	* Makefile.am:
	* configure.ac: Added support for MSVC 2010 and 64 bit.

2010-09-30  Murray Cumming  <murrayc@murrayc.com>

	FileFilter, RecentFilter: Fix the reference counting.

	* gtk/src/filefilter.hg:
	* gtk/src/recentfilter.hg: Ue  _DERIVES_INITIALLY_UNOWNED() because these
	use GInitiallyUnowned though we don't derive from our Gtk::Object.

2010-09-28  Murray Cumming  <murrayc@murrayc.com>

	Use g_object_weak_ref() instead of the destroy signal.

	* gtk/gtkmm/object.[h|cc]: _release_c_instance(): Use g_object_weak_ref()
	instead of connecting to the GtkWidget::destroy signal, which was removed
	from GTK+. We only ever used this for a short time anyway.

2010-09-28  Murray Cumming  <murrayc@murrayc.com>

	Object: Use g_object_run_dispose() as a gtk_object_destroy() replacement.

	* gtk/gtkmm/object.cc: This does the same thing so it should work as well.
	Matthias Clasen and Owen Taylor suggested it.

2010-09-28  Murray Cumming  <murrayc@murrayc.com>

	Fix the build of the demos (and they even run).

	* gtk/src/gtk_signals.defs: Regenerated.
	* gtk/src/widget.hg: Added get_allocated_width()/height().
	* gtk/src/container.hg: Comment out propagate_expose() because of GTK+
	bug #630800.
	* demos/gtk-demo/example_drawingarea.cc:
	* demos/gtk-demo/example_pixbufs.cc:
	* demos/pixbuf-demo.cc: Change the expose_event handlers to
	draw handlers.

2010-09-28  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest GTK+ from git master.

	* gtk/gtkmm/private/object_p.h: Add this back for now, to avoid making
	more changes to the Gtk::Object code.
	* gtk/gtkmm/object.[h|cc]: Comment out the code that uses
	gtk_object_destroy(), adding TODO comments. If we don't find a way to
	do this in GTK+ 3 then we may need to remove our Gtk::Object and require
	Gtk::CellRenderer and Gtk::TreeViewColumn to be used via RefPtr.

	* gtk/src/filechooser.hg: Fix Filter->FileFilter typos.
	* gtk/src/recentchooser.hg: Use RecentFilter via RefPtr.

	* gtk/src/ruler.hg: Add a Cairo::Context parameter to the vfuncs.
	* gtk/src/widget.hg: Remove input_shape_combine_mask() and
	shape_combine_mask(). Correct some vfunc parameters.
	* gtk/src/gtk_vfuncs.defs:
	* tools/m4/convert_gtk.m4: Make necessary corrections.

	* gtk/src/image.hg: Remove get_pixmap() because Gdk::Pixmap is gone.
	* gtk/src/scale.hg: Remove set/get_bg_pixmap().

	* gtk/src/scale.ccg, scrollbar.ccg: Fix typos.
	* gtk/src/viewport.hg, scrolledwindow.hg: Remove duplicate method
	declarations.

2010-09-27  Murray Cumming  <murrayc@murrayc.com>

	Remove noise from Object .h/.cc

2010-09-27  Murray Cumming  <murrayc@murrayc.com>

	Partly fixed the build with latest GTK+.

	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.

	* gdk/src/bitmap.[hg|ccg]:
	* gdk/src/colormap.[hg|ccg]:
	* gdk/src/pixmap.[hg|ccg]: Removed, because these were removed from GTK+.

	* gtk/src/cellsizerequest.[hg|ccg]:
	* gtk/src/sizerequest.[hg|ccg]: Remove because these were removed from GTK+.
	* gtk/src/widget.hg: Move the functions here instead, adding _preferred_
	in the middle.

	* gtk/src/cellsizerequest.hg:
	* gtk/src/object.[hg|ccg]: Remove this, because GtkObject was removed from
	GTK+. However, add a modified version of the generated code to:
	* gtk/gtkmm/object.[h|cc]: so we can preserve the different lifetime behaviour.

	* Other files: Adapted. For instance, FileFilter and Adjustment must now
	be used via RefPtr.

2010-09-26  Armin Burgmeier  <armin@arbur.net>

	Update the MSVC project files for the atkmm split

2010-09-26  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2005/gtkmm.sln:
	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2008/gtkmm.sln:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj: Update for the atkmm split.

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	Fix the build against GTK+ git maste.r

	* gtk/src/gtk_signals.defs: Regenerated the GtkWrapBox part.
	* gtk/src/wrapbox.hg: Change the constructor, because gtk_wrap_box_new()
	now has different parameters.

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	Partly ix the build against GTK+ git master.

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/notebook.[hg|ccg]: Removed get/set_group(), replacing them with
	get/set_group_name().
	* gtk/src/progressbar.hg: Removed the orientation property, which is now
	in the Orientable base class.
	* gtk/src/gtk_extra_objects.defs: Added GtkEditable to help the documentation
	parser.

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: SeparatorToolItem: Added get/set_draw().

	* gtk/src/separatortoolitem.hg: Added get/set_draw().

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: MenuBar: Added remaining methods.

	* gtk/src/menubar.hg: Added set/get_pack_direction(),
	set/ get_child_pack_direction
	* tools/m4/convert_gtk.m4: Added guint32&->guint32* conversion.

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	Adapt to gtk_menu_popup_for_device() API change.

	* gtk/src/menu.ccg: popup(): Copy the slot and delete it in the new destroy
	callback.

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added remaining missing properties.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkTreeModelSort.
	* gtk/src/gtk_signals.defs: Added the new section for this object.
	* gtk/src/scalebutton.hg: Added icons property.
	* gtk/src/scrolledwindow.hg: Added window_placement_set property.
	* gtk/src/separatortoolitem.hg: Added draw property.
	* gtk/src/statusicon.hg: Added tooltips, icon-size and icon-size-set
	properties.
	* gtk/src/toolbutton.hg: Added icon_name property.
	* gtk/src/treemodelfilter.hg: Added child_model and virtual_root properties.
	* gtk/src/treemodelsort.hg: Added model property.
	* gtk/src/treeview.hg: Added tooltip-column property.
	* gtk/src/treeviewcolumn.hg: Added resizable, spacing and sort-column-id
	properties.
	* gtk/src/widget.hg: Added is_focus and double_buffered properties.
	* gtk/src/window.hg: Added type, startup_id and opacity properties.

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added yet more missing properties.

	* gtk/src/menubar.hg: Added pack_direction and child_pack_direction
	properties, with a new PackDirection enum.
	* gtk/src/notebook.hg: Added group_id and group properties.
	* gtk/src/printer.hg: Added paused and accepting_jobs properties.
	* gtk/src/printjob.hg: Added track_print_status property.
	* gtk/src/printoperation.hg: Added track_print_status property.
	* gtk/src/progressbar.hg: Added adjustment, bar_stye, activity_step,
	activity_blocks and discrete_blocks properties.
	* gtk/src/ruler.hg: Added metric property.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	Notebook: Fix gmmproc warnings and non-existant properties.

	* gtk/src/notebook.hg: Do not try to wrap properties that were remove from
	GTK+.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added missing properties.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkComboBoxEntry and
	GtkColorSelectionDialog.
	* gtk/src/gtk_signals.defs: Added the new sections for these widgets.
	* gtk/src/colorselection.hg: Added color_selection, ok_button, cancel_button,
	and help_button properties.
	* gtk/src/combobox.hg: Added popup_shown and button_sensitivity properties.
	* gtk/src/comboboxentry.hg: Added text_column property.
	* gtk/src/entry.hg: Added inner_borde, primary_icon_tooltip_text,
	secondary_icon_tooltip_text", primary_icon_tooltip_markup" and
	secondary_icon_tooltip_markup properties.
	* gtk/src/filechooserbutton.hg: Added dialog property.
	* gtk/src/handlebox.hg: Added snap_edge_set and child_detached properties.
	* gtk/src/image.hg: Added pixel-size and icon-name properties.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	Fix a merge conflict error.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added some more missing properties.

	* gtk/src/cellrenderer.hg: Added editing property.
	* gtk/src/cellrendereraccel.hg: Added accel-mode property.
	* gtk/src/cellrenderertoggle.hg: Added inconsistent property.
	* gtk/src/progressbar.hg: Moved the ProgressBarOrientation enum to enums.hg.
	* gtk/src/cellrendererprogress.hg: Added orientation property.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	CellEditable: Added editing_canceled property.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkCellEditable.
	* gtk/src/gtk_signals.defs: Added the GtkCellEditable entries.
	* gtk/src/gtk_other.defs: Remove entries that are no longer needed,
	because they are now in gtk_signals.defs or gtk_methods.defs
	* gtk/src/gtk_methods.defs: Hand-edit some GtkAboutDialog entries to correct
	the constness of some return types.
	* gtk/src/celleditable.hg: Added editing_canceled property.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added some missing properties.

	* gtk/src/accelgroup.hg: Added is_locked and modifier_mask properties.
	* gtk/src/actiongroup.hg: Added name, sensitive and visible properties.
	* gtk/src/adjustment.hg: Added value, lower, upper, step-increment,
	page-increment and page-size properties.
	* gtk/src/builder.hg: Added translation-domain property.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Screen: Added signals and properties.

	* gdk/src/gdk_signals.defs: Regenerated by taking the part of the
	extra_defs_gen output for GDK.
	* gdk/src/screen.hg: Added composited_changed() and monitors_changed()
	signals, but with no default signal handlers, to avoid breaking ABI.
	Added font-options and resolution properties.

2010-09-22  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with GTK+ from git master.

	* gtk/src/aboutdialog.[hg|ccg]:
	* gtk/src/linkbutton.[hg|ccg]: Remove the set/unset_*_link/url() methods,
	because they are now deprecated in GTK+.
	* gtk/src/wrapbox.hg: Change set/get_spreading() to
	set/get_horizontal/vertical_spreading(), as in the C API.

2010-09-22  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Window: Add default values to shape_combine_*().

	* gdk/src/window.hg: shape_combine_mask(), shape_combine_region():
	* gtk/src/widget.hg: shape_combine_mask(): Add default values.

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	CellRenderer: Derive from CellSizeRequest instead of SizeRequest.

	* gtk/src/filelist.am:
	* gtk/src/requisition.[hg|ccg]: Moved the simple Requisition typedef here
	from sizerequest.hg. We should wrap this properly, however.
	* gtk/src/sizerequest.[hg|ccg]: Include it.
	* gtk/src/cellsizerequest.[hg|ccg]: Added CellSizeRequest, like SizeRequest
	but for CellRenderer.
	* gtk/src/cellrenderer.hg: Derive from CellSizeRequest instead of
	SizeRequest.

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	CellRenderer: Derive from SizeRequest.

	* gtk/src/cellrenderer.hg: The previous commit now makes sense.

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	CellRenderer: Remove the (deprecated in GTK+) get_size() method.

	* gtk/src/cellrenderer.[hg|ccg]: Remove get_size().

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	Fix some gmmproc warnings, adding some TextBuffer methods.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added interfaces because
	this now supports them.
	* gtk/src/gtk_signals.defs: Regenerated.
	* gtk/src/gtk_other.defs: Remove declarations that are now in
	the regular gtk_signals.defs.
	* gtk/src/gtk_extra_objects.defs: Added GtkPrintOperation for the docs.
	* gtk/src/entry.hg: Ignore the preedit-changed signal because it is
	for keybindings.
	* gtk/src/filechooser.hg: Remove the mention of the folder-mode property,
	which apparently never existed.
	* gtk/src/infobar.hg: Ignore the close signal because it is for keybindings.
	* gtk/src/textbuffer.hg: Added get_copy_target_list() and
	get_paste_target_list().
	* gtk/src/toolitem.hg: Ignore the deprecated set_tooltip signal.
	* gtk/src/toolpalette.hg: Ignore the set_scroll_adjustments signal because
	it seems to be internal.
	* gtk/src/treepath.hg: Ignore gtk_tree_path_get_indices_with_depth()
	because we don't need it.

2010-09-18  Murray Cumming  <murrayc@murrayc.com>

	Editable: Use the renamed GtkEditable interface struct.

	* gtk/src/editable.hg:

2010-09-16  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Widget: Add back size_allocate().

	* gtk/src/widget.hg: Revert the recent removal of
	size_allocate(), because it is not actually deprecated in GTK+ 3.

2010-09-16  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Widget: Rename x/y_align to x/yalign, as in GTK+.

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/widget.hg: Match the change in the GTK+ API.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: SizeRequest: get_size(): Make this const.

	* gtk/src/sizerequest.hg: get_size(): Make this const.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Add some more methods, wrapping new GTK+ API.

	* gdk/src/display.hg: Added is_closed().
	* gdk/src/dragcontext.hg: Added get/set_device().
	* gdk/src/visual.hg: A a missing include to fix the previous commit.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Visual: Wrapped remaining methods.

	* gdk/src/visual.hg: Added get_visual_type(), get_depth(), get_byte_order(),
	get_colormap_size(), get_bits_per_rgb(), get_red_pixel_details(),
	get_green_pixel_details(), get_blue_pixel_details().
	* tools/m4/convert_gdk.m4: Added guint32& -> guint32* conversion.
	* gdk/src/colormap.hg: Remove query_color(), removed from GTK+.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	Display: Fix build error in get_protocol_for_disply().

	* gdk/src/display.[hg|ccg]: get_protocol_for_display(): Remove the ifdef
	around this, because this remaining version is not win32-only. Remove the
	implementation for the win32-only version with no remaining declaration.
	Remove the win32-only version of selection_send_notify() because it too
	existed only to maintain ABI in gtkmm 2.4.

2010-09-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>

	Fix a typo that shows in windows build

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	Demos: Adapt to ALIGN_* rename.

	* demos/gtk-demo/example_colorsel.cc:
	* demos/gtk-demo/example_sizegroup.cc:
	* demos/gtk-demo/example_stockbrowser.cc: Fix the build.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	WrapBox: Adapt to C API change.

	* gtk/src/wrapbox.[hg|ccg]: insert_child(): Remove the padding parameters
	(now in Widget instead) to fix the build.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	Widget: Added align and margin methods and properties.

	* gtk/src/enums.[hg|ccg]: Added Align enum, wrapping GtkAlign, removing
	our own AlignmentEnum.
	* tools/m4/convert_gtk.m4: Added conversions for the new Align enum.
	* gtk/src/alignment.hg:
	* gtk/src/aspectframe.hg:
	* gtk/src/bin.ccg:
	* gtk/src/bin.hg:
	* gtk/src/entry.hg:
	* gtk/src/frame.hg:
	* gtk/src/label.ccg:
	* gtk/src/label.hg:
	* gtk/src/misc.hg:
	* gtk/src/treeviewcolumn.hg: Use Align instad of AlignmentEnum,
	and ALIGN_START/END instad of ALIGN_LEFT/TOP and ALIGN_RIGHT/BOTTOM.

	* gtk/src/widget.hg: Added get_h_align(), set_h_align(),
	get_v_align(), set_v_align(),
	get_margin_left(), set_margin_left(),
	get_margin_right(), set_margin_right(,
	get_margin_top(), set_margin_top(),
	get_margin_bottom(), set_margin_bottom(). And properties.

	Also remove deprecated size_request(), size_allocate() and
	get_child_requisition() to fix the build.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	Fix typo.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	Regenerate defs and make minor changes.

	* gtk/src/gtk_enums.defs:
	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/cellview.hg: Remove (deprecated) get_size_of_row().
	* gtk/src/spinner.hg: Inherit from Widget instead of DrawingWindow, as now
	in the C API.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	2.90.7

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	demos: Fix the build.

	* demos/pixbuf-demo.cc:
	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/example_drawingarea.cc:
	* demos/gtk-demo/example_menus.cc:
	* demos/gtk-demo/example_pixbufs.cc:
	* demos/gtk-demo/example_textview.cc: Adapt to use cairomm instead of
	gdkmm draw_*() and Gdk::GC.
	Remove use of Dialog::set_has_separator().
	Replace use of MenuHelpers.

	* gdk/gdkmm/general.h: set_source_pixmap(): Add default parameter values
	for pixmap_x and pixmap_y.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	Corrected ChangeLog for previous commit

2010-09-14  Murray Cumming  <murrayc@murrayc.com>

	Dealt with some TODOs.

	* gtk/src/menuitem.[hg|ccg]: Added unset_submenu().
	* gtk/src/papersize.[hg|ccg]: Added get_paper_sizes().
	* gtk/src/printoperation.[hg|ccg]: Added run_page_setup_dialog() overloads
	with no PageSetup parameter, because the C API allows this.
	These must be moved into the class in gtkmm 3.
	* gtk/src/style.hg: Added copy().

	* gtk/src/iconset.hg: Added class documentation based on the C documentation.
	* gtk/src/printsettings.hg: Add the exceptions documentation now that
	it is in the C documentation.
	* gtk/src/statusbar.hg: Added documentation for push() and remove_message().

2010-09-14  Murray Cumming  <murrayc@murrayc.com>

	Updated NEWS for release soon.

2010-09-09  Murray Cumming  <murrayc@murrayc.com>

	Use GDK_KEY_VoidSymbol instead of GDK_VoidSymbol to fix the build.

	* gtk/gtkmm/accelkey.cc:
	* gtk/gtkmm/accelmap.cc: Replace use of GDK_VoidSymbol with
	GDK_KEY_VoidSymbol, because it has changed in GTK+.

2010-09-09  Murray Cumming  <murrayc@murrayc.com>

	Remove Item because it was removed from GTK+.

	* gtk/src/item.[hg|ccg]: Remove.
	* gtk/src/filelist.am: Remove mention of item.hg.
	* gtk/gtkmm.h: Remove mention of item.h.
	* gtk/src/menuitem.[hg|ccg]: Derive from Bin instead of Item, as now in
	GTK+.

2010-09-06  Murray Cumming  <murrayc@murrayc.com>

	RadioAction: Added join_group().

	* gtk/src/radioaction.hg: Wrapped gtk_radio_action_join_group(), which
	avoids the need to ever see a *Group object.

2010-09-06  Murray Cumming  <murrayc@murrayc.com>

	IconInfo: Fix the build.

	* gtk/src/iconinfo.[hg|ccg]: Correct silly mistakes.

2010-09-06  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Remove the AnchorType enum

	* gtk/src/enums.hg: Remove AnchorType enum, not used by anything in gtkmm,
	because GtkAnchorType has been removed from GTK+.
	* tool/m4/convert_gtk.m4: Also remove mention of GtkVisibility, which
	was also removed.

2010-09-06  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Dialog: Remove use_separator parameters.

	* gtk/src/dialog.[hg|ccg]: Constructors: Remove the use_separator parameters
	that are already not used since the earlier commit.

2010-09-06  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: CellView: Add natural-size methods.

	* gtk/src/cellview.hg: Added get_desired_width_of_row() and
	get_desired_height_for_width_of_row().
	* gtk/src/filechooserbutton.hg: Remove the constructor that lets us set
	the backend, because the C function was removed. This was already not
	generated because it is no longer in the .defs, so this just avoids the
	gmmproc warning.

2010-09-04  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: IconInfo, ProgressBar: Added new methods.

	* gtk/src/iconinfo.[hg|ccg]: Added load_icon_symbolic().
	* gtk/src/progressbar.hg: Added get/set_inverted() and get/set_show_text().

2010-09-04  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Window: Added new methods.

	* gdk/src/window.[hg|ccg]: Added set_device_cursor(), get_device_position(),
	get_device_events(), set_device_events(), get_support_multidevice(),
	set_support_multidevice().
	* tools/m4/convert_gdk.m4: Added necessary conversion.

2010-09-04  Murray Cumming  <murrayc@murrayc.com>

	AboutDialog: Added get/set_license_type().

	* gtk/src/aboutdialog.hg: Added License enum and get/set_license_type().
	* tools/m4/convert_gtk.m4: Added conversion for the License enum.
	* gtk/src/calendar.hg: Addef get_day_is_marked().

2010-09-04  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Fix the function .defs again, fixing the build.

	* gtk/src/gtk_methods.defs:
	* gtk/src/statusicon.hg: Remove gtk_icon_get/set_blinking(), fixing the build.

2010-09-04  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Regenerated function .defs, fixing the build with latest GTK+.

	* gtk/src/gtk_methods.defs: Regenerate with h2defs.py.
	* gtk/src/dialog.hg: Remove get/set_has_separator() and property, because
	it was removed from GTK+.

2010-09-04  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Fix typos to really avoid documentation warnings.

	* gtk/src/gtk_extra_objects.defs: Add a missing quote and add some other
	definitions.

2010-09-03  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Avoid most Documentation warnings from gmmproc.

	* gtk/src/filelist.am:
	* gtk/src/gdk.defs:
	* gtk/src/gdk_extra_objects.defs: Added this *extra_objects.defs file,
	with hand-coded define-object sections, for objects that hide their *Class
	or *Iface struct declarations, which stops h2defs.py from generating
	define-object sections.
	These allows DocsParser.pm to know how to split mentions of C functions into
	the object and the method, so it can guess the C++ method name to mention
	instead.

2010-09-03  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Avoid most Documentation warnings from gmmproc.

	* gdk/src/filelist.am:
	* gdk/src/gdk.defs:
	* gdk/src/gdk_extra_objects.defs: Added this *extra_objects.defs file,
	with hand-coded define-object sections, for objects that hide their *Class
	or *Iface struct declarations, which stops h2defs.py from generating
	define-object sections.
	These allows DocsParser.pm to know how to split mentions of C functions into
	the object and the method, so it can guess the C++ method name to mention
	instead.

2010-09-02  Murray Cumming  <murrayc@murrayc.com>

	Configure: Avoid using deprecated cairomm API.

	* configure.ac: Add CAIROMM to the MM_ARG_ENABLE_WARNINGS() deprecations list.

2010-09-02  Murray Cumming  <murrayc@murrayc.com>

	Wrap some new functions.

	* gtk/src/application.hg: Added create_window().
	* gtk/src/messagedialog.hg: Remove the buttons property because it is
	write-only and construct.
	Added get_message_area().
	* gtk/src/treepath.[hg|ccg]: Ignore gtk_tree_path_get_indices_with_depth() too.
	* gtk/src/widget.hg: Add device_is_shadowed(), set_device_events(),
	add_device_events(), set/get_support_multidevice(), get_device_event().

2010-09-02  Murray Cumming  <murrayc@murrayc.com>

	Fix build with latest GTK+.

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/iconview.hg: Rename get/set_orientation() (and property) to
	get/set_item_orientation().
	* gtk/src/progressbar.hg: Remove get/set_orientation(), deriving (and
	implementing) from Orientable instead.
	* gtk/src/wrapbox.[hg|ccg]: Adapted to minor API changes in GtkWrapBox.
	* tools/m4/convert_gtk.m4: Mention the new enum.

2010-09-02  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Pixbuf: Add constructor (and create) that takes a Cairo::Surface.

	* gdk/src/pixbuf.hg: Wrap gdk_pixbuf_get_from_surface() as a constructor
	and add a create() method for it.
	* tools/m4/convert_gdk.m4: Add necessary conversion.

2010-09-01  Murray Cumming  <murrayc@murrayc.com>

	Regenerated GTK+ XML for documetntation.

	* gtk/src/gtk_docs.xml: Regenerated with docextract_to_xml.py.

2010-09-01  Murray Cumming  <murrayc@murrayc.com>

	Added SizeRequest.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added SizeRequest, though it
	has not properties or signals so there was no change to the .defs.
	* gtk/src/filelist.am:
	* gtk/src/sizerequest.[hg|ccg]: Added the SizeRequest interface.
	* gtk/src/widget.hg: Inherit from, and implement, SizeRequest.
	* tools/m4/convert_gtk.m4: Add an enum.

2010-09-01  Murray Cumming  <murrayc@murrayc.com>

	gtkmm.h: Remove incorrect include.

	* gtk/gtkmm.h: REmove an include of the removed menu_elems.h header.

2010-08-31  Murray Cumming  <murrayc@murrayc.com>

	drawable.h: Don't include rgbcmap.h.

	* gdk/src/drawable.hg: Remove an include of the removed rgbcmap.h header.

2010-08-31  Murray Cumming  <murrayc@murrayc.com>

	Added WrapBox.

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/buttonbox.hg: Adapted to the removal of the
	BUTTONBOX_DEFAULT_STYLE enum value from GTK+.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkWrapBox.
	* gtk/src/gtk_signals.defs: Added parts for GtkWrapBox.
	* tools/m4/convert_gtk.m4: Added the GtkWrapBox enums.
	* gtk/src/filelist.am:
	* gtk/src/wrapbox.[hg|ccg]: Added WrapBox.

2010-08-30  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added new methods wrapping new C functions.

	* gtk/src/expander.hg: Added get/set_label_fill() and property.
	* gtk/src/notebook.hg: Added get_tab_hborder() and get_tab_vborder().
	* gtk/src/printunixdialog.hg: Added get_manual_capabilities().
	* gtk/src/statusbar.hg: Rename remove_all() to remove_all_messages().
	* gtk/src/table.hg: Added get_size().
	* gtk/src/viewport.hg: Added get_view_window().
	* gtk/src/widget.hg: Added send_focus_change().

2010-08-30  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Window: Wrap new C functions.

	* gdk/src/window.hg: Added get_composited(), is_input_only(), is_shaped(),
	has_native(), get_modal_hint(), get_background_pattern(),
	coords_to_parent(), coords_from_parent(),
	get_effective_parent(), get_effective_toplevel(), create_similar_surface(),
	get_accept_focus(), get_focus_on_map().

2010-08-30  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest gtk+.

	* gdk/src/bitmap.[hg|ccg]: Remove the constructors, because they use
	functions removed from GTK+. This whole class will be removed soon, when
	it is removed from GTK+ soon.
	* gdk/src/pixmap.[hg|ccg]: Remove some constructors, because they use
	functions removed from GTK+. This whole class may be removed soon, if
	it is removed from GTK+ soon.
	* gdk/src/color.[hg|ccg]: rgb_find_color(): Remove this because it was
	removed from GTK+.
	* gdk/src/drawable.[hg|ccg]: Removed draw_pixbuf().
	* gdk/gdkmm/rgb.[h|cc]:
	* gdk/src/rgbcmap.[hg|ccg]: Removed because these APIs were removed from
	GTK+.
	* gtk/src/image.[hg|ccg]: Removed get_image() and set(Gdk::Image) because
	they were removed from GTK+.
	* gtk/src/style.[hg|ccg]: Remove get*_gc() because the struct fields were
	removed from GTK+. Likewise removed paint_polygon().

2010-08-29  Murray Cumming  <murrayc@murrayc.com>

	Device: const correction.

	* gdk/src/device.hg: get_key(): Make this const.

2010-08-29  Murray Cumming  <murrayc@murrayc.com>

	Partially fix the build after large GDK changes in GTK+.

	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Removed GDK_TYPE_GC and
	GDK_TYPE_IMAGE because they were removed from GTK+.
	* gdk/src/filelist.am:
	* gdk/src/gc.[hg|ccg]:
	* gdk/src/image.[hg|ccg]:Likewise, remove these.
	* gdk/gdkmm.h:
	* gdk/src/style.hg: Remove includes of gc.h.
	* gdk/src/drawable.[hg|ccg]: Removed draw_*() methods that were removed from GTK+.
	* gdk/src/pixbuf.[hg|ccg]: Remove constructors and create*() methods that

2010-08-06  Murray Cumming  <murrayc@murrayc.com>

	DeviceManager: Fixed a typo to avoid duplicate GType registration.

	* gdk/src/devicemanager.hg: Don't derive from the GdkDevice type. Use
	GdkDeviceManager instead.

2010-08-04  Armin Burgmeier  <armin@arbur.net>

	Add missing include paths to MSVC property sheets

2010-08-04  Armin Burgmeier  <armin@arbur.net>

	Add missing include paths to MSVC property sheets.

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops:
	* win32_installer/gtkmm-vc90-2_4.vsprops:
	* win32_installer/gtkmm-vc90-d-2_4.vsprops: Add lib/pangomm-1.4/include
	and include/freetype2 to inculde paths.

	* win32_installer/install-msvc-module: Update for gtkmm 2.20.3.

2010-08-04  Armin Burgmeier  <armin@arbur.net>

	Fix using stock items with MSVC

2010-08-04  Armin Burgmeier  <armin@arbur.net>

	Fixed using stock items with MSVC. Bug #625489.

	* gtk/gtkmmconfig.h.in: Make sure we define GTKMM_API to
	__declspec(dllimport) also with MSVC when building gtkmm.

2010-08-03  Murray Cumming  <murrayc@murrayc.com>

	Updated NEWS. Waiting for a GTK+ release.

2010-08-02  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Regenerated gdk-pixbuf defs from master. No significant changes.

	* gdk/src/gdk_pixbuf_methods.defs: Regenerated with h2defs.py.

2010-08-02  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Wrapped new Device and Display methods.

	* gdk/src/cursor.hg: Added get_cursor_type().
	* gdk/src/device.[hg|ccg]: Added get_key(), get_axis_use(), get_n_axes(),
	get_axis_value(), get_display(), get_associated_device(), get_device_type(),
	grab(), ungrab().
	* gdk/src/display[hg|ccg]: Added device_is_grabbed(), get_device_state(),
	get_window_at_device_position(), warp_device(), set_device_hooks(),
	get_device_manager()
	* gdk/src/filelist.am:
	* gdk/src/devicemanager.[hg|ccg]: New files, adding DeviceManager.
	* gdk/src/gdk_methods.defs:
	* gdk/src/gdk_pixbuf_methods.defs: Regenerated with h2defs.py
	* tools/m4/convert_gdk.m4: Added DeviceManager conversions.
	* gtk/src/widget.hg: Added const version of get_accessible().

2010-07-30  Murray Cumming  <murrayc@murrayc.com>

	Application: Added get_windows() and create() without argc and argv.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/application.[hg|ccg]: Added get_windows.
	Added a create() overload without the argc and argv parameters, because
	they may be NULL.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkApplication.

2010-07-30  Murray Cumming  <murrayc@murrayc.com>

	Added Gtk::Application.

	* gtk/src/filelist.am:
	* gtk/src/application.[hg|ccg]: Added the beginnings of Gtk::Application,
	wrapping GtkApplication, using Gio::Application that I just added in glibmm.
	* gtk/gtkmm.h: Include the new header.

2010-07-27  Murray Cumming  <murrayc@murrayc.com>

	MenuShell: Remove items().

	* gtk/gtkmm/menu_elems.[h|cc]: Remove these files.
	* gtk/src/menushell.[hg|ccg]: Remove the items() method and the list type and
	helper classes that it uses, because GtkMenuShell::items is GSEALed.

2010-07-15  Murray Cumming  <murrayc@murrayc.com>

	Remove RecentManager::get/set_limit() and the property.

	* gtk/src/gtk_methods.defs:
	* gtk/src/gtk_signals.defs:
	* gtk/src/recentmanager.hg: Remove this API that wrapped the API recently
	removed from GTK+.

2010-07-14  Murray Cumming  <murrayc@murrayc.com>

	Removed Notebook::pages() and Table::children().

	* gtk/src/gtk_signals.defs: GtkNotebook: Change the parameter for the
	switch_page signal.
	* gtk/src/notebook.[hg|ccg]: Remove the pages() method, PageList and
	PageList::iterator.
	* gtk/src/table.[hg|ccg]: Remove the children() method and Child.

	This is unavoidable now that the C struct fields are no longer available.
	To bring this API back someone would need to add iterating API to
	GtkNotebook and GtkTable.

2010-07-14  Murray Cumming  <murrayc@murrayc.com>

	2.90.5

2010-07-14  Murray Cumming  <murrayc@murrayc.com>

	DragContext: Added get_source_window() and get_selected_action().

	* gdk/src/dragcontext.hg: Added get_source_window() and get_selected_action()

2010-07-06  Murray Cumming  <murrayc@murrayc.com>

	Added copyright headers. Patch from Kalev Lember.

	* tools/m4/convert.m4:
	* tools/m4/convert_atk.m4:
	* tools/m4/convert_gdk.m4:
	* tools/m4/convert_gtk.m4:
	* tools/m4/convert_gtkmm.m4:
	* tools/m4/convert_pango.m4:
	* tools/m4/filelist.am: Added LGPL2.1+ headers, like the other files.

2010-07-06  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+, using Cairo::Region.

	* gdk/src/gdk_methods.defs:
	* gdk/src/gdk_pixbuf_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated

	* gdk/src/filelist.am:
	* gdk/src/region.[hg|ccg]: Removed Region, because GdkRegion was removed
	from GDK.

	* gdk/gdkmm/general.[h|cc]:
	* gdk/src/drawable.hg
	* gdk/src/gc.hg
	* gdk/src/window.hg
	* gtk/src/widget.hg
	* tools/m4/convert_gdk.m4: Adapted, replacing use of GdkRegion with
	Cairo::RefPtr<Cairo::Region>, adding const and non-const overloads
	where appropriate.

	This requires cairomm from git master, for Cairo::Region.

2010-06-29  Murray Cumming  <murrayc@murrayc.com>

	2.90.4

2010-06-29  Murray Cumming  <murrayc@murrayc.com>

	Added Button and Table methods.

	* gtk/src/gtk_docs.xml: Regenerated with docextract_to_xml.py.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/button.hg: Added get_event_window().
	* gtk/src/table.hg: Added get_size().

2010-06-28  Murray Cumming  <murrayc@murrayc.com>

	PrintOperation: const and refcount fixes.

	* gtk/src/printoperation.hg: get_default_page_setup(),
	get_print_settings(): Use refreturn, fixing bug #622957 (Kjell Ahlstedt)
	and also make sure there are const and non-const methods.

2010-06-24  Murray Cumming  <murrayc@murrayc.com>

	2.90.3.1

2010-06-24  Murray Cumming  <murrayc@murrayc.com>

	Added some StatusBar and TextView methods.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/statusbar.hg: Added remove_all().
	* gtk/src/textview.hg: Added get_hadjustment(), get_vadjustment(),
	im_context_filter_keypress(), and reset_im_context().

	These were added in GTK+ 2.22.

2010-06-23  Murray Cumming  <murrayc@murrayc.com>

	Correct that atkmm dependency version.

	* configure.ac: Correct the required version of atkmm, because I
	corrected it in atkmm.

2010-06-23  Murray Cumming  <murrayc@murrayc.com>

	Manually fix a .defs file to avoid a gmmproc warning.

	* gdk/src/gdk_methods.defs: Fix a broken function-pointer parameter.

2010-06-23  Daniel Elstner  <danielk@openismus.com>

	Split off atkmm into its own separate module

	* atk/, MSVC_Net200[58]/atkmm/: Delete atkmm subdirectories.
	* configure.ac: Remove module definition of atkmm-1.6.  Adjust the
	pkg-config dependencies to pull in an installed atkmm.
	* **/Makefile.am: Remove references to atkmm from the build rules.
	* docs/reference/Doxyfile.in: Remove references to in-tree atkmm.
	* gtk/{gtkmm,gtkmm-uninstalled}.pc.in: Remove atkmm substitutions.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Remove code to output
	definitions for ATK types.

2010-06-21  Chris Kühl  <chrisk@openismus.com>

	Removed InputCondition and regenerated *.defs files

	* gdk/src/gdk_enums.defs: Regenerated
	* gdk/src/gdk_methods.defs: Regenerated
	* gdk/src/types.hg: Removed InputCondition

2010-06-18  Murray Cumming  <murrayc@murrayc.com>

	2.90.3

2010-06-18  Murray Cumming  <murrayc@murrayc.com>

	Menu: Fix the build.

	* gtk/src/menu.ccg: Fix typos in one of my previous commits.

2010-06-16  Murray Cumming  <murrayc@murrayc.com>

	Entry: Added im_context_filter_keypress().

	* gtk/src/entry.hg: Added im_context_filter_keypress(), new in gtk+ 2.22.

2010-06-16  Murray Cumming  <murrayc@murrayc.com>

	Menu::popup and ComboBox::popup(): Add optional device parameter.

	* gtk/src/combobox.hg: popup_for_device(): Rename to popup(). The extra
	parameter is enough.
	* gtk/src/menu.[hg|ccg]: popup(): Add an extra optional Device parameter to
	all 3 method overloads, using the new gtk_menu_popup_for_device() function
	when appropriate.

2010-06-16  Murray Cumming  <murrayc@murrayc.com>

	Added Assistant::commit() and Entry::reset_im_context().

	* gtk/src/assistant.hg: Added commit(), new in gtk+ 2.22.
	* gtk/src/entry.hg: Added reset_im_context(), new in gtk+ 2.22.

2010-06-16  Murray Cumming  <murrayc@murrayc.com>

	Fix the build for latest git master, and add ComboBox::popup_for_device().

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/calendar.hg: select_month, mark_day(), unmark_day().
	* gtk/src/combobox.hg: Added popup_for_device().
	These are only in gtk 3, not gtk 2.2.

2010-06-16  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	Do not install gtkmm-demo data

	https://bugzilla.gnome.org/show_bug.cgi?id=621737

2010-06-13  Murray Cumming  <murrayc@murrayc.com>

	IconTheme: Add back get_for_screen().

	* gtk/src/icontheme.hg: Add back get_for_screen() because it does not
	actually seem to be deprecated.

2010-06-10  Murray Cumming  <murrayc@murrayc.com>

	2.90.2

2010-06-10  Murray Cumming  <murrayc@murrayc.com>

	Regenerate function .defs.

	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py so the new
	methods are actually generated.

2010-06-10  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with GTK+ git master, adding and renaming API.

	* configure.ac: Depend on GKT+ 2.90.2.
	* gdk/src/device.hg: Reimplement get_name() get_has_cursor(), get_source(),
	and get_mode() with the new C functions.
	* gdk/src/display.hg: Remove list_devices() and get_core_pointer() because
	they are now deprecated in GTK+.
	* gdk/src/dragcontext.[hg|ccg]: Rename get_targets() to list_targets(),
	and reimplement it with the new C function.
	Reimplement get_actions() and get_suggested_action() with the new C
	functions. Remove accessors for other (now hidden) struct fields.
	* gdk/src/image.hg: Reimplement accessors with the new C functions,
	renaming get_bpp() to get_bytes_per_pixel(), renaming get_bpl() to
	get_bytes_per_line(), and addding get_depth().
	* gdk/src/pixmap.ccg: Hack out use of a struct field to fix the build,
	though this needs attention. See the TODO.
	* gtk/src/box.[hg|ccg]: Remove the children() list because it used
	struct field and strutt type that are now hidden.
	* gtk/src/progressbar.hg: Only include GTK+ headers via gtk.h.
	Remove the unnused ProgressBarStyle enum because GtkProgressBarStyle has
	been removed from GTK+.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Remove mention of GtkProgress.

2010-06-09  Murray Cumming  <murrayc@murrayc.com>

	Remove unused doxygen_to_devhelp.xsl file.

	* docs/reference/doxygen_to_devhelp.xsl: Remove this unused file.
	We use tagfile-to-devhelp2.xsl from mm-common instead.

2010-06-08  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with GTK+ git master, in PrintJob.

	* gtk/src/printjob.ccg: send(): The GError* parameter of the C callback
	function changed to a const GError*. Adapted.

2010-06-08  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with GTK+ git master, in Gtk::Style.

	* gtk/src/gtk_vfuncs.defs:
	* gtk/src/style.hg: Remove the draw_string() vfunc, which was removed from
	GTK+ git master.

2010-05-29  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with GTK+ git master.

	* gdk/src/device.hg: Regenerate with h2defs.py
	* gdk/src/gdk_methods.defs: get_history(): Change an int* parameter to
	guint* to fix the build with git master of GTK+.

2010-05-18  Murray Cumming  <murrayc@murrayc.com>

	2.90.0

2010-05-18  Murray Cumming  <murrayc@murrayc.com>

	Remove the ifdefs that supported building with optional API.

	As discussed on the mailing list, these will be removed from glibmm soon
	anyway. Anybody who really still needs this should tell us.

2010-05-18  Murray Cumming  <murrayc@murrayc.com>

	Remove deprecated method and fix a wrong deprecation.

	* gdk/gdkmm/general.h: Fix wrong merge (by me, weeks ago), which left
	the undeprecated functions marked as deprecated.
	* gtk/src/ruler.hg: Remove deprecated method overload.

2010-05-18  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Remove check-news.

	* configure.ac: Remove the check-news option, because it makes it harder
	to regularly check that distcheck works.

2010-05-18  Murray Cumming  <murrayc@murrayc.com>

	Fix the build.

	* gtk/src/toolitem.hg: Remove include of now-removed header.

2010-05-18  Murray Cumming  <murrayc@murrayc.com>

	Restore many other changes from the gtkmm-3maybe branch.

	These were apparently lost during the git rebase. The ChangeLog
	entries seem to be correct, however.

2010-05-17  Murray Cumming  <murrayc@murrayc.com>

	filelist.am: Remove the mention of curve.hg and inputdialog.hg

2010-05-17  Murray Cumming  <murrayc@murrayc.com>

	Mark the branch in the ChangeLog

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	Use gtk+ 3.0 instead of gtk+ 2.0.

	* configure.ac: Change the pkg-config check from gtk+-2.0 to gtk+-3.0.
	Change the gdkmm and gtkmm ABI version to 3.0, so people should change
	their pkg-config checks to gtkmm-3.0.
	* gtk/src/enums.hg: Remove GtkCurveType, which is not in gtk+ 3.0.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Remove previously-deprecated
	types that are not in gtk+ 3.0.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	Remove more deprecated methods.

	* gtk/src/filelist.am:
	* gtk/src/curve.[hg|cc]:
	* gtk/src/inputdialog.[hg|ccg]: Removed deprecated classes.
	* gtk/gtkmm/border.h: Removed because this file is now generated.
	* gtk/src/toolbar: Inherit (and implement) from CellLayout.
	* gtk/src/button.hg, fixed.hg, recentmanager.hg, scalebutton.hg,
	toolbar.hg, treeview.hg, treeviewcolumn.hg, widget.hg:
	Removed deprecated methods, discovered by removing undefs.
	* gtk/src/celllayout.hg: Added get_first_cell() as a replacement for
	TreeViewColumn::get_first_cell().
	* gdk/src/event.hg:
	* gdk/src/pixbuf.hg:
	* gdk/src/window.hg:
	* gtk/src/aboutdialog.hg:
	* gtk/src/action.hg:
	* gtk/src/button.hg:
	* gtk/src/calendar.hg:
	* gtk/src/cellrenderer.hg:
	* gtk/src/cellview.hg:
	* gtk/src/menuitem.hg:
	* gtk/src/menutoolbutton.hg:
	* gtk/src/notebook.[hg|ccg]: Removed more undefs and removed deprecated
	methods that it showed.
	* gtk/gtkmm.h: Don't mention the removed curve.h and inputdialog.h files.
	* demos/gtk-demo/example_treeview_treestore.cc:
	* demos/gtk-demo/example_treeview_editable_cells.cc: Adapted.

2010-05-12  Krzesimir Nowak  <qdlacz@gmail.com>

	Wrap GtkBorder as boxed type.

	* gtk/src/border.[hg|ccg]: Wrapped GtkBorder.
	* gtk/src/filelist.am: Added border.hg and border.ccg.
	* gtk/src/entry.hg: Removed a TODO and typedef and included
	border.h.
	* gtk/src/range.[hg|ccg]: Made get_range_border vfunc use
	Gtk::Border& instead of GtkBorder* - this needed wrapping it
	partially by hand by writing custom C callback.
	* tools/m4/convert_gtk.m4: Added conversion macros for Gtk::Border.
	* gtk/gtkmm.h: Added border.h include.
	* MSVC_Net{2005,2008}/gtkmm/gtkmm.vcproj: Added border.h
	and border.cc to build.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	Removed newly-deprecated methods.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	Removed more deprecated methods.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	Use std::string for filenames, instead of ustring, fixing bug #142138.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	Removed most deprecated methods.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	Removed deprecated classes.

	* gtk/src/combo.[hg|ccg]:
	* gtk/src/fileselection.[hg|ccg]:
	* gtk/src/optionmenu.[hg|ccg]:
	* gtk/src/progress.[hg|ccg]:
	* gtk/src/tooltips.[hg|ccg]: Removed these deprecated classes.
	* gtk/src/inputdialog.[hg|ccg]:
	* gtk/src/menutoolbutton.[hg|ccg]:
	* gtk/src/eventbox.[hg|ccg]:
	* gtk/src/toolitem.[hg|ccg]:
	* gtk/src/toolbart.[hg|ccg]: Removed uses of these classes.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	Inherit Buildable.

	* gtk/src/buildable.[hg|ccg]: Added this interface.
	* gtk/src/action.[hg|ccg]:
	* gtk/src/actiongroup.[hg|ccg]:
	* gtk/src/liststore.[hg|ccg]:
	* gtk/src/sizegroup.[hg|ccg]:
	* gtk/src/treestore.[hg|ccg]:
	* gtk/src/widget.[hg|ccg]: Inherit and Implement Buildable.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	Inherit Activatable, and some build fixes.

	* gtk/src/button.hg:
	* gtk/src/menuitem.hg:
	* gtk/src/recentchoosermenu.hg:
	* gtk/src/toolbutton.hg:
	* gtk/src/toolitem.hg: Inherit and Implement Activatable.

	* gtk/src/iconview.hg:
	* gtk/src/treeviewcolumn.hg:
	* gtk/src/entrycompletion.hg: Correct the _IMPLEMENTS_INTERFACE() spelling to
	fix the build.
	* gtk/src/separator.hg: Include orientable.h to fix the build.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	Fixed build, plus some const changes.

	* gdk/src/*.hg: Fixed build errors caused by previous changes.
	Some const changes that were not possible without breaking ABI.
	Not sure exactly what because I cannot get git to give me a diff.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	Derive classes from CellLayout, CellEditable, and Orientable.

	* gtk/src/accelgroup.hg:
	* gtk/src/actiongroup.hg:
	* gtk/src/clipboard.hg:
	* gtk/src/cellrenderercombo.hg: Put back the no_default_handler option
	because the C structs have no default handlers.

	* gtk/src/box.hg:
	* gtk/src/buttonbox.hg:
	* gtk/src/paned.hg:
	* gtk/src/ruler.hg:
	* gtk/src/scalebutton.hg:
	* gtk/src/scrollbar.hg:
	* gtk/src/separator.hg:
	* gtk/src/spinbutton.hg: Derive from Orientable.

	* gtk/src/combobox.hg: Derived from CellEditable.

	* gtk/src/entrycompletion.hg:
	* gtk/src/iconview.hg:
	* gtk/src/treeviewcolumn.hg: Derive from CellLayout.

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

	Remove uses of no_default_handler.

	* gdk/src/pixbufloader.hg:
	* gtk/src/accelgroup.hg:
	* gtk/src/actiongroup.hg:
	* gtk/src/cellrenderer.hg:
	* gtk/src/cellrenderercombo.hg:
	* gtk/src/clipboard.hg:
	* gtk/src/entry.hg:
	* gtk/src/entrycompletion.hg:
	* gtk/src/filechooser.hg:
	* gtk/src/filechooserbutton.hg:
	* gtk/src/menushell.hg:
	* gtk/src/notebook.hg:
	* gtk/src/range.hg:
	* gtk/src/recentchooser.hg:
	* gtk/src/spinbutton.hg:
	* gtk/src/statusicon.hg:
	* gtk/src/textbuffer.hg:
	* gtk/src/toolitem.hg:
	* gtk/src/uimanager.hg:
	* gtk/src/widget.hg: Remove use of the no_default_handler option with
	_WRAP_SIGNAL(), breaking ABI by adding virtual methods.

	This is the gtkmm-3maybe branch, for API/ABI breaking changes, for a possible
	future gtkmm-3.0.

2010-05-04  Murray Cumming  <murrayc@murrayc.com>

	2.20.3

2010-05-04  Murray Cumming  <murrayc@murrayc.com>

	FileChooser::get_filter(): Don't ref the result.

	* gtk/src/filechooser.hg: get_filter(): Don't ref the GtkFilter results,
	because it is a GtkObject, not just a GObject, and we should not
	reference-count GtkObjects. This does _not_ fix bug #583481 though.

2010-04-27  David King  <davidk@openismus.com>

	Link change in main page documentation

2010-04-23  Murray Cumming  <murrayc@murrayc.com>

	Fix typo.

2010-04-23  Murray Cumming  <murrayc@murrayc.com>

	Fix typo.

2010-04-23  Murray Cumming  <murrayc@murrayc.com>

	Minor main page changes.

2010-04-23  David King  <davidk@openismus.com>

	Improvements to main page documentation

	* gtk/gtkmm.h: Links to groups and external websites. Compilation
	example.

2010-04-16  Shaun McCance  <shaunm@gnome.org>

	[gtkmm.doap] Fixed invalid multiple objects on RDF properties

2010-04-16  David King  <davidk@openismus.com>

	Add main page to Doxygen documentation

	* docs/Makefile.am: Parse gtk/gtkmm.h for documentation.
	* gtk/gtkmm.h: Add main page to Doxygen documentation.

2010-04-16  Murray Cumming  <murrayc@murrayc.com>

	2.20.2

2010-04-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	gdk_docs.xml: Another regeneration because of parsing errors.

	* gdk/src/gdk_docs.xml: Regenerate once more to avoid parsing errors
	caused by &...; expressions that don't make sense to gmmproc.

2010-04-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	Regenerate docs once more to fix comment errors.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated after fixing the
	docextract_to_xml.py script to handle C++ multi-line comments in
	function descriptions that include sample C++ code.

2010-04-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	Regenerate docs with the new docextract_to_xml.py script.

	* atk/src/atk_docs.xml:
	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated with the new documentation
	extraction script to take advantage of the new generation method it
	uses.

2010-04-07  Murray Cumming  <murrayc@murrayc.com>

	2.20.1

2010-04-07  Murray Cumming  <murrayc@murrayc.com>

	Builder: Complete the exceptions thrown documentation.

	* gtk/src/builder.hg: Completed the @throws lines now that GtkBuilder
	has documentation about the GError domains that it throws.
	This fixed bug #548022 (Alexander Shaduri).

2010-04-07  Murray Cumming  <murrayc@murrayc.com>

	API reference documentation: Remove gobjection-introspection annotations.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Use regexxer to remove the gobject-introspection
	annotations so they do not appear in the generated HTML. In future, we will
	stop these from even getting in to the XML.

2010-04-07  Murray Cumming  <murrayc@murrayc.com>

	Really fix the @newin2p* in the *_override.xml files.

	* gdk/src/gdk_docs_override.xml:
	* gtk/src/gtk_docs_override.xml: Use GTK+'s original Since: syntax here
	instead of @newin{2,*} because that is what our parser currently expects.
	Otherewise it is interpreted as a parameter name.

2010-04-07  Murray Cumming  <murrayc@murrayc.com>

	Replace some @newin2p* with @newin{2,*}.

	* gdk/src/gdk_docs_override.xml:
	* gtk/src/gtk_docs_override.xml: Replaces uses of the old @newin2p* with
	@newin{2,*} after I noticed it in generated HTML.

2010-04-06  Murray Cumming  <murrayc@murrayc.com>

	RecentAction: Fix the constructor that takes a RecentManager.

	* gtk/src/recentaction.hg: Constructor: Rename the manager parameter to
	recent_manager, so that gmmproc generates code that uses the correct
	property name.
	This fixes bug #612900 (Morten Skaaning)

2010-04-06  Murray Cumming  <murrayc@murrayc.com>

	TreeRowReference::get_model(): Correct the reference counting.

	* gtk/src/treerowreference.hg: get_model(): Add a refreturn.
	This fixes bug #611814 (Kamil Renczewski)

2010-04-03  Armin Burgmeier  <armin@arbur.net>

	Update installer files for 2.20

2010-04-03  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops:
	* win32_installer/gtkmm-vc90-2_4.vsprops:
	* win32_installer/gtkmm-vc90-d-2_4.vsprops: Remove iconv.lib which is
	no longer required by the libxml2 binary.

	* win32_installer/install-msvc-module:
	* win32_installer/gtkmm-installer.nsi.in: Update for the 2.20
	installer.

2010-04-03  Armin Burgmeier  <armin@arbur.net>

	Ifdef out inclusion of files no longer installed on Windows

2010-04-03  Armin Burgmeier  <armin@arbur.net>

	* gtk/gtkmm.h: Ifdef out inclusion of files that are no longer
	installed on Windows.

2010-04-03  Armin Burgmeier  <armin@arbur.net>

	Update MSVC project files

2010-04-03  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj: Add the new source files to the
	projects.

2010-03-29  Murray Cumming  <murrayc@murrayc.com>

	2.20.0

2010-03-23  Murray Cumming  <murrayc@murrayc.com>

	Fix small API problems found by Jonathan Jongsma.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Add ToolPalette, ToolItemGroup,
	OffscreenWindow.
	* gtk/src/gtk_signals.defs: Add new .defs.

	* gtk/src/offscreenwindow.hg: Added const versions of get_pixbuf() and
	get_pixmap()
	* gtk/src/range.hg: Make get_slider_range() const.
	* gtk/src/spinner.hg:
	* gtk/src/toolitemgroup.hg: Add @newin tags.
	* gtk/src/toolpalette.hg: Fix a double @@ in the newin tag.
	Remove exclusive property (it is really a child property).
	Derive from (and implement) ToolShell.

2010-03-22  Murray Cumming  <murrayc@murrayc.com>

	Added a const version of get_drop_item().

2010-03-19  Murray Cumming  <murrayc@murrayc.com>

	Regenerated C documentation XML files.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated.

2010-03-19  Murray Cumming  <murrayc@murrayc.com>

	Comments changes.

2010-03-18  Murray Cumming  <murrayc@murrayc.com>

	Demo: Fix use of deprecated API.

	* configure.ac: Add PANGOMM to the list of deprecations to check for.
	* demos/Makefile.am: Add GTKMM's own deprecation defines so we don't ever use
	deprecated API in this code.
	* demos/gtk-demo/example_colorsel.cc:
	* demos/gtk-demo/example_uimanager.cc: Correct use of deprecated API.

2010-03-18  Murray Cumming  <murrayc@murrayc.com>

	2.19.7

2010-03-17  Murray Cumming  <murrayc@murrayc.com>

	gdk/src/screen.hg: Added get_primary_monitor().

2010-03-17  Murray Cumming  <murrayc@murrayc.com>

	Added some methods.

	* gdk/src/gdk_pixbuf.defs: Regenerated and moved to gdk_pixbuf_methods.defs.
	* gdk/src/filelist.am:
	* gdk/src/gdk.defs: Updated appropriately.
	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* gdk/src/window.hg: Added flush().
	* gtk/src/statusbar.hg: Added get_message_area().
	* gtk/src/toolitem.hg: Added get_ellipsize_mode().
	* gtk/src/toolitemgroup.hg: Added get_label_widget().

2010-03-16  Murray Cumming  <murrayc@murrayc.com>

	ToolItem, ToolShell: Wrapped new C functions.

	* gtk/src/toolitem.hg: Added  get_text_alignment(), get_text_orientation(),
	get_text_size_group().
	* gtk/src/toolshell.hg: Added  get_text_orientation(), get_text_alignment(),
	get_ellipsize_mode(), get_text_size_group()
	* tools/m4/convert_gtk.m4: Added SizeGroup conversions.

2010-03-16  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with -DGSEAL_ENABLE.

	* configure.ac: Add -DGSEAL_ENABLE to the fatal warnings.
	* gtk/gtkmm/radiobuttongroup.cc:
	* gtk/src/bin.[hg|ccg]:
	* gtk/src/box.[hg|ccg]:
	* gtk/src/buttonbox.ccg:
	* gtk/src/buttonbox.hg:
	* gtk/src/colorselection.[hg|ccg]:
	* gtk/src/fontselection.hg:
	* gtk/src/handlebox.[hg|ccg]:
	* gtk/src/inputdialog.hg:
	* gtk/src/menushell.hg:
	* gtk/src/messagedialog.ccg:
	* gtk/src/notebook.hg:
	* gtk/src/ruler.[hg|ccg]:
	* gtk/src/scrolledwindow.hg:
	* gtk/src/selectiondata.ccg:
	* gtk/src/table.hg:
	* gtk/src/tearoffmenuitem.hg:
	* gtk/src/textview.hg:
	* gtk/src/widget.[hg|ccg]: Replace uses of GSEAL()ed struct fields where
	possible by using new C functions. But some have no replacement so
	we must undef GSEAL_ENABLE in the .cpp file to keep our now-deprecated API.

	* gtk/src/printer.hg: Add get_hard_margins().
	* gtk/src/viewport.hg: Added get_bin_window().
	* gtk/src/window.[hg|ccg]: Added get_window_type(), deprecating
	get_is_toplevel() and get_is_popup(). Removed get_is_dialog() because it
	never had any implmentation, so nobody could be using it.

2010-03-10  Murray Cumming  <murrayc@murrayc.com>

	ToolPalette: Make some getter methods const.

	* gtk/src/toolpalette.hg: get_expand(), get_icon_size(): Make these const.

2010-03-10  Murray Cumming  <murrayc@murrayc.com>

	Window: Added unset_transient_for().

	* gtk/src/window.[hg|ccg]: Added unset_transient_for() now that the
	documentation of the C function says that an arg can be NULL and what it means.

2010-03-10  Murray Cumming  <murrayc@murrayc.com>

	Correct @newin2p* to @newin{2,*}.

2010-02-24  Murray Cumming  <murrayc@murrayc.com>

	2.19.6

2010-02-23  Murray Cumming  <murrayc@murrayc.com>

	Added Added set_icon(Gio::Icon). Regenerated signal/properties defs.

	* gtk/src/gtk_signals.defs: Regenerated (Well, copied regenerated
	parts in to it) with extra_defs_gen.
	* gtk/src/tooltip.hg: Added set_icon(Gio::Icon).

2010-02-23  Murray Cumming  <murrayc@murrayc.com>

	Added new methods to wrap new C functions.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/paned.hg: Added get_handle_window().
	* gtk/src/widget.[hg|ccg]: get_requisition(): Reimplemented with the
	new gtk_widget_get_requisition() function.
	Added set/get_realized(), set/get_mapped() and style_attach().

2010-02-01  Murray Cumming  <murrayc@murrayc.com>

	Use Glib::wrap() instead of ->gobj().

	* gdk/src/*.ccg:
	* gtk/src/*.ccg: Use Glib::wrap() instead of ->gobj() in some places,
	so we are generally more forgiving of null RefPtrs<>, particular in case we
	have forgotten to wrap may-be-null parameters as extra method overrides.

2010-01-28  Murray Cumming  <murrayc@murrayc.com>

	Action: Undeprecate some methods.

	* gtk/src/action.hg: Do not deprecate connect_proxy(),
	disconnect_proxy(), block_activate_from() and unblock_activate_from(),
	because we cannot derive existing classes from Activatable (their
	replacement) until we can break ABI.
	Fixes bug #608109 (David Trowbridge)

2010-01-27  Murray Cumming  <murrayc@murrayc.com>

	EntryBuffer: Actually use GtkEntryBuffer.

	* gtk/src/entrybuffer.hg: Use GtkEntryBuffer, not GtkTextBuffer,
	avoiding a wanting about registering the same type twice.
	Remove useless TextBuffer-relatated includes.

2010-01-27  Murray Cumming  <murrayc@murrayc.com>

	Widget: Un-deprecate get_action().

	* gtk/src/widget.hg: get_action(): Do not deprecate this because we
	cannot yet use its replacement (adding Activatable as a base class).
	Do not try to wrap a gtk_widget_get_related_action() function which
	no longer exists, if it ever did.
	* gtk/src/activatable.hg: Add a TODO to use this, though we
	already have TODOs on the widgets that should use it when we can break
	ABI.

2010-01-26  Murray Cumming  <murrayc@murrayc.com>

	2.19.4

2010-01-25  Murray Cumming  <murrayc@murrayc.com>

	Range, StatusIcon: Added new methods.

	* gtk/src/gtk_methods.defs: Regnerated with h2defs.py
	* gtk/src/range.[hg|ccg]: Added get/set_slider_size_fixed(),
	get/set_min_slider_size(), get_slider_range(), get_range_rect().
	* gtk/src/statusicon.hg: Added set_name()

2010-01-25  Murray Cumming  <murrayc@murrayc.com>

	Added EntryBuffer and used it in the Entry API.

	* gtk/src/entrybuffer.[hg|cc]: Added EntryBuffer. GtkEntryBuffer was
	actually added to GTK+ 2.18, but we didn't wrap it until now.
	* gtk/src/entry.hg: Aded get/set_buffer(), propery, and new constructor.

2010-01-25  Murray Cumming  <murrayc@murrayc.com>

	Entry: Added get_text_window() and get_icon_window().

	* gtk/src/entry.hg: Added get_text_window() and get_icon_window().

2010-01-19  Murray Cumming  <murrayc@murrayc.com>

	Updated gtk_docs.xml to get API reference for new methods.

	* gtk/src/gtk_docs.xml: Regnerated with docextract_to_xml.py.

2010-01-19  Murray Cumming  <murrayc@murrayc.com>

	Wrapped some new GTK+ functions.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/action.hg: Added get/set_always_show_image() and property.
	* gtk/src/fontselection.hg: Added get_family_list(), get_face_list(),
	get_size_list(). Reimplemented get_size_entry() and get_preview_entry()
	using new functions instead of struct fields.
	Added get_family() and get_face().
	* tools/m4/convert_pango.m4: Added necessary FontFace and FontFamily
	conversions.
	* gtk/src/printcontext.hg: Added get_hard_margins().
	* gtk/src/widget.[hg|ccg]: Added has_rc_style(), wrapping the new C function,
	deprecating rc_style().
	* gtk/src/window.hg: Added get_icon_name() and icon_name property.
	* gtk/src/toolpalette.hg: set_drag_source(), add_drag_dest():
	Add suitable default parameter values.

2010-01-16  Murray Cumming  <murrayc@murrayc.com>

	Correct ChangeLog

2010-01-16  Murray Cumming  <murrayc@murrayc.com>

	ToolItemGroup: Slight API improvements.

	* gtk/src/toolitemgroup.[hg|ccg]: Added insert() with no position parameter.
	get_item_position(): Made this const.

2010-01-14  Murray Cumming  <murrayc@murrayc.com>

	Added OffscreenWindow. Added Window::get/set_mnemonics_visible().

	* gtk/src/offscreenwindow.[hg|ccg]: Added this, wrapping
	GtkOffscreenWindow.
	* gtk/gtkmm.h: Include offscreenwindow.h.
	* gtk/src/window.hg: Added get/set_mnemonics_visible().
	Added mnemonics, accept-focus, and focus-on-map properties.

2010-01-14  Murray Cumming  <murrayc@murrayc.com>

	Fix build with latest GTK+.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/toolpalette.hg: Fix the build with latest GTK+.
	* tools/m4/convert_gtk.m4: Added necessary conversions.

2010-01-05  Murray Cumming  <murrayc@murrayc.com>

	Deprecate some methods that wrap deprecated C functions.

	* gtk/src/button.hg:
	* gtk/src/notebook.[hg|ccg]:
	* gtk/src/recentmanager.hg:
	* gtk/src/scalebutton.hg:
	* gtk/src/widget.[hg|ccg]: Deprecate some more methods, noticed in the
	gtkmm-3maybe branch, where there are no undefs.

2010-01-04  Murray Cumming  <murrayc@murrayc.com>

	2.19.2

2010-01-04  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with new GTK+ deprecations, when using fatal warnings.

	* gtk/src/button.hg: Use undef to fix the build with deprecated
	gtk_button_clicked() and friends. Deprecate the C++ methods.
	* gtk/src/fixed.hg:  Use undef to fix the build with deprecated
	gtk_fixed_set_has_window() and gtk_fixed_get_has_window().
	Deprecate the C++ methods.
	* gtk/src/filelist.am:
	* gtk/src/curve.hg:
	* gtk/src/inputdialog.hg: Use undef to fix the build now that these are
	deprecated in GTK+. Deprecate it in gtkmm.

2009-12-30  Murray Cumming  <murrayc@murrayc.com>

	Correct the ChangeLog

2009-12-30  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Window::get_default_root_window(): Correct the reference counting.

	* gdk/src/window.hg: get_default_root_window(): Use refreturn to
	correct ref the result.
	Bug #603852 (Mikko Rasa).

2009-12-22  Murray Cumming  <murrayc@murrayc.com>

	Added and used ToolItemGroup.

	* gtk/src/toolitemgroup.[hg|ccg]: Added this GtkToolItemGroup wrapper.
	* gtk/src/toolitem.hg: Use ToolItemGroup instead of Widget.
	See https://bugzilla.gnome.org/show_bug.cgi?id=567729#c37

2009-12-21  Murray Cumming  <murrayc@murrayc.com>

	ToolPalette: Added drag methods.

	* tools/m4/convert_gtk.m4:
	* gtk/src/toolpalette.hg: Added get_drag_item(), get_drag_target_item(),
	and get_drag_target_group().

2009-12-17  Krzesimir Nowak  <qdlacz@gmail.com>

	Make getting Gtk::Border style properties work.

	* gtk/gtkmm/border.h: Created separate header file for Gtk::Border.
	It contains a typedef and Glib::Value specialization
	for Gtk::Border.
	* gtk/gtkmm/filelist.am: Added border.h to gtkmm_files_extra_h.
	* gtk/gtkmm.h: Included the new border.h header.
	* gtk/src/entry.hg: Removed Gtk::Border typedef and included
	border.h.
	* gtk/src/range.hg: get_range_border() vfunc now uses Gtk::Border*
